commit 6538841ecbde2ff267dde27c065fb23b0f7470e6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 3 20:40:24 2010 +0000

    Do not add sibling children as parents

    Fixes c2ff94b1600b8a5841a5e4627f014560ac460f1a

 poppler/Function.cc |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 131b3d34ee85ad1f37041bae36dd93da2ff09a26
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Nov 3 00:02:02 2010 +0000

    Do not loop forever in broken documents

    StitchingFunctions that have themselves up in the parent chain
    are wrong

 poppler/Function.cc |   22 +++++++++++++++++++---
 poppler/Function.h  |    6 ++++--
 2 files changed, 23 insertions(+), 5 deletions(-)

commit 7bd79c6f36af191d1937aa7315329e85e0e3a308
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 2 19:16:37 2010 +0000

    compile++

 poppler/CharCodeToUnicode.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 09d97175342619ce889f0e1d0b3fd62774d5eda9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Nov 2 19:14:34 2010 +0000

    Fix crash in broken documents

    mapLen = (code + 256) & ~255; can wrap and you end up with mapLen
    < code
    that is not what you wanted

 poppler/CharCodeToUnicode.cc |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit d1a1cdf24ee836804721bb637cb684594683f0fd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 28 08:46:09 2010 +0100

    Revert fdfffc9c68314d3f64dee7e0ef8617105e3198dd

    It is not a leak and makes things crash :D

 poppler/SplashOutputDev.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c7696a2604fd77bf0c1b2d31b75d2f97ab8e8b61
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 28 00:37:29 2010 +0100

    if reallocn fails, free p

 goo/gmem.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 44aed9b9725197d16167319cb72b8c3a63596b3e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 27 22:43:51 2010 +0100

    fix comment

 poppler/SplashOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7b99f88cc55156c794ce073bb1f5eb49107e2698
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 27 22:36:07 2010 +0100

    Fix memory leaks that can happen with broken documents

 poppler/SplashOutputDev.cc |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit ac13c6811cf51831365e6b45c40b8ec38495b3fb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 27 20:40:19 2010 +0100

    Fix memory leak

 poppler/SplashOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 45fbd7fa42cadcebced92360f779e2d12bbd4685
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 27 20:39:48 2010 +0100

    Do not crash if bitmap->alpha == NULL

    Happens in broken files

 splash/Splash.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e3173f9813fb59dcb5b2c136e6830475b1db70d5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 25 18:59:49 2010 +0100

    Initialze movie to NULL on broken pdf files

 poppler/Annot.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cc71bc3a9823804fbfa309d85863fa2499816447
Author: Vincent Torri <vtorri@univ-evry.fr>
Date:   Sat Oct 23 23:45:05 2010 +0100

    remove -ansi flag for cywin and mingw

 configure.ac |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit a82ddf940d26a7d3a57ba2a2a33218623aaefafd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 23:37:59 2010 +0100

    update my C year

 poppler/SplashOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f5653d2c1f361cf4e049aec33e58e29986b0092
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 23:33:00 2010 +0100

    Fix crash in malformed documents

 poppler/SplashOutputDev.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5ab26b908fde3c1dc9f9a2e091d03c8e6db47f98
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 23:12:44 2010 +0100

    Do not leak attrs1

 poppler/Catalog.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 86014500b3e8361b21968fc2caaa4ad7858d157c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 23:00:03 2010 +0100

    Do not crash if n is 0

 poppler/Function.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c081ad0609cc27f7b917dd73411263f8d583d4ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 22:59:50 2010 +0100

    add unlikely marker

 poppler/Decrypt.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 72ed1b206c2ca3640dbc76a7852b9208df688fe9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 22:55:49 2010 +0100

    Do not divide by 0 in rc4InitKey

 poppler/Decrypt.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2cfcee1e06edea751828ac34e1dbec93536bed31
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 23 22:40:17 2010 +0100

    Check obj2 is a num before reading it

 poppler/Gfx.cc |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f4874d01f24c7085eccc020774a674c8ed075e0c
Author: Pino Toscano <pino@kde.org>
Date:   Sun Oct 17 14:29:22 2010 +0200

    [CMake] Cairo package: make the version check really working

 cmake/modules/FindCairo.cmake |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 08c9678b0f8d972552487a89a5926341bcc634a2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 17 14:22:57 2010 +0200

    [cairo] Fix a crash when redering documents with invalid type 3 fonts

 poppler/CairoFontEngine.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 653b8da5bd6e50303207a2e8ccb5f5ad67db3767
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 14 23:33:13 2010 +0100

    Only clip boxes to mediabox if we are at the page level

    Fixes bug 30784

 poppler/Page.cc |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit e6e0b9db637197a32853cb5ec02b6bb7cf4d0341
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 6 21:37:11 2010 +0100

    0.14.4

 CMakeLists.txt   |    2 +-
 NEWS             |   14 ++++++++++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 18 insertions(+), 4 deletions(-)

commit d9918bad34a32763064b041002b7b578a0415873
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 5 22:18:22 2010 +0100

    Make sure obj is a num before reading it

    Not sure if using a 0 is correct otherwise, but if your matrix is
    broken you're probably going to get a wrong rendering anyway, so who
    cares. Bug #30590

 poppler/Gfx.cc |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 56826ac114e798501c0ce74521326b9289b50a6a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 3 12:14:11 2010 +0200

    [annots] Fix a crash when drawing square/circle annots without
    a border

    Fixes bug #30580

 poppler/Annot.cc |  121
 +++++++++++++++++++++++++++---------------------------
 1 files changed, 61 insertions(+), 60 deletions(-)

commit 9c4c53b647a83faf07cc5447d0d8651aefc47d54
Author: Tomas Hoger <thoger@redhat.com>
Date:   Wed Sep 29 20:03:45 2010 +0100

    Fix uninitialized uses on DCTScanInfo

 poppler/Stream.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 803d273ad1c5f4171db7d12b3ca055f066c5f12a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 29 20:02:10 2010 +0100

    Free names

 poppler/Catalog.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b359cd0d225baf213ae21ee1f6c8450e2b257773
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:27:18 2010 +0100

    Compile++

 fofi/FoFiType1.cc |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 80a72431d7fce8421ad75530f5270234cb994f4a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:19:27 2010 +0100

    Avoid loops in Form::fieldLookup

    Fixes crash in broken pdf provided by Joel Voss of Leviathan
    Security Group

 poppler/Dict.h  |    3 +++
 poppler/Form.cc |   27 ++++++++++++++++++++++++---
 2 files changed, 27 insertions(+), 3 deletions(-)

commit 2ce1d2bd3e4422c09b2eb53b6f7d17522531b25c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:15:25 2010 +0100

    Make sure obj1 is a num before reading it

    Fixes crash in broken pdf provided by Joel Voss of Leviathan
    Security Group

 poppler/Gfx.cc |   20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit 2fa6e106d5123aad63f6c0a5c61dd457b14ef851
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:11:42 2010 +0100

    Fix memory leak if obj2 is not a dict

    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 poppler/Form.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 37525c8aa37f1b0b2e06702030956edd81c76798
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:09:37 2010 +0100

    Fix crash when idx is out of range

    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 poppler/Function.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit db10e0746785aa0a97989757facb14a05abd45ec
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:08:54 2010 +0100

    Fix crash when idx is out of range

    Fixes crash in broken pdf provided by Joel Voss of Leviathan
    Security Group

 poppler/Function.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit a40449fabb4ccfb3bad2ad599cd0d4ab53ee8cbd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:07:12 2010 +0100

    Give a value to color.c[i]

    Might not be the better solution but it's better than having a random
    value there

    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 poppler/Gfx.cc |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 7b93fb7ed3eb3317b97317008bea2ff858901706
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:04:37 2010 +0100

    Forgot my (C) here

 poppler/Decrypt.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd881bdab112c4fbe9179727214834d1da42fa22
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:03:19 2010 +0100

    Properly initialize stack

    Fixes crash in broken pdf provided by Joel Voss of Leviathan
    Security Group

 poppler/Function.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 01ff4c3915a08a147aed1fc0041407eab3b7eedd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 19:01:36 2010 +0100

    Properly initialize parser

    Fixes crash in broken pdf provided by Joel Voss of Leviathan
    Security Group

 poppler/Gfx.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit aa3f227d277c4f2bf0e71dea944d22f82e08b481
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 18:58:43 2010 +0100

    Fix crash in broken pdf (parser->getStream() is 0)

    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 poppler/Gfx.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit bf4f774f2d0e924224895525a7f8d1966ec8af51
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 18:55:51 2010 +0100

    Initialize properly charactersRead

    It is possible that there are calls to getPos before reset
    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 poppler/Decrypt.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit d04ab9d78a0fba07464e43ccdec80b05339fd08d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 21 18:54:31 2010 +0100

    Fix crash in broken pdf (code < 0)

    Found thanks to PDF provided by Joel Voss of Leviathan Security Group

 fofi/FoFiType1.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit f3fe412236ee103a9748afc945e0f8a9401b9d0c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 15 19:18:01 2010 +0100

    fix copyright

 poppler/OptionalContent.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 03a0a69ef765b09187b6dcf20eabfcc7c0c4ffa9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Sep 15 11:24:07 2010 +0200

    Set initial state of optional content groups based on BaseState field

    There's a test case using BaseState attached to bug #30106

 poppler/OptionalContent.cc |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit 2c7fe5aca584d85f567ce413b9e406e2cc68c7b4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Sep 12 11:42:03 2010 +0200

    [glib] Fix a crash when building layer actions

    Some layers are just the parent of others, but not actually a layer so
    they don't have an optional content object. Fixes bug #30106.

 glib/poppler-action.cc |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit 615002297707bfd9de2ae663c82b898f3475669c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Sep 12 11:36:58 2010 +0200

    [glib] Fix layers array generation when it contains multiple arrays

    Fixes layers for document attached to bug #30106.

 glib/poppler-document.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7c705150a47b815e026ad7f5b574c64fe98c20bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 10 20:24:17 2010 +0100

    0.14.3

 CMakeLists.txt   |    2 +-
 NEWS             |    6 ++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 10 insertions(+), 4 deletions(-)

commit a39f78cff93f0970b31508355b72da5c8b33ea9a
Author: Jonathan Liu <net147@gmail.com>
Date:   Thu Sep 9 20:34:03 2010 +0100

    Fix checking whether _WIN32 is defined

    Bug 29329

 poppler/StdinCachedFile.cc |    2 +-
 utils/pdftoppm.cc          |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bcc6731c79f69e72b69f8c40bff6e867467da77e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 31 18:51:17 2010 +0100

    Read from the correct variable

    Fixes crash on KDE bug 249586

 poppler/Movie.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b7a6fb26fc3e83bbf89632f81ef996f42b4f73cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 26 23:55:58 2010 +0100

    Make declaration match what there is in the .cc file

 poppler/TextOutputDev.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 213a60ad48684f56b94f6b0eac642e7dfb3b4825
Author: Jonathan Liu <net147@gmail.com>
Date:   Tue Aug 10 19:42:40 2010 +0100

    Tell windows we are writing/reading binary data

    Bug #29329

 poppler/StdinCachedFile.cc |    9 +++++++++
 utils/pdftoppm.cc          |    9 +++++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit 37551daff8dc5c3cebd16e8cef4f9e3b6cbffad6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 10 19:15:52 2010 +0100

    0.14.2

 CMakeLists.txt      |    4 ++--
 NEWS                |   19 +++++++++++++++++++
 configure.ac        |    2 +-
 cpp/Doxyfile        |    2 +-
 poppler/Makefile.am |    2 +-
 qt4/src/Doxyfile    |    2 +-
 6 files changed, 25 insertions(+), 6 deletions(-)

commit c9c0abf17de9f1815df46451ddba268187ce0aa8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 10 18:44:55 2010 +0100

    Update copyrights

 goo/GooTimer.cc      |    1 +
 goo/GooTimer.h       |    1 +
 goo/gfile.cc         |    2 +-
 poppler/DCTStream.cc |    1 +
 poppler/DCTStream.h  |    1 +
 5 files changed, 5 insertions(+), 1 deletions(-)

commit 74c5d08a5920c4819c5996257568051dedcdb33c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Aug 3 13:05:26 2010 +0200

    [glib] Fix a crash when a layer doesn't have a name

    Fixes bug #28842.

 glib/poppler-layer.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 7492c94060917df4311441e97b987e7e2bcdfb3f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Aug 3 13:02:52 2010 +0200

    Catalog page array might contain NULL for some pages in invalid
    documents

    Fixes a crash reproducible with gtk-splash-test when opening document
    attached to bug #28842.

 poppler/PDFDoc.cc |   27 +++++++++++++++------------
 1 files changed, 15 insertions(+), 12 deletions(-)

commit f60fb04f8ce0944f812dda2df8170941bfc3e84c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 30 19:29:12 2010 +0100

    Do not crash when using pdftops in some files

    Fixes crash in file in kde bug 246269. The output is still wrong
    though

 fofi/FoFiType1C.cc |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 3e9c6c6397691722c675b06d9756a389d1f723a3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 26 23:58:26 2010 +0100

    Do not overwrite the rgb values

    Recommended by Koji Otani in Re: [poppler] Question about code
    Passed the regression testing in my files

 poppler/GfxState.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8c8b968f38e4df4f2e9d62bf76f5f54e115f94a9
Author: mpsuzuki <mpsuzuki@hiroshima-u.ac.jp>
Date:   Sat Jul 24 15:12:05 2010 +0100

    reindent correctly

 poppler/TextOutputDev.cc |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit aa7248bf78910c54819492fc188f6cc0ad26d733
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jul 15 15:05:10 2010 +0200

    Rework ChangeLog generation to fix make distcheck

 Makefile.am |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit 22744e9150bd6ce5c9e3c57bc92b867d2bb4380c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 15 10:51:21 2010 +0100

    Fix padding of names

    The previous method returned 2 for documents with 100 pages, which
    is wrong as 100 needs 3
    characters, not 2

 utils/pdftoppm.cc |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit ab954f82ffc97becab6aab4f94de28a312158dd9
Author: Brian Cameron <brian.cameron@oracle.com>
Date:   Wed Jul 14 20:26:25 2010 +0100

    Add uninstalled .pc file for poppler when using autoconf

 Makefile.am                      |    9 ++++++++-
 configure.ac                     |    9 ++++++++-
 poppler-cairo-uninstalled.pc.in  |    6 ++++++
 poppler-cpp-uninstalled.pc.in    |    7 +++++++
 poppler-glib-uninstalled.pc.in   |    7 +++++++
 poppler-qt-uninstalled.pc.in     |    7 +++++++
 poppler-qt4-uninstalled.pc.in    |    7 +++++++
 poppler-splash-uninstalled.pc.in |    7 +++++++
 poppler-uninstalled.pc.in        |    6 ++++++
 9 files changed, 63 insertions(+), 2 deletions(-)

commit dc345471d5e8f14f909a6da3a0708fe4d5db150a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jul 13 10:18:01 2010 +0200

    Handle ColorTransform in DCT streams when using libjpeg

    Fixes bug #28873.

 poppler/DCTStream.cc |   30 ++++++++++++++++++++++++++++++
 poppler/DCTStream.h  |    1 +
 2 files changed, 31 insertions(+), 0 deletions(-)

commit 78d7d2128aeed90e4a83955394472507f2ca1b80
Author: Hib Eris <hib@hiberis.nl>
Date:   Sat Jul 3 16:42:04 2010 +0200

    Only define findModifier() when used

    Prevents a warning when building with win32 font backend.

 poppler/GlobalParams.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bd2cd510f03f49ca913852ed77f9b4877b406e3a
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Jul 2 10:53:20 2010 +0200

    Fix compile warnings on auto imports for mingw compiler

 cpp/Makefile.am       |    2 +-
 cpp/tests/Makefile.am |    2 ++
 glib/Makefile.am      |    2 ++
 poppler/Makefile.am   |    2 +-
 qt4/demos/Makefile.am |    2 ++
 qt4/src/Makefile.am   |    2 +-
 qt4/tests/Makefile.am |    2 ++
 7 files changed, 11 insertions(+), 3 deletions(-)

commit 3c579b8acc3e43efe6096022a4d26e02b61c6557
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Jul 2 10:51:24 2010 +0200

    Check for declaration of gettimeofday()

    The function gettimeofday() is not declared in ansi mode with the
    mingw compiler, even though the function exists. Therefore,
    configure must
    not only check with AC_CHECK_FUNC, but also with AC_CHECK_DECL.

    Also, the checks must run in a C++ context because that is where
    gettimeofday() is used.

 configure.ac |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 04f5500d5cb472b4fd6d5ee74d47136cf01533a8
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Jun 30 15:06:44 2010 +0200

    Set -ansi compiler flag early in configure.ac

    The -ansi compiler flag does not enable warnings, but turns of certain
    features of GCC. To force feature tests to use this flag, it should be
    set early in configure.ac

    This is important for the mingw compiler where header files refrain
    from declaring certain function (e.g. gettimeofday()) when the -ansi
    flag is set.

 configure.ac |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit a36f08f9b14853c52ba01441a2e3ac42a9d6c356
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Jul 2 14:45:15 2010 +0200

    Use MAX_PATH instead of _MAX_PATH everywhere

    _MAX_PATH is compiler specific and not availble with the mingw
    compiler
    in ansi mode. MAX_PATH is in the Windows api and thus always available
    when windows.h is included.

 goo/gfile.cc            |    4 ++--
 poppler/GlobalParams.cc |    2 +-
 poppler/PDFDoc.cc       |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 2c17d03a09e7488cda2fc73d933331211833bbca
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Jun 30 16:15:06 2010 +0200

    Check for _WIN32 instead of _MSC_VER

 goo/GooTimer.cc |    6 +++---
 goo/GooTimer.h  |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 4159564c0dd6aadfef533f5b7d3305d11d7bfa83
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Jun 29 16:43:31 2010 +0200

    Fix cross compiling for Windows with autotools

    When cross compiling for Windows with autotools, libtool creates
    libpoppler_qt4_la-poppler-optcontent.lo instead of
    poppler-optcontent.lo. Thus, explicitly using poppler-optcontent.lo to
    create poppler-optcontent.moc does not work well.

 qt4/src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 67c231778181fbce8e988e2b9c8ac889f5ebd86c
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Jun 29 15:34:22 2010 +0200

    define poppler_qt4_EXPORTS when building with autotools

    Lets you build the qt4 bindings for Windows with automake/autoconf.

 qt4/src/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f048a0992d12cdda05c776091a0d603fa6aa63b2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jul 10 15:52:15 2010 +0200

    [annots] Use a transparency group for markup annots without AP and
    opacity != 1

    Fixes bug #623616.

 poppler/Annot.cc |  346
 +++++++++++++++++++++++++-----------------------------
 poppler/Annot.h  |    3 +
 poppler/Gfx.cc   |    9 +--
 poppler/Gfx.h    |    2 +-
 4 files changed, 165 insertions(+), 195 deletions(-)

commit 0dc06a894e5193264fd67af6fe823dce12742ccf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jul 9 17:04:00 2010 +0200

    [annots] Clamp QuadPoints coords to annot rectangle instead of
    ignore points

    Fixes appearance stream generation for document attached to bug
    #623616.

 poppler/Annot.cc |   38 +++++++++++++++++++++-----------------
 1 files changed, 21 insertions(+), 17 deletions(-)

commit b1f8147024efcabc6cf8b122cec2d1d785414300
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jul 9 12:29:14 2010 +0200

    [cairo] Use ceil to convert double to int in tilingPatternFill()

    Fixes rendering of page 2 of document attached to bug #28954.

 poppler/CairoOutputDev.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 5f96b093e15cdca01cb2140140b594ef2d816285
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 8 20:28:24 2010 +0100

    0.14.1

 CMakeLists.txt   |    2 +-
 NEWS             |   23 +++++++++++++++++++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 27 insertions(+), 4 deletions(-)

commit 6274551cf1092d2e9f75505f9b4fd88139988964
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jul 8 20:27:42 2010 +0100

    compile++

 splash/Splash.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6afa7dcffd73b5d5ce786bc325ffafac2cb7f7d8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jul 8 18:56:38 2010 +0200

    [glib] Fix poppler_page_find_tex() when called more than once

    Fixes bug #27927

 glib/poppler-page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4c6ecdf1c65bfc9949aa0b9a7fd8cea36e36cc8d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 29 21:44:02 2010 +0100

    bitmap can be null at this stage, check it isn't

 poppler/JBIG2Stream.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 714db8900b2f72bd63811a16bfb81beb23397bba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 21 20:38:00 2010 +0100

    more pow 0.5 -> sqrt

 poppler/GfxState.cc |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 34bed828d9165a6b21db9e00591c170d4700506e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 21 19:24:20 2010 +0100

    sqrt is much faster than pow 0.5

 poppler/GfxState.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ef199a210394a0935b83156795c3b09c37dfc7e4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Jun 21 17:19:22 2010 +0200

    Reduce pow operations in GfxCalRGBColorSpace::getXYZ()

    We were doing the same pow operation 3 times!. It makes document
    attached to bug #28591 render a little faster.

 poppler/GfxState.cc |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 010713061e7bee0b00e83cfc90f114e5ea288319
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jun 19 10:36:39 2010 +0200

    [glib] Fix links/annots area for rotated documents with page CropBox
    not starting at 0,0

    Fixes bug #28588.

 glib/poppler-page.cc |   25 ++++++++++---------------
 1 files changed, 10 insertions(+), 15 deletions(-)

commit 5563ccbb20e4a19ec8415d0108b0089a079b9ab2
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jun 18 23:59:04 2010 +0200

    [autotools] link the 'cpp' tests against libpoppler as well

    ... this way gatof() can be found correctly
    should fix bug #28605

 cpp/tests/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9bf18e685fccba9c4b7bbde26c37ec158a6186f7
Author: Brian Cameron <brian.cameron@oracle.com>
Date:   Fri Jun 18 19:22:17 2010 +0100

    Compile with Sun Studio

 goo/ImgWriter.h            |    3 ++-
 goo/JpegWriter.h           |    3 ++-
 poppler/SplashOutputDev.cc |    6 ++++++
 3 files changed, 10 insertions(+), 2 deletions(-)

commit fb08e3d0ff34c4d5757b95ae500a882bb1a35b07
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 17 23:01:21 2010 +0100

    Optimize Splash::compositeBackground

    Optimization takes into account the two most common cases, the
    pixel not
    being painted at all (alpha == 0) meaning we just copy the paperColor
    and the pixel being opage meaning we have to do nothing

 splash/Splash.cc |   34 ++++++++++++++++++++++++++--------
 1 files changed, 26 insertions(+), 8 deletions(-)

commit b45d60e9c750b7ee892e2008da48b5893ab0f0d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 17 22:59:37 2010 +0100

    Check the objects are num before reading them

    Might have caused the kde bug #241995

 poppler/GfxState.cc |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 288ca37b907d6dfaee9bff244bb591429558d8f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 15 22:54:34 2010 +0100

    Protect us against negative y coordinates

    Happens very rarely, like in bug 28480

 splash/Splash.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 54ed4c6962a68e744bdd272193c320c0ea35359c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 14 19:16:41 2010 +0100

    Add more caching to ObjectStreams

    Makes opening of file from bug 26759 ten times faster

 poppler/XRef.cc |   62
 +++++++++++++++++++++++++++++++++++++++++++++++--------
 poppler/XRef.h  |    4 +-
 2 files changed, 55 insertions(+), 11 deletions(-)

commit 75c2cba15327930ae35a2bb160bdd3dc672bb178
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jun 13 15:31:15 2010 +0100

    do not distribute these two files

    they are generated on configure/cmake time and depend on the machine

 glib/Makefile.am    |    7 +++----
 poppler/Makefile.am |    4 ++--
 2 files changed, 5 insertions(+), 6 deletions(-)

commit b2427d038e1bd1564147b2e0215b41f2e5f95f64
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 9 18:56:16 2010 +0100

    we need to ship these two files

    Bug 28458

 Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 37b79fed454f2ba3b91464a3e4cfffe231e51df9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 21:54:52 2010 +0100

    Typo--

 utils/pdftoppm.1 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 129aeee14477263bd519a517714e81e854fa8ea6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 21:49:40 2010 +0100

    Add cropbox to the manpage

 utils/pdftoppm.1 |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f9e6cb9647981f7afbb20261b3ccedaf003657d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 20:43:11 2010 +0100

    0.14.0

 CMakeLists.txt   |    4 ++--
 NEWS             |   18 ++++++++++++++++++
 configure.ac     |    4 ++--
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 24 insertions(+), 6 deletions(-)

commit 963afdc39153fee69ecb939c98deeef4f64638de
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 20:29:58 2010 +0100

    libpoppler-qt4.so.3.2.0 -> libpoppler-qt4.so.3.3.0

 qt4/src/CMakeLists.txt |    2 +-
 qt4/src/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c1629be8011f3bddbf619246090640d62136d521
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 20:23:00 2010 +0100

    Increase soname as _PopplerActionMovie struct grew

 glib/CMakeLists.txt |    2 +-
 glib/Makefile.am    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5ef45b1e72aed88ece0905b1204edee641f3c8fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 8 19:35:20 2010 +0100

    Do not exit when trying to allocate memory for the XRef fails

    See bug 28406

 poppler/XRef.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit e7a5e9f70ee1283a2ca6734552d905279c97989b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 4 08:46:33 2010 +0100

    a bit of docu

 poppler/Object.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9ff4dab2558f7c2700fd7fcaccacdad9619dbdda
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 4 08:44:34 2010 +0100

    Add support for unsigned integer numbers

    So files store their P as a 32 bit unsigned instead of as a 32 bit
    signed, making us to overflow our objInt parsing and rejecting to open
    the file, this patch introduces objUint that only happens when the
    number is not real, does not fit in a 32 bit integer but still fits
    in a
    32 bit unsigned integer

 poppler/Lexer.cc           |   32 +++++++++++++++++++++++++-------
 poppler/Object.cc          |    5 ++++-
 poppler/Object.h           |   14 +++++++++++---
 poppler/SecurityHandler.cc |   22 ++++++++++++++++++++++
 4 files changed, 62 insertions(+), 11 deletions(-)

commit 41e9af7f505dbfbda36f6ac97df90f2a42ab3160
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 1 21:40:07 2010 +0100

    If the document is not encrypted it is ok to print

 poppler/XRef.cc |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit b15c793a8a58b17a7fe7b32c1037726e1e0e1bf0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jun 1 20:57:16 2010 +0100

    Check it is a stream, not that it is not none

    People is reporting aborts, e.g. KDE bug 240208
    but can not check if this really fixes it since he can not share the
    document

 poppler/Lexer.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit a72c68117ba05f3934e2df227cdcaf53a375f0ce
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 18:11:02 2010 +0200

    [cpp apidox] add a start of API documentation for the 'page' class

 cpp/poppler-page.cpp |   68
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 68 insertions(+), 0 deletions(-)

commit acf7729e8e270e1b4b2a552272dc280ae6d7b352
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 17:38:35 2010 +0200

    [cpp] fix the font_iterator current page status

 cpp/poppler-font.cpp |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 4e017ff24a01cbbf1b39eedc3d7697f8b180fdd9
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 17:15:28 2010 +0200

    [cpp apidox] add API documentation for the 'font_info' and
    'font_iterator' classes

 cpp/poppler-font.cpp |   71
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 71 insertions(+), 0 deletions(-)

commit 2ff840b62e41e2fc98e9fcff7330f40216de58a5
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 14:34:37 2010 +0200

    [cpp] move the actual convert_date(const char*) implementation in
    the detail

    this way it is possible to call it from inside poppler-cpp without
    an implicit conversion to std::string

 cpp/poppler-document.cpp      |    2 +-
 cpp/poppler-embedded-file.cpp |    4 ++--
 cpp/poppler-global.cpp        |   23 ++---------------------
 cpp/poppler-private.cpp       |   25 +++++++++++++++++++++++++
 cpp/poppler-private.h         |    2 ++
 5 files changed, 32 insertions(+), 24 deletions(-)

commit 8112e9111313eaded4cd2e89d0e67efb0f3e29db
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 13:13:50 2010 +0200

    [cpp] add a time_type typedef

    ... defined as unsigned int, and use it all around
    (it changes nothing for client code)

 cpp/poppler-document.cpp      |    8 ++++----
 cpp/poppler-document.h        |    2 +-
 cpp/poppler-embedded-file.cpp |    4 ++--
 cpp/poppler-embedded-file.h   |    4 ++--
 cpp/poppler-global.cpp        |    4 ++--
 cpp/poppler-global.h          |    4 +++-
 6 files changed, 14 insertions(+), 12 deletions(-)

commit bc5bdb43b12437e00aaddc27a74b9ac4b6498446
Author: Pino Toscano <pino@kde.org>
Date:   Fri May 28 13:01:53 2010 +0200

    use the proper type for iterating on a GooVector

 poppler/XRef.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 87128ab0dfec6be1a034361512ee41301b078831
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:   Thu May 27 17:31:00 2010 +0200

    [CMake] Do not force -O2, preserve compiler flags instead.

 cmake/modules/PopplerMacros.cmake |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 241c338facb45641ef1a271c904355a014bbf28d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 27 20:37:55 2010 +0100

    Allow quality & progressive mode to be utilised in JpegWriter

 goo/JpegWriter.cc      |   15 +++++++++++++--
 goo/JpegWriter.h       |    4 ++++
 splash/SplashBitmap.cc |   18 +++++++++---------
 splash/SplashBitmap.h  |    4 ++++
 4 files changed, 30 insertions(+), 11 deletions(-)

commit 9eda6e8aaae412a9882141d1b5b8c7bf0c823c68
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 25 23:44:30 2010 +0100

    Do not follow loops blindly

    Fixes crash in pdf in bug 28172

 poppler/XRef.cc |   21 +++++++++++++++------
 poppler/XRef.h  |    7 ++++---
 2 files changed, 19 insertions(+), 9 deletions(-)

commit bbee6e0c8c9b181f8d19c167c867d74a765685fb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 25 23:13:38 2010 +0100

    update copyright

 poppler/JBIG2Stream.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 80b72b9f2fd70395580205b8b176e0576e132cf5
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed May 26 13:07:57 2010 +0200

    [autotools] sync autotool build with cmake build

    In addition to commit 69c2cf76cef9c190ac07726f60f1dccd3df5cb6d

 poppler/poppler-config.h.in |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 30ea3ab8a1eecafb3366aef193910098fdb7ccc8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 25 23:07:56 2010 +0100

    Fix crash when parsing pdf in bug 28170

    This code is a can of crashing worms :-7

 poppler/JBIG2Stream.cc |   23 ++++++++++++++++-------
 1 files changed, 16 insertions(+), 7 deletions(-)

commit b5a9021037c4e6cbbfd622433f3de693d1f47671
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 25 20:00:57 2010 +0100

    0.13.4

 CMakeLists.txt                               |    2 +-
 NEWS                                         |   16 ++++++++++++++++
 configure.ac                                 |    2 +-
 cpp/Doxyfile                                 |    2 +-
 glib/reference/tmpl/poppler-action.sgml      |    5 +++++
 glib/reference/tmpl/poppler-annot.sgml       |   18 ++++++++++++++++++
 glib/reference/tmpl/poppler-attachment.sgml  |    3 +++
 glib/reference/tmpl/poppler-document.sgml    |    5 +++++
 glib/reference/tmpl/poppler-enums.sgml       |   17 +++++++++++++++++
 glib/reference/tmpl/poppler-features.sgml    |    3 +++
 glib/reference/tmpl/poppler-form-field.sgml  |    3 +++
 glib/reference/tmpl/poppler-layer.sgml       |    4 ++++
 glib/reference/tmpl/poppler-page.sgml        |   13 +++++++++++++
 glib/reference/tmpl/poppler-private.sgml     |    3 +++
 glib/reference/tmpl/poppler.sgml             |    6 ++++++
 glib/reference/tmpl/stamp-poppler-enums.sgml |    3 +++
 qt4/src/Doxyfile                             |    2 +-
 17 files changed, 103 insertions(+), 4 deletions(-)

commit 57ab0ebe993d79fe551bba58e0a70d55d32828f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 12 20:49:31 2010 +0100

    better copyright

 poppler/strtok_r.cpp |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit 69c2cf76cef9c190ac07726f60f1dccd3df5cb6d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 12 20:47:25 2010 +0100

    mingw does not provide strtok_r

    Copy the glibc implementation

 CMakeLists.txt                 |    1 +
 poppler/Makefile.am            |    1 +
 poppler/poppler-config.h.cmake |    4 +
 poppler/strtok_r.cpp           |  189
 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 195 insertions(+), 0 deletions(-)

commit 9e9b5e0d87a7450bd2223538673321ecec720c36
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue May 11 12:06:17 2010 +0200

    Better check of overlapping of table cells when selecting text

    Add check for overlapping of upper right cell with lower left cell
    of assumed table (related to #3188).

 poppler/TextOutputDev.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a3e40b460b7690ef73ccf143b10da07e91d9ee7f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon May 10 17:41:04 2010 +0200

    [annots] Adjust bbox for line annots when y1 = y2

    Some documents like pdf_commenting_new.pdf, have y1 = y2 but
    line_width > 0, acroread renders the lines in such cases even
    though the
    annot bbox is empty.

 poppler/Annot.cc |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit e30d24c506a9ff742f8af5d6c71273abeddaa265
Author: Pino Toscano <pino@kde.org>
Date:   Tue May 4 15:19:26 2010 +0200

    [cpp] ustring::{from,to}_utf8(): fix in/out buffer sizes

 cpp/poppler-global.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit aaa19a673020e12dbfceb4d25ade0ece7875fd83
Author: Pino Toscano <pino@kde.org>
Date:   Tue May 4 12:07:43 2010 +0200

    [cpp] make the pkg-config files really working

 poppler-cpp.pc.cmake |    6 +++++-
 poppler-cpp.pc.in    |    6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 8f963ccde41ef1faa719254fccc5bdfe75e9fa87
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sun May 2 18:42:10 2010 +0200

    Windows: define strtok_r as strtok_s

 poppler/poppler-config.h.cmake |    4 ++++
 poppler/poppler-config.h.in    |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit c9d8df51c96e50ad72f7954baba2254259fc894c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 1 19:52:51 2010 +0100

    2010 in these copyrights

 poppler/poppler-config.h.cmake |    2 +-
 poppler/poppler-config.h.in    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9ce71fb35fdd66c55872956432160a5c76a62080
Author: Jakub Wilk <ubanus@users.sf.net>
Date:   Sat May 1 19:50:54 2010 +0100

    Use strtok_r instead strtok

    strtok is not thread safe

 fofi/FoFiType1.cc            |    8 +++++---
 poppler/CharCodeToUnicode.cc |    6 ++++--
 poppler/GlobalParams.cc      |    6 ++++--
 poppler/PDFDoc.cc            |    4 +++-
 poppler/UnicodeMap.cc        |   21 ++++++++++++++++++---
 5 files changed, 34 insertions(+), 11 deletions(-)

commit 6b2983f89e87792a393880dab6dc1fedb748db2c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 30 14:48:50 2010 +0200

    [cairo] Set device offset and matrix to smask depending on the
    group target

    It seems to fix all of my test cases. Fixes bug #27208.

 poppler/CairoOutputDev.cc |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

commit ac32021704178721ee007a6b6831283e323e500f
Author: Pino Toscano <pino@kde.org>
Date:   Fri Apr 30 01:14:14 2010 +0200

    demote the #warning to a simple FIXME comment

 poppler/ArthurOutputDev.cc |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 8c1bc17552c989c15f318d9d109607a9a594ca6b
Author: Pino Toscano <pino@kde.org>
Date:   Fri Apr 30 01:12:19 2010 +0200

    MSVC: define fmax() and fmin()

    MSVC does not provide those functions, so we need to define them to
    the existing max()/mix() macros.
    Thanks to Patrick Spendrin for the hint!

 poppler/poppler-config.h.cmake |    5 +++++
 poppler/poppler-config.h.in    |    5 +++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 71063d51a45835b0267a7e3f823ef49689cfd06f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 29 20:28:07 2010 +0200

    Make sure we are drawing text before calling endTextObject()

    This is actually the right fix for the previous commit.

 poppler/Gfx.cc |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit e909219d8e92994bd52976f9676015fa6ca9fc91
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 29 18:34:22 2010 +0200

    Set textHaveCSPattern=false again before filling the pattern in
    opEndText()

    Fixes cairo backend regressions caused by commit
    ccf238b32e236f69c0507a5421ac2649dfa8d865.

 poppler/Gfx.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 29572d6ac7829b60efce2d8e489473c55e370f26
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 27 23:39:23 2010 +0100

    fabs for doubles

 poppler/TextOutputDev.cc |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 4905e2bd764ea601e3bf9c5195c740e5bf186af5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 27 23:34:34 2010 +0100

    fix include

 splash/SplashBitmap.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f9f0e4b747a1527bd6354897cdba7954d58651de
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 27 14:26:23 2010 +0200

    Fix first color stop offset of linear gradients

    Fixes bug #27837.

 poppler/Gfx.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b822011029f3721fbafd4a7bf01b9d6fee35d25
Author: Pino Toscano <pino@kde.org>
Date:   Sat Apr 24 18:18:08 2010 +0200

    include standard float.h instead of unportable values.h

 poppler/TextOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dee7cb8691528293bb5b8f266970cdb6771e301b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 24 15:39:23 2010 +0100

    0.13.3

 CMakeLists.txt   |    2 +-
 NEWS             |   31 +++++++++++++++++++++++++++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 35 insertions(+), 4 deletions(-)

commit 07864c9e2a7a32b48bdbab92c8b2f79bce1d9f5b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 24 13:07:02 2010 +0100

    minor cleanups

 utils/HtmlLinks.cc |   15 ++-------------
 utils/HtmlLinks.h  |   16 ++++++++++++++--
 2 files changed, 16 insertions(+), 15 deletions(-)

commit e501eabb2f0775444a2bf64005a3a3f1ffa281b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 24 13:06:12 2010 +0100

    Do not assume the parameter will have more than 5 chars

 utils/pdftohtml.cc |   30 ++++++++++++++++++------------
 1 files changed, 18 insertions(+), 12 deletions(-)

commit 6cc4d571339214e9eeeb682ba48fb220cef905f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 24 13:04:05 2010 +0100

    Fix end() to return the correct last valid value

 goo/GooVector.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 4ed53e30e735b79c46eab9d54883531c6e187b17
Author: William Bader <williambader@hotmail.com>
Date:   Fri Apr 23 22:52:24 2010 +0100

    Silence some Illegal entry in bfrange block in ToUnicode CMap

    Fixes #27728

 poppler/CharCodeToUnicode.cc |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 16a004784043e2a8587c0c3c6d23889df8a80470
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 22 19:39:01 2010 +0100

    Avoid the usage of std::

 poppler/TextOutputDev.cc |   25 +++++++++++--------------
 1 files changed, 11 insertions(+), 14 deletions(-)

commit a7dcb2b4ffee57b7f78529cbaeaab647ab93de86
Author: Pino Toscano <pino@kde.org>
Date:   Thu Apr 22 13:31:41 2010 +0200

    Windows: include config.h in GlobalParamsWin.cc only if not included
    already

    GlobalParamsWin.cc is not compiled standalone but only #include'd by
    GlobalParams.cc (on Windows only), so config.h has already included
    already
    as safety check, check for PACKAGE_NAME (#define'd in config.h)
    before #include'ing it again

 poppler/GlobalParamsWin.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fba076e17af24a9c9883504282316bba119a908c
Author: Pino Toscano <pino@kde.org>
Date:   Thu Apr 22 13:24:04 2010 +0200

    avoid accidental max() macro replacement with some compilers (eg MSVC)

    defining an empty macro and using it between "max" and "(", such
    compilers won't try to replace their macro max(a, b) there; in any
    case, empty spaces are just fine

 poppler/TextOutputDev.cc |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit ccf238b32e236f69c0507a5421ac2649dfa8d865
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Apr 21 19:21:37 2010 +0100

    Improve colorizing text and masks in pattern colorspace

    Bug #27482

 poppler/Gfx.cc             |  137
 +++++++++++++++++++++-----------------------
 poppler/Gfx.h              |    4 +-
 poppler/SplashOutputDev.cc |   41 ++++++++++++-
 poppler/SplashOutputDev.h  |    3 +-
 4 files changed, 106 insertions(+), 79 deletions(-)

commit 8e86dfb328d94939ecf390d34af533b831b2837b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 21 19:19:53 2010 +0100

    Add copyright

 poppler/TextOutputDev.cc |    1 +
 poppler/TextOutputDev.h  |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 6f9f3d33ff8058e28243ba45b8547e21ad0d088a
Author: Andre Klapper <a9016009@gmx.de>
Date:   Wed Apr 21 19:57:15 2010 +0200

    [glib-demo] Compile with -DGSEAL_ENABLE

    Fixes bug #27579.

 glib/demo/images.c |    2 +-
 glib/demo/layers.c |    4 ++--
 glib/demo/render.c |    8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 6b14c18d60cae130869f9a5c7688dfe880602224
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Apr 21 19:56:49 2010 +0200

    [cairo] Make sure we always use a new path in doPath()

    Fixes document
    http://acroeng.adobe.com/Test_Files/images/transparency/Untitled-2.pdf
    when rendering with cairo backend.

 poppler/CairoOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4f71d64c69500ed78daf4d797c8af6cfbd3d970e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Apr 21 11:44:49 2010 +0200

    [cairo] Fix pattern size when bbox is not at 0,0

 poppler/CairoOutputDev.cc |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 9c5612f6e013a8698eff6531ec388a7e6c1fb89a
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Feb 12 14:31:01 2010 +0100

    Distinguish between columns and tables when selecting text

    This commit add ability to detect tables in text by checking borders
    of 4 neighbouring text blocks for arrangement (to the left, to
    the right,
    center, ...). Detected border of whole table is then stored in
    ExMin, ExMax,
    EyMin and EyMax of each block together with id of detected
    table. Sorting
    of blocks is then performed on the these borders to be able to
    distinguish
    tables from columns.
    Pasting of selected text was modified so that tables are pasted
    correctly
    (even with multi line cells).

 poppler/TextOutputDev.cc |  490
 ++++++++++++++++++++++++++++++++++++++++------
 poppler/TextOutputDev.h  |    5 +
 2 files changed, 437 insertions(+), 58 deletions(-)

commit db014ffb357e760d9397544c5a8fe747cdb497ab
Author: Brian Ewins <brian.ewins@gmail.com>
Date:   Mon Nov 23 08:58:19 2009 +0000

    Select top right to bottom left in RTL mode

    This makes pure RTL selection work. Bidi is not handled at all.
    Rendering of the selection is poor and the dumped text appears
    to still be in reverse order to me.

 poppler/TextOutputDev.cc |   57
 ++++++++++++++++++++++++++++++++++-----------
 1 files changed, 43 insertions(+), 14 deletions(-)

commit b1d43fa052d9160c4f319a67415ecf3ebf2cf9b3
Author: Brian Ewins <brian.ewins@gmail.com>
Date:   Sun Nov 22 09:47:40 2009 +0000

    Make pdftotext newlines match copy and paste

    The output of pdftotext didn't insert line breaks,
    resulting in jumbled text. Change the rules to
    emit a newline at the end of each line unless
    a hyphenation is being supressed, and an extra
    newline at the end of each flow.

 poppler/TextOutputDev.cc |   17 +++--------------
 1 files changed, 3 insertions(+), 14 deletions(-)

commit f83b677a8eb44d65698b77edb13a5c7de3a72c0f
Author: Brian Ewins <brian.ewins@gmail.com>
Date:   Thu Nov 12 02:50:29 2009 +0000

    Use a reading-order sort to order blocks

    This switches the block sort from XY to reading order,
    using the rules from T. Breuel's "High Performance
    Document Layout Analysis".

    Signed-off-by: Brian Ewins <brian.ewins@gmail.com>

 poppler/TextOutputDev.cc |  164
 ++++++++++++++++++++++++++++++++++++++++++++--
 poppler/TextOutputDev.h  |    8 ++
 2 files changed, 167 insertions(+), 5 deletions(-)

commit a2191a4d45e0abaec97c19aacae37c4c5824bd36
Author: Brian Ewins <brian.ewins@gmail.com>
Date:   Mon Nov 9 06:24:51 2009 +0000

    Separate flow construction from reading order

    If the blocks were already in reading order, then
    constructing flows is simplified, since blocks
    cannot be picked out-of-order. Make this change
    first in preparation for adding a reading-order
    sort.

    Signed-off-by: Brian Ewins <brian.ewins@gmail.com>

 poppler/TextOutputDev.cc |   96
 ++++++++-------------------------------------
 1 files changed, 17 insertions(+), 79 deletions(-)

commit 345ed51af9b9e7ea53af42727b91ed68dcc52370
Author: Brian Ewins <brian.ewins@gmail.com>
Date:   Thu Oct 29 01:46:29 2009 +0000

    Fix bug 3188, text selection across table cells

    Bug 3188. When selecting text, poppler goes across the whole
    page then down, rather than across each cell, down that cell,
    then across to the next cell. This leads to illegible paste
    results.

    Teach TextPage to visit the selection in flow order rather than
    block order.

    Signed-off-by: Brian Ewins <brian.ewins@gmail.com>

 poppler/TextOutputDev.cc |  334
 ++++++++++++++++++++++++---------------------
 1 files changed, 178 insertions(+), 156 deletions(-)

commit 12d83931ae1b899b70c7ea5c01f03f123b1bb9a8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 18 17:53:48 2010 +0200

    [cairo] Check pattern status after setting matrix when rendering
    images

    Fixes rendering of document attached to kde bug
    http://bugs.kde.org/show_bug.cgi?id=135417.

 poppler/CairoOutputDev.cc |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit ff6d501a2fc887fd49a985161f756d6d6b8e6c0d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 18 17:51:42 2010 +0200

    [cairo] Fix a crash when rendering 0x0 images

    See kde bug http://bugs.kde.org/show_bug.cgi?id=135417

 poppler/CairoOutputDev.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 84cd2186861436fbaa7c29aa691e69fcd543a1c2
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Apr 13 23:42:28 2010 +0200

    Properly initialize variable

 poppler/CachedFile.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 24f244f486f332b0bd76c6525c5d9d03168a76e6
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Apr 13 23:54:28 2010 +0200

    pdftops: require output filename when reading from stdin

 utils/pdftops.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 955f9f53ff225f6794a494fdd0f0fe5ee1a41d88
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Apr 13 23:47:40 2010 +0200

    pdftotext: require output filename when reading from stdin

 utils/pdftotext.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 31388aa8b5117619878431b7fed2d033000af541
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Apr 13 23:27:20 2010 +0200

    pdftohtml: require output filename when reading from stdin

 utils/pdftohtml.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a8d43ec1c7f5448a7f63d9bbd9062d56ee1c7c58
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 14 19:21:33 2010 +0100

    update XOPEN_SOURCE to 600 in non standard compile options

    it seems helps compiling on some BSD

 cmake/modules/PopplerMacros.cmake |    2 +-
 configure.ac                      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4cce1f14e964edf1bf2d9fb8286ee002a67dc212
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 13 21:57:16 2010 +0100

    include strings.h on non windows platforms

 poppler/GlobalParams.cc |    2 ++
 test/perf-test.cc       |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 55c76069c52f9f51c6b8c60fe1aa8de499012ea8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Apr 12 19:32:46 2010 +0200

    [glib] Use existing cairo api when rendering to a pixbuf

    I should fix bug #5589 for the GDK api too.

 glib/poppler-page.cc |  227
 ++++++++++++++++++++-----------------------------
 1 files changed, 93 insertions(+), 134 deletions(-)

commit 51aefe1423a068e8c119c21a8791d265aecbeaf5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 9 12:50:00 2010 +0200

    [cairo] Implement colorizing image masks with pattern colorspace

 poppler/CairoOutputDev.cc |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit bd8f44289770175a17ac45e4788b0d374cc93d5a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Apr 9 12:02:38 2010 +0200

    Partially revert "[cairo] Do not change device offset of mask surface"

    This partially reverts commit
    a32f6f9ebaed3e4827b9dc6cb37e307c2798f521.
    It fixed bug #27208, but it's causing regressions on other documents.

 poppler/CairoOutputDev.cc |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit bcb405c43fb7140f5d601d00de4d30913a0050ef
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Apr 8 12:02:48 2010 +0200

    Pages were always created without forms by Catalog

    Use getForm() instead of form when creating a page object.

 poppler/Catalog.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d46581c574b3088a82555cbc3b76e95e2571b9c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 7 20:25:23 2010 +0100

    Fix destructor

 poppler/Catalog.cc |   19 +++++++------------
 poppler/Catalog.h  |    3 +--
 2 files changed, 8 insertions(+), 14 deletions(-)

commit ab14433f8b3d7c67f279cece65dfdd40c6675ac0
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 15:33:33 2010 +0100

    Parse Form on demand

 poppler/Catalog.cc |   21 +++++++++++++--------
 poppler/Catalog.h  |    2 +-
 2 files changed, 14 insertions(+), 9 deletions(-)

commit c72a2c7f70b13a7b7b531b3c983d9a9bc104bac7
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 17:33:11 2010 +0100

    Parse Names on demand

 poppler/Catalog.cc |  112
 ++++++++++++++++++++++++++++++++++++++++++----------
 poppler/Catalog.h  |   18 ++++++--
 2 files changed, 104 insertions(+), 26 deletions(-)

commit 32053360c93607cf9bdc092257cefad5d4df9ec5
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 16:32:22 2010 +0100

    Parse Dests on demand

 poppler/Catalog.cc |   27 +++++++++++++++++++++------
 poppler/Catalog.h  |    2 +-
 2 files changed, 22 insertions(+), 7 deletions(-)

commit da0f8e69eecb944e128474f62829f729eeabd189
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 16:48:07 2010 +0100

    Parse Outline on demand in PDFDoc

 poppler/PDFDoc.cc |   17 ++++++++++++-----
 poppler/PDFDoc.h  |    2 +-
 2 files changed, 13 insertions(+), 6 deletions(-)

commit d7a69c8cad112cb6616d0192d8a4028fdaee2f73
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 16:05:02 2010 +0100

    Parse Outline on demand

 poppler/Catalog.cc |   23 ++++++++++++++++++++---
 poppler/Catalog.h  |    2 +-
 2 files changed, 21 insertions(+), 4 deletions(-)

commit c149e027fa76824221a78fe6d3bf9bfe953491d4
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 15:51:51 2010 +0100

    Parse StructTreeRoot on demand

 poppler/Catalog.cc |   22 +++++++++++++++++++---
 poppler/Catalog.h  |    2 +-
 2 files changed, 20 insertions(+), 4 deletions(-)

commit 3c6effe44d6d97f175c2ee7f3913d8c4ba34d612
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 14:55:22 2010 +0100

    Parse Metadata on demand

 poppler/Catalog.cc |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 749d67ea2346a3453ef41dc37ba59d419ad900b0
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Mar 25 15:09:58 2010 +0100

    Parse PageLabelInfo on demand

 poppler/Catalog.cc |   37 +++++++++++++++++++++++++++++--------
 poppler/Catalog.h  |    3 +++
 2 files changed, 32 insertions(+), 8 deletions(-)

commit 78f7d106714fa489a66c39410163a6902ba24856
Author: Hib Eris <hib@hiberis.nl>
Date:   Sat Mar 27 14:43:57 2010 +0100

    Parse PageMode and PageLayout on demand

 poppler/Catalog.cc |  109
 +++++++++++++++++++++++++++++++++++-----------------
 poppler/Catalog.h  |   11 +++--
 2 files changed, 81 insertions(+), 39 deletions(-)

commit f5dd5be64d09186ee289632c1a61979d15edd605
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Apr 7 19:48:39 2010 +0200

    Fix saving update docs that have a compressed xref table

     - Use the original xref table size as Size field in the trailer
       dictionary to make sure size = maxObjId + 1

     - Use the right generation number for compressed objects that which
       must be 0. gen field in xref entry for compressed objects is the
       index of the object in the stream, not the generation number.

    Fixes bug #27450.

 poppler/PDFDoc.cc |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 3f302fdd78cd78873bf5376af84e83741a8daadb
Author: Pino Toscano <pino@kde.org>
Date:   Tue Apr 6 23:58:46 2010 +0200

    use a GooVector<bool> instead of a non-standard variable-length-array

 poppler/CachedFile.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 425a62b5fa8e4e69bfc1c64ed126b5baac06d78a
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Apr 6 10:57:30 2010 +0200

    pdfutils: fix deleting fileName

 utils/pdfinfo.cc  |    2 +-
 utils/pdftoabw.cc |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 198c9d61ba93ba62ea2da44a23cd948d43556c3e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 6 22:00:14 2010 +0100

    Use the topleft of the Rect of text annots to draw

    Not use the full rect when we are drawing "our" notes

 poppler/Annot.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 1422802f029483ad3e62a3a13e66b2d3990ac58f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 6 12:32:12 2010 +0200

    [cairo] Use current fill_opacity when drawing soft masked images

    Fixes GNOME Bug https://bugzilla.gnome.org/show_bug.cgi?id=614915

 poppler/CairoOutputDev.cc |   27 ++++++++++++++++++++-------
 1 files changed, 20 insertions(+), 7 deletions(-)

commit c152d30f879e6cde45de58bb9249035e127e84e7
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Apr 5 18:55:29 2010 +0200

    delete fileName in utils

 utils/pdftohtml.cc |    1 +
 utils/pdftops.cc   |    1 +
 utils/pdftotext.cc |    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit f091c83414ab32a4ecf1fa2bd15f13a3cf113a86
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Apr 5 20:12:01 2010 +0100

    add some docu

 poppler/CachedFile.h         |   30 ++++++++++++++++++++++++++++++
 poppler/CurlPDFDocBuilder.h  |    2 ++
 poppler/LocalPDFDocBuilder.h |    2 ++
 poppler/PDFDocBuilder.h      |    9 +++++++++
 poppler/PDFDocFactory.h      |   12 ++++++++++++
 poppler/StdinPDFDocBuilder.h |    2 ++
 6 files changed, 57 insertions(+), 0 deletions(-)

commit fc071d800cb4329a3ccf898d7bf16b4db7323ad8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 5 19:11:26 2010 +0100

    Rework DCTStream error handling, should work better now

    Fixes bug 26280

 poppler/DCTStream.cc   |   35 ++++++++++++++---------------------
 poppler/DCTStream.h    |    5 +++--
 utils/HtmlOutputDev.cc |    4 ++--
 3 files changed, 19 insertions(+), 25 deletions(-)

commit a9d801b2db20ecb08734ee5cdb703abf11994b6e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 5 16:55:02 2010 +0100

    Make some paremeters const & to clearly show we just read them

 poppler/CachedFile.cc         |   18 ++++++++++--------
 poppler/CachedFile.h          |    8 +++++---
 poppler/CurlCachedFile.cc     |    9 +++++----
 poppler/CurlCachedFile.h      |    3 ++-
 poppler/CurlPDFDocBuilder.cc  |    9 +++++----
 poppler/CurlPDFDocBuilder.h   |    5 +++--
 poppler/LocalPDFDocBuilder.cc |   15 ++++++++-------
 poppler/LocalPDFDocBuilder.h  |    5 +++--
 poppler/PDFDocBuilder.h       |    5 +++--
 poppler/PDFDocFactory.cc      |    7 ++++---
 poppler/PDFDocFactory.h       |    3 ++-
 poppler/StdinCachedFile.cc    |    3 ++-
 poppler/StdinCachedFile.h     |    3 ++-
 poppler/StdinPDFDocBuilder.cc |    7 ++++---
 poppler/StdinPDFDocBuilder.h  |    5 +++--
 utils/pdffonts.cc             |    4 ++--
 utils/pdfimages.cc            |    4 ++--
 utils/pdfinfo.cc              |    4 ++--
 utils/pdftoabw.cc             |    4 ++--
 utils/pdftohtml.cc            |    4 ++--
 utils/pdftoppm.cc             |    2 +-
 utils/pdftops.cc              |    4 ++--
 utils/pdftotext.cc            |    4 ++--
 23 files changed, 76 insertions(+), 59 deletions(-)

commit a04ee3ea6066c97d41fc40d5d97c600a1870855a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 5 16:50:58 2010 +0100

    forgot my (C)

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ed723c8ac4a21a50d7d236cdcf7a635defd8dffb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 5 16:50:15 2010 +0100

    The copy constructor of GooString never worked, so do not use it

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a28be8e4009b86fdfd92da928def194225a736c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 5 16:49:06 2010 +0100

    Add some const correctnes to GooString

 goo/GooString.cc |   12 ++++++------
 goo/GooString.h  |   21 ++++++++++++---------
 2 files changed, 18 insertions(+), 15 deletions(-)

commit 46aee9e4d225b88a3dfd4afbe57259f337bb15d3
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Apr 5 14:36:09 2010 +0200

    Use PDFDocFactory in utils

 utils/pdffonts.cc  |   16 ++++++++--------
 utils/pdfimages.cc |   11 ++++++++++-
 utils/pdfinfo.cc   |   31 +++++++------------------------
 utils/pdftoabw.cc  |   10 +++++++++-
 utils/pdftohtml.cc |   10 +++++++++-
 utils/pdftoppm.cc  |   17 +++++++++++------
 utils/pdftops.cc   |    9 ++++++++-
 utils/pdftotext.cc |   14 +++++++-------
 8 files changed, 69 insertions(+), 49 deletions(-)

commit d487a90688c4431075c9e4db040b3b02625e208f
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Apr 5 14:35:52 2010 +0200

    Add PDFDocFactory

 CMakeLists.txt           |    2 +
 poppler/Makefile.am      |    2 +
 poppler/PDFDocFactory.cc |   71
 ++++++++++++++++++++++++++++++++++++++++++++++
 poppler/PDFDocFactory.h  |   42 +++++++++++++++++++++++++++
 4 files changed, 117 insertions(+), 0 deletions(-)

commit 869135920831fb0d15db734f3dcd7a67146cc241
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Feb 24 15:24:26 2010 +0100

    Add CurlPDFDocBuilder

 CMakeLists.txt               |    2 +
 poppler/CurlPDFDocBuilder.cc |   46
 ++++++++++++++++++++++++++++++++++++++++++
 poppler/CurlPDFDocBuilder.h  |   30 +++++++++++++++++++++++++++
 poppler/Makefile.am          |    6 +++-
 4 files changed, 82 insertions(+), 2 deletions(-)

commit ec5c6117a64f9cb03560091c4d7948d4287b6975
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Feb 25 11:23:28 2010 +0100

    Add LocalPDFDocBuilder and StdinPDFDocBuilder

 CMakeLists.txt                |    4 +++
 poppler/LocalPDFDocBuilder.cc |   45
 +++++++++++++++++++++++++++++++++++++++++
 poppler/LocalPDFDocBuilder.h  |   30 +++++++++++++++++++++++++++
 poppler/Makefile.am           |    4 +++
 poppler/StdinPDFDocBuilder.cc |   42
 ++++++++++++++++++++++++++++++++++++++
 poppler/StdinPDFDocBuilder.h  |   30 +++++++++++++++++++++++++++
 6 files changed, 155 insertions(+), 0 deletions(-)

commit 919b735d1c0b99bf72280aff8db87ba503954498
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Apr 4 11:05:35 2010 +0200

    Add PDFDocBuilder

 CMakeLists.txt          |    1 +
 poppler/Makefile.am     |    1 +
 poppler/PDFDocBuilder.h |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 34 insertions(+), 0 deletions(-)

commit 1ab07faf05661d6d92186974c4b1c279b6178747
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Apr 4 11:29:53 2010 +0200

    Add PDFDoc::ErrorPDFDoc

 poppler/PDFDoc.cc |   14 ++++++++++++++
 poppler/PDFDoc.h  |    3 +++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit efc7e5efeddd8f70b7c74573d3194aba0a7d4631
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Apr 4 11:17:37 2010 +0200

    Cleanup PDFDoc

 poppler/PDFDoc.cc |   40 +++++++++++++++-------------------------
 poppler/PDFDoc.h  |    3 ++-
 2 files changed, 17 insertions(+), 26 deletions(-)

commit 08a3435e67ebf21beac2fefcbd21ad65f9293fd1
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Feb 23 02:29:26 2010 +0100

    Add HTTP support using libcurl

    With libcurl, poppler can handle documents over http.

 CMakeLists.txt                 |   18 ++++++++
 config.h.cmake                 |    6 +++
 configure.ac                   |   16 +++++++
 poppler/CurlCachedFile.cc      |   95
 ++++++++++++++++++++++++++++++++++++++++
 poppler/CurlCachedFile.h       |   39 ++++++++++++++++
 poppler/Makefile.am            |   20 ++++++++
 poppler/poppler-config.h.cmake |    5 ++
 poppler/poppler-config.h.in    |    5 ++
 utils/pdfinfo.cc               |   16 ++++++-
 9 files changed, 219 insertions(+), 1 deletions(-)

commit a87abf6ad9fb66d35a70c9412adc5d8ba2889b96
Author: Hib Eris <hib@hiberis.nl>
Date:   Wed Feb 24 14:46:59 2010 +0100

    Use cached files to read from stdin in pdfinfo

    This fixes reading from stdin.

 utils/pdfinfo.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 958b04b14baf03c07492fa1cbd225d9968b9efc1
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Feb 23 02:02:10 2010 +0100

    Add support for reading a cached file from stdin

 CMakeLists.txt             |    2 ++
 poppler/Makefile.am        |    2 ++
 poppler/StdinCachedFile.cc |   37 +++++++++++++++++++++++++++++++++++++
 poppler/StdinCachedFile.h  |   26 ++++++++++++++++++++++++++
 4 files changed, 67 insertions(+), 0 deletions(-)

commit 9539f75bd06150a3868209c5b04a75f5253722cc
Author: Hib Eris <hib@hiberis.nl>
Date:   Sat Apr 3 15:08:20 2010 +0200

    Add support for cached files

 CMakeLists.txt        |    2 +
 poppler/CachedFile.cc |  246
 +++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/CachedFile.h  |  113 ++++++++++++++++++++++
 poppler/Makefile.am   |    2 +
 poppler/Stream.cc     |  102 ++++++++++++++++++++
 poppler/Stream.h      |   58 ++++++++++++
 6 files changed, 523 insertions(+), 0 deletions(-)

commit 8c6aefb8aa8929b9c47791d3062ed3ac8512626f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 4 16:08:12 2010 +0200

    [lexer] Correctly parse numbers with '+' sign

    See GNOME Bug: https://bugzilla.gnome.org/show_bug.cgi?id=614549

 poppler/Lexer.cc |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit ab5044e451e3714d385295f0b4ce9a15c8f2562c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 4 12:32:42 2010 +0100

    Add the -o[dd] and -e[ven] options to pdftoppm

    I've been using this patch forever and it's a pain to apply and
    unapply
    it each time

 utils/pdftoppm.1  |    6 ++++++
 utils/pdftoppm.cc |    8 ++++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 0e371fb628a7e7d0cc1656e6405af4c97dbebf5d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 4 12:30:34 2010 +0100

    Fix my roll optimization

    Thanks Carlos for noticing

 poppler/Function.cc |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit a32f6f9ebaed3e4827b9dc6cb37e307c2798f521
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Mar 28 18:43:14 2010 +0200

    [cairo] Do not change device offset of mask surface

    Also call cairo_paint() after set_source_rgb() to paint the
    background.
    Fixes bug #27208.

 poppler/CairoOutputDev.cc |   13 ++-----------
 1 files changed, 2 insertions(+), 11 deletions(-)

commit efa5d9544d29252e3df36cc4e65c3d880b3c5172
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 27 22:11:49 2010 +0000

    remove empty section

 NEWS |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 5722df7a5387e43ec73f659ca58d2d07b9c4be3b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 27 22:04:43 2010 +0000

    poppler 0.13.2

 CMakeLists.txt   |    2 +-
 NEWS             |   39 +++++++++++++++++++++++++++++++++++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 43 insertions(+), 4 deletions(-)

commit b82fd707747b9d87ebf3c8f7ce5ab70ccdf82809
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 27 22:00:58 2010 +0000

    gtk-doc changes

 glib/reference/tmpl/poppler-action.sgml  |    7 +++----
 glib/reference/tmpl/poppler-annot.sgml   |    9 ---------
 glib/reference/tmpl/poppler-private.sgml |   10 ++++++++++
 glib/reference/tmpl/poppler-unused.sgml  |    8 ++++++++
 glib/reference/tmpl/poppler.sgml         |   10 ++++++++++
 5 files changed, 31 insertions(+), 13 deletions(-)

commit ed0354be4eac615b80e7a868984cc527853788b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 27 21:44:59 2010 +0000

    some forgotten copyrights

 qt/poppler-page.cc          |    2 +-
 qt4/src/poppler-document.cc |    2 +-
 qt4/src/poppler-movie.cc    |    3 ++-
 qt4/src/poppler-page.cc     |    2 +-
 4 files changed, 5 insertions(+), 4 deletions(-)

commit 2aedeedf9ef2e2d3eb17bc36d728e68c2f7af762
Author: Hib Eris <hib@hiberis.nl>
Date:   Sat Mar 27 14:38:27 2010 +0000

    Correctly initialize actualText

 poppler/TextOutputDev.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b53f9b203598555d6d706c3804aba013b8566921
Author: Jan Engelhardt <jengelh@medozas.de>
Date:   Sat Mar 27 13:23:42 2010 +0000

    make qt3 detection use pkgconfig

 m4/qt.m4       |  101
 ++++---------------------------------------------------
 qt/Makefile.am |    4 +-
 2 files changed, 10 insertions(+), 95 deletions(-)

commit 320d4cee46e108498440179d8f9eab22cd5383d9
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 24 21:51:58 2010 +0100

    Revert "no more needed"

    This reverts commit 24d6bc8c78cb3148db2098ae4d69bd744340cf52.
    It is actually needed.

 cpp/tests/CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit af21b5ab366bfdda203c26a77f4ae6ed0e70f64e
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 23 00:13:21 2010 +0100

    [CMake] remove the (now) unneeded stuff from Find{GLIB,GDK,GTK}.cmake,
    and search for them

    this way each bit (GLIB, GDK, and GTK) can be enabled/disabled
    independently from the others

 CMakeLists.txt               |    4 +++-
 cmake/modules/FindGDK.cmake  |   14 +-------------
 cmake/modules/FindGLIB.cmake |   14 +-------------
 cmake/modules/FindGTK.cmake  |   14 +-------------
 4 files changed, 6 insertions(+), 40 deletions(-)

commit 9b93ed5ce6712ec4cdf58148628e95685c289ef5
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 23 00:02:27 2010 +0100

    [CMake] copy FindGTK.cmake as FindGLIB.cmake and FindGDK.cmake

    this way FindGTK.cmake can be split in the various parts

 cmake/modules/FindGDK.cmake  |   34 ++++++++++++++++++++++++++++++++++
 cmake/modules/FindGLIB.cmake |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+), 0 deletions(-)

commit 0ec21cae0b4623644c3efca1d2836a9f38f25737
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 22:11:04 2010 +0100

    [Qt] add the unhandled cases for 'actionOCGState'

 qt/poppler-page.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5211e09595135b8e6c68efd1b8b689b518092b84
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 22:07:44 2010 +0100

    [CMake/cpp] move the BUILD_CPP_TESTS option to the main CMakeLists.txt

 CMakeLists.txt           |    1 +
 cpp/tests/CMakeLists.txt |    3 ---
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 24d6bc8c78cb3148db2098ae4d69bd744340cf52
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 22:00:55 2010 +0100

    no more needed

 cpp/tests/CMakeLists.txt |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit a07ef8f703ab896f89ed211a5780e4a669b04fc7
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 22:00:15 2010 +0100

    [CMake] revert addition of "-Wl,--no-add-needed" to the link flags,
    if available

    for now it is safer without it

 cmake/modules/PopplerMacros.cmake |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 86debcc9bba28a7c86f01ca9e63bde5fcd541846
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 21:49:22 2010 +0100

    [CMake] add "-ansi" to the CXXFLAGS only on Linux

 cmake/modules/PopplerMacros.cmake |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 0819acd52a2ce74f0e176626d7b2233e10232d53
Merge: c4ddbe8 92738eb
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 22 21:43:01 2010 +0100

    Merge branch 'master' of ssh://git.freedesktop.org/git/poppler/poppler

commit 92738ebb8a9c7cfc879aae59c2cbdf3159f03cd3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Mar 22 20:28:15 2010 +0000

    Add a search overload that takes doubles

    QRectF is evil and is float in some arch and causes search to loop
    infinitely because of double->float conversion

 qt4/src/poppler-page.cc |   22 +++++++++++++++-------
 qt4/src/poppler-qt4.h   |   16 ++++++++++++++--
 2 files changed, 29 insertions(+), 9 deletions(-)

commit 0a895f14c8125c5de7b97e8e799459c431eb51cb
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Mon Mar 22 19:03:54 2010 +0000

    correctly initialize the grayscale softmask color

    Fixes file with sha1sum e6e1576803a1bd74ad822eebbd750ee7b8357d25

 poppler/SplashOutputDev.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit c4ddbe89df9e48343a9606728b7c182080d87ece
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sat Mar 20 21:55:17 2010 +0100

    [CMake] when the conf configuration backend is "win32", set the
    required Internet Explorer version to 5.0

    ... as done with autotools as well

 CMakeLists.txt |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 97da1f9d060493d9fb54a20e980c3f6e2b82c97e
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 20 17:51:07 2010 +0100

    [CMake] check whether a link flag is supported before adding it to
    the link flags

    this way we can add -Wl,--as-needed and -Wl,--no-add-needed only if
    the current GCC/LD supports them

 cmake/modules/PopplerMacros.cmake |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit 223bce6d14e632f457a81b2ec091fe16369d2eb6
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 20 14:08:58 2010 +0100

    [CMake] with GCC, pass --as-needed and --no-add-needed to the linker

    --as-needed allows to avoid overlinking, linking only to the libraries
    whose symbols are actually used
    --no-add-needed makes the linker not use the NEEDED libraries
    automatically, so we have to always make sure we specify all the
    libraries actually used in a exe/lib

 cmake/modules/PopplerMacros.cmake |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit fc761f0d385708daaef1b95968532795b04f11b0
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 20 14:05:59 2010 +0100

    [CMake] poppler-dump uses parseargs.c which uses the poppler core API,
    so it must link to it

 cpp/tests/CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a210440b05d14efc53224a10e8b3ac7d508043b5
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 20 14:04:02 2010 +0100

    [CMake] poppler-glib uses the freetype API, so it must explicitly
    link to it

 glib/CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f5d352666b92cee0390470d7b892ec8dcbf046a5
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 20 14:03:19 2010 +0100

    [CMake] pdftoabw uses the libxml2 API, so it must explicitly link
    to it

 utils/CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3fc2c4affe825f4aabcee161ec794338bd359403
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 13:52:52 2010 +0100

    [glib] Use g_slice_new/free instead of g_new/free to alloc/free
    iterators

 glib/poppler-document.cc |   27 +++++++++++++--------------
 1 files changed, 13 insertions(+), 14 deletions(-)

commit 7bd6a8558646983669ce699f83d5ed42d7fce476
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 13:34:03 2010 +0100

    [glib] Move find_annot_movie_for_action() from page to action

    And remove _poppler_action_movie_set_movie().

 glib/poppler-action.cc |   93
 ++++++++++++++++++++++++++++++++++++++++++------
 glib/poppler-page.cc   |   79 ----------------------------------------
 glib/poppler-private.h |    2 -
 3 files changed, 82 insertions(+), 92 deletions(-)

commit e5e3d310aa488638431dd85ac3383a12056674bf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 12:20:26 2010 +0100

    Update copyright header

 poppler/Link.cc |    2 +-
 poppler/Link.h  |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit c76870178a031e437de3f9ed7baa64efb96955d6
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 12:13:36 2010 +0100

    [glib-demo] OCG State Actions demo

 glib/demo/utils.c |   64
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

commit 456e42f91dfbf73b71a5dbdde13d7ccdb5637d79
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 12:12:51 2010 +0100

    [glib] Add support for OCG State actions

 glib/poppler-action.cc |  125
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-action.h  |   25 +++++++++-
 glib/poppler.h         |    1 +
 3 files changed, 150 insertions(+), 1 deletions(-)

commit 4b109899e0732bbf65cacd875829e869e61eda48
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 12:10:19 2010 +0100

    [glib] Make get_layer_rbgroup() and get_layers() doc funcs public
    for internal use

 glib/poppler-document.cc |   12 ++++++------
 glib/poppler-private.h   |    3 +++
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 38a55f6118debf994ce1fc41e987b0e3766047ba
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Mar 18 12:08:30 2010 +0100

    Add support for Set-OCG-State actions

    Fixes bug #23522.

 poppler/Link.cc |   80
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Link.h  |   31 +++++++++++++++++++++
 2 files changed, 111 insertions(+), 0 deletions(-)

commit bf398e53b0823d0a6272679858b67c5ffd704425
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 23:06:44 2010 +0100

    [CMake] fix pkg-config executable variable name

 CMakeLists.txt |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ab1a37666704d6b15c19b694ee191327847c23da
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 23:04:01 2010 +0100

    [CMake] proper way of looking for pkg-config

 cmake/modules/FindGTK.cmake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7f07a7dcea031f99a9a6d7c424184a2e69ee0062
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 22:58:08 2010 +0100

    [CMake] update FindFontconfig.cmake with a more recent version

    ... present in KDE (as before)

 cmake/modules/FindFontconfig.cmake |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit beee143ffbdc699ab19f10a01e5747200ea1927a
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 18:36:32 2010 +0100

    [CMake] set the LINK_INTERFACE_LIBRARIES for the poppler and
    poppler-cpp libraries

    this should reduce the libraries linked by frontends and utility
    applications

 CMakeLists.txt     |    1 +
 cpp/CMakeLists.txt |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 5ab791cb2a029edcde84b00a47165adfe4d98a98
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 16:39:38 2010 +0100

    [CMake] small cleanups in FindGTK.cmake

    - update the header will all the stuff found and the variables set
    - add my copyright for this year
    - remove no more useful UsePkgConfig inclusion

 cmake/modules/FindGTK.cmake |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit fcbc76d82e3059c8288fbdc8da117ac9b38a70f2
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 16:36:41 2010 +0100

    [CMake] switch gtk2 (gtk+, gdk-pixbuf, gthread, gio) search to use
    the new pkg_check_modules() way

 cmake/modules/FindGTK.cmake |   27 ++-------------------------
 1 files changed, 2 insertions(+), 25 deletions(-)

commit 5b8135e0899aa3578045eca40940a3495c48d895
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 16:27:40 2010 +0100

    [CMake] link poppler-glib to the gdk2 libraries, if gdk2 was found

 glib/CMakeLists.txt |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3dc4979d72048e81ae3b2d60dab11e791ac95696
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 16:26:04 2010 +0100

    [CMake] switch gdk2 search to use the new pkg_check_modules() way

 cmake/modules/FindGTK.cmake |   13 +------------
 1 files changed, 1 insertions(+), 12 deletions(-)

commit 0ef3d899cb8dea75c97ae1038cac5006f97bc0d2
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 16:05:07 2010 +0100

    [CMake] switch glib2 search to use the new pkg_check_modules() way

 cmake/modules/FindGTK.cmake |   18 ++----------------
 1 files changed, 2 insertions(+), 16 deletions(-)

commit d2dc83cb8de481e44ea584eee77881978af920fa
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 15:56:16 2010 +0100

    [CMake] rename GLIB_VERSION to GLIB_REQUIRED

    this way it matches autotools, and it is going to not conflict with
    my next changes

 CMakeLists.txt              |    4 ++--
 cmake/modules/FindGTK.cmake |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 34accfe27305cae18e09243ab2a607287b86fa47
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 13:55:09 2010 +0100

    [CMake] set all the definitions for poppler-glib in a single place

 glib/CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3d93daf50c61019ca70f42e7ccf33897800b262a
Author: Pino Toscano <pino@kde.org>
Date:   Wed Mar 17 13:49:22 2010 +0100

    [CMake] no need to check for BUILD_GTK_TESTS for single tests

    poppler_add_test(... BUILD_GTK_TESTS ...) takes care of that already

 glib/CMakeLists.txt |    4 ++--
 test/CMakeLists.txt |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 946a11345d01d39538d22114e50aa3e179059883
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 20:24:25 2010 +0100

    [build] Update cmake files

 CMakeLists.txt      |    2 ++
 glib/CMakeLists.txt |    4 ++++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 922c0fe392ba439453edb5b2e88b74f0caa586b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 20:08:23 2010 +0100

    [glib-demo] Rendition actions demo

 glib/demo/utils.c |  112
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 112 insertions(+), 0 deletions(-)

commit 163b3f79d67543bc37b64875e30dcc9b7053e1d5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 20:08:00 2010 +0100

    [glib] Add support for rendition actions

 glib/poppler-action.cc |   22 ++++++++++++++++++++++
 glib/poppler-action.h  |   14 +++++++++++++-
 2 files changed, 35 insertions(+), 1 deletions(-)

commit d9b1e40751beddf48a8694b20bfcc4b4cb41060a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 20:06:45 2010 +0100

    [glib] Add PopplerMedia representing a Rendition Media Clip

 glib/Makefile.am       |    2 +
 glib/poppler-media.cc  |  302
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-media.h   |   53 +++++++++
 glib/poppler-private.h |    2 +
 glib/poppler.h         |    2 +
 5 files changed, 361 insertions(+), 0 deletions(-)

commit 0224b81c4729a98a56b7a68054422ea655018d6a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 17:54:03 2010 +0100

    [glib-demo] Add page number to annots demo

 glib/demo/annots.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 0153b892c63e4fccd0819150cf7b4213857a11c5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 17:49:51 2010 +0100

    [glib] Add poppler_annot_get_page_index() to get the page associated
    to annot

 glib/poppler-annot.cc |   19 +++++++++++++++++++
 glib/poppler-annot.h  |    1 +
 2 files changed, 20 insertions(+), 0 deletions(-)

commit b47337ea91696fea8f42a68a6fa160681ab284b2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 17:49:17 2010 +0100

    [annots] Checks screen annots associated with a rendition action
    have a valid page ref

 poppler/Annot.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 9417fd793ec8d806822669aa614193073e7dfe50
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 16:52:30 2010 +0100

    [annots] Save page index of the page associated with the annot

 poppler/Annot.cc |   14 +++++---------
 poppler/Annot.h  |    4 ++--
 2 files changed, 7 insertions(+), 11 deletions(-)

commit 36b76a5d01b74c6381433b6f6f7ffb9f02696a60
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 14:12:11 2010 +0100

    Rework LinkRendition to follow the spec

 poppler/Link.cc |   68
 ++++++++++++++++++++++++++++++++++---------------------
 poppler/Link.h  |   12 ++++++---
 2 files changed, 50 insertions(+), 30 deletions(-)

commit 7b5885ee7d2026df9a6e87327b6d02f37d79b8b2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 12:25:12 2010 +0100

    [glib-demo] Annot screen demo

 glib/demo/annots.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit bdb76c7cb89bcb6fb139b0ef348d96b7780d57ed
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 12:24:19 2010 +0100

    [glib] Add support for screen annotation

    Based on patch by Sam Kaplan.

 glib/poppler-annot.cc  |   75
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h   |    8 +++++
 glib/poppler-page.cc   |    3 ++
 glib/poppler-private.h |    1 +
 glib/poppler.h         |    1 +
 5 files changed, 88 insertions(+), 0 deletions(-)

commit 54892b1375e360113432b07c6ba058f861d21fe8
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 12:21:30 2010 +0100

    [annots] Save the action already parsed in AnnotScreen

 poppler/Annot.cc |    9 +++++++--
 poppler/Annot.h  |    5 +++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 5a84a2d749478f19631dbfad2be06ec4ea85038c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 11:16:17 2010 +0100

    [glib-demo] Annot and links movie demo

 glib/demo/annots.c |   20 +++++++++
 glib/demo/utils.c  |  115
 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 glib/demo/utils.h  |    3 +
 3 files changed, 137 insertions(+), 1 deletions(-)

commit 2cf5ee4f62089df099f78cd4d39a4eb7589d1b47
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 11:04:17 2010 +0100

    [glib] Add support for movie actions

    Based on patch by Hugo Mercier.

 glib/poppler-action.cc |   35 ++++++++++++++++++---
 glib/poppler-action.h  |   15 ++++++++-
 glib/poppler-page.cc   |   81
 +++++++++++++++++++++++++++++++++++++++++++++++-
 glib/poppler-private.h |    2 +
 4 files changed, 125 insertions(+), 8 deletions(-)

commit 132b6f072fefd231d42f31626f1b5009c4e8319e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 10:56:23 2010 +0100

    [glib] Add support for movie annotations

    Based on patch by Hugo Mercier.

 glib/poppler-annot.cc  |   97
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h   |   10 +++++
 glib/poppler-page.cc   |    3 +
 glib/poppler-private.h |    1 +
 glib/poppler.h         |    1 +
 5 files changed, 112 insertions(+), 0 deletions(-)

commit aecad2bb12be44825d273e364ec6a0444dac5605
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 15 10:48:03 2010 +0100

    [glib] Add PopplerMovie class

 glib/Makefile.am       |    2 +
 glib/poppler-movie.cc  |  140
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/poppler-movie.h   |   42 ++++++++++++++
 glib/poppler-private.h |    2 +
 glib/poppler.h         |    2 +
 5 files changed, 188 insertions(+), 0 deletions(-)

commit 5b3234a16e0d465bff2b5e277cb64b4f4b0a8dbd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Mar 14 16:10:26 2010 +0100

    Split Movie class into Rendition and Movie classes to follow the spec

 poppler/Annot.cc         |   16 ++-
 poppler/Link.cc          |   10 +-
 poppler/Link.h           |    6 +-
 poppler/Makefile.am      |    2 +
 poppler/Movie.cc         |  438
 +++++-----------------------------------------
 poppler/Movie.h          |  138 +++------------
 poppler/Rendition.cc     |  400
 ++++++++++++++++++++++++++++++++++++++++++
 poppler/Rendition.h      |  157 +++++++++++++++++
 qt4/src/poppler-movie.cc |    9 +-
 9 files changed, 657 insertions(+), 519 deletions(-)

commit f9c163730478e3b6d8a1e73dbae6c52c28ae1e84
Author: Pino Toscano <pino@kde.org>
Date:   Mon Mar 8 14:49:12 2010 +0100

    [Qt4] include Object.h and Annot.h, now needed

 qt4/src/poppler-movie.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a00532f509c19c5455e0db5068db95dd4583e8dd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 8 14:22:53 2010 +0100

    Check for Null instead of None to know whether a dict entry is present

    Dict::lookup returns obj->initNull() when the key is not found.

 poppler/Movie.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b51e66c9a7e2f7f39ae1edf8bda02a7bc1ad4ebd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 8 14:15:22 2010 +0100

    [annots] Create appearance stream for Movie Annotations when not
    defined

    See bug #23108

 poppler/Annot.cc |  103
 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 poppler/Annot.h  |    4 ++-
 2 files changed, 105 insertions(+), 2 deletions(-)

commit fae59411852e5c2c45825c5ea963318f1ed5dc6a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Mar 8 14:07:09 2010 +0100

    Fix handling of poster in Movie

    Poster is not always a stream, it can be a boolean too. Also, get the
    reference when available instead of fetching the stream.

 poppler/Movie.cc |   25 ++++++++++++-------------
 poppler/Movie.h  |    6 ++++--
 2 files changed, 16 insertions(+), 15 deletions(-)

commit a451f83d101bf265a1e7e2a17c0b320895e70f4e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Mar 7 12:22:57 2010 +0100

    Save width, height (aspect) in Movie object and provide getAspect()
    method

 poppler/Movie.cc |    3 ++-
 poppler/Movie.h  |    4 ++++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit f88d469f860da17055fc4b98b64aef241fcf0185
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Mar 6 12:33:40 2010 +0100

    Move Movie objects parsing code from Annot to Movie

 poppler/Annot.cc         |  244
 ++------------------------------------------
 poppler/Annot.h          |   73 +-------------
 poppler/Link.cc          |    4 +-
 poppler/Movie.cc         |  255
 ++++++++++++++++++++++++++++++++++++++--------
 poppler/Movie.h          |   25 ++++-
 qt4/src/poppler-movie.cc |   11 ++-
 6 files changed, 246 insertions(+), 366 deletions(-)

commit ec9138b574c7226ad733880d3d43b86bb72073f4
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 23:17:50 2010 +0100

    [autotools] add also cpp/tests/CMakeLists.txt to the "dist files"

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ef3258d6fc57e7a62d951cc826804e50e8e1b526
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 23:14:12 2010 +0100

    [autotools] fix location of poppler-config.h.cmake

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd1d9c882997ff35acd5a458e9dfeba3ad6c8b25
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 22:42:06 2010 +0100

    [CMake] just enable what needed each time

 CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 476bde472a7e694afde96a04ea335fe9582d6fad
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 22:39:45 2010 +0100

    [CMake] add small description for the zlib option

    taken from two bits in configure.ac

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1267d7e0c36e262984070a3b55fea46e7289a4b4
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 19:34:03 2010 +0100

    [CMake] add a note about gtk-doc not supported yet

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 201b18ad0837e84d874b56e1b0469d1b2d45378b
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 19:30:36 2010 +0100

    [CMake] sync with poppler-config.h.in: add
    WITH_FONTCONFIGURATION_{FONTCONFIG,WIN32}

 poppler/poppler-config.h.cmake |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 0d0044e8cc2d406f066338102ec73e1b56214cc3
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 19:25:27 2010 +0100

    [CMake] move poppler-config.h.cmake in the poppler subdirectory,
    where poppler-config.h.in is

 CMakeLists.txt                 |    2 +-
 poppler-config.h.cmake         |   90
 ----------------------------------------
 poppler/poppler-config.h.cmake |   90
 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+), 91 deletions(-)

commit f785e29a901d2c76204dd26e9585446fdd817ebd
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 18:35:34 2010 +0100

    [CMake] remove the generated poppler-enums.{c,h} in the clean target

    ie usually when doing `make clean'

 glib/CMakeLists.txt |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 369604603375dbe3516136b6f8f9d0c26e0b744f
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 18:26:45 2010 +0100

    [CMake] use the --template option of glib-mkenums (like done with
    autotools)

 glib/CMakeLists.txt |   24 ++++--------------------
 1 files changed, 4 insertions(+), 20 deletions(-)

commit bbcbb34fec10c90edd5960bdbcc6849bc8f39526
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:34:40 2010 +0100

    [CMake] set POPPLER_GLIB_DISABLE_DEPRECATED and
    POPPLER_GLIB_DISABLE_SINGLE_INCLUDES as done with autotools

 CMakeLists.txt      |    6 ++++++
 glib/CMakeLists.txt |    6 +++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 190fa971c12ca1b3007f6ba349a77a7c15c47490
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:24:25 2010 +0100

    reorder to match what's in the correspondent .in

 glib/poppler-features.h.cmake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ff46def8b178420a86a974ec2ce767a538bba8be
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:23:16 2010 +0100

    [CMake] GDK_FEATURE is no more needed here

 glib/CMakeLists.txt |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 1eb8026a3060ef61a88c535177510f7ac7e7fc25
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:19:58 2010 +0100

    [CMake] set in one place whether to build the glib frontend

 CMakeLists.txt |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit a1a6f23e2345814e147a72211ce9139555385223
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:09:58 2010 +0100

    [CMake] correctly set the GLIB_REQ stuff

 CMakeLists.txt        |    1 +
 poppler-glib.pc.cmake |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 0f2e5d6925c5938281d9bafc297a43867c4a915b
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 17:03:21 2010 +0100

    [CMake] move the minimum GLib version to the main CMakeLists.txt

 CMakeLists.txt              |    1 +
 cmake/modules/FindGTK.cmake |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit efdffba45d15b538dbfb294403e99f3a6470b4d9
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 16:58:27 2010 +0100

    [CMake] align the GDK stuff (GDK_{FEATURE,REQ}) to what done with
    autotools

 CMakeLists.txt        |    6 +++++-
 poppler-glib.pc.cmake |    2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit cfecc69b7f05920f543ee7e9aafeafaa4c3506fb
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 16:49:14 2010 +0100

    [CMake] apparently there's not a minimum version requirement for GDK,
    so drop the check

 cmake/modules/FindGTK.cmake |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 8ff1cf03d2607b0f13bbbbf272f2b03d8927bd24
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 16:47:21 2010 +0100

    [CMake] first look for Cairo, then for GLib/GDK/GTK

    this starts to align to the searches done with autotools
    also, move the CAIRO_FEATURE to the main CMakeLists.txt

 CMakeLists.txt      |   19 +++++++++++--------
 glib/CMakeLists.txt |    1 -
 2 files changed, 11 insertions(+), 9 deletions(-)

commit bcaf62b8e252594530d3050761ba563cf3b1fb6e
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 16:00:03 2010 +0100

    [CMake] enhance/rewrite a bit the FindCairo module

    make use of some features of CMake 2.6 (as we require it):
    - newer pkg-config handling (aka pkg_check_modules())
    - version checking for modules (PACKAGE_FIND_VERSION*)
    - find_package_handle_standard_args()
    also, after the pkg-config search to win32, search for cairo again
    (double-check plus real search for win32)
    furthermore, introduce CAIRO_INCLUDE_DIRS with the include paths
    requires (kind of "obsoletes" CAIRO_CFLAGS, left there in case it
    is used again)

    apply the changes to the rest of the build system (specify the
    version needed, use the correct variable for includes)

 CMakeLists.txt                |    2 +-
 cmake/modules/FindCairo.cmake |   64
 ++++++++++++++++++++++++++--------------
 glib/CMakeLists.txt           |    2 +-
 3 files changed, 43 insertions(+), 25 deletions(-)

commit c96aa0f5fc74ae04f483485b787aaf65f1791991
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 02:01:13 2010 +0100

    add Patrick's copyright notices

 cpp/poppler-global.h       |    1 +
 goo/gtypes.h               |   14 ++++++++++++++
 poppler/GlobalParams.cc    |    1 +
 poppler/SplashOutputDev.cc |    1 +
 4 files changed, 17 insertions(+), 0 deletions(-)

commit 3311bedd2eb831ef1fd553f3f50960331cf6885f
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sun Mar 7 01:56:15 2010 +0100

    MSVC: disable for the 'ustring' class the warning C4251 (which does
    not apply)

 cpp/poppler-global.h |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 9efa18397bd05fbd27c7811fa6e0f34ce94012e0
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sun Mar 7 01:48:03 2010 +0100

    MSVC: disable warning C4800, which is of no use for now

 goo/gtypes.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3a88d1bf8d2c5a9e8014e0d46e24c9ec06556469
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sun Mar 7 01:26:10 2010 +0100

    MSVC: no isfinite(), so provide it using _finite()

 poppler/SplashOutputDev.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 7774912c46f832f25c51b4cfc0e9430b1cd7fa1f
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:   Sun Mar 7 01:22:31 2010 +0100

    MSVC: do not force constness here, so the right overload will
    be chosen

 poppler/GlobalParams.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cf07a5d85b402b6956c9605fbdc88bddcb94a3cf
Author: Pino Toscano <pino@kde.org>
Date:   Sun Mar 7 00:49:07 2010 +0100

    [CMake] show end yes/no message about the GDK usage

    just like done with autotools

 CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 42c98f8eabe304d5e3dc8c1ebdd5b0b6c221e696
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 6 17:18:08 2010 +0100

    [CMake] make the font configuration backend selection take a string
    (like with autotools)

    this way it is possible to set the cmake variable FONT_CONFIGURATION
    to either "win32" (default on windows) or "fontconfig" (default
    elsewhere) to the font backend to use
    as a consequence, make fontconfig a requirement only if the font
    backend chosen is "fontconfig"

 CMakeLists.txt |   39 +++++++++++++++++++++++++++++----------
 1 files changed, 29 insertions(+), 10 deletions(-)

commit bda6e7cd089f2970af2e9540b4415633ffcf0ebb
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 6 17:13:30 2010 +0100

    [CMake] add a show_end_message() macro to show a generic string
    as value

    make show_end_message_yesno() call it with the proper "yes" or
    "no" string

 cmake/modules/PopplerMacros.cmake |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit d313c0f508711b3b7166b84608c43ebf1f07194b
Author: Pino Toscano <pino@kde.org>
Date:   Sat Mar 6 17:08:59 2010 +0100

    [CMake] rename the show_end_message() macro to
    show_end_message_yesno()

 CMakeLists.txt                    |   26 +++++++++++++-------------
 cmake/modules/PopplerMacros.cmake |    4 ++--
 2 files changed, 15 insertions(+), 15 deletions(-)

commit 0425ff835fa26df5e25e628a6c56f3a180713905
Author: Pino Toscano <pino@kde.org>
Date:   Fri Mar 5 22:21:56 2010 +0100

    update copyright

 poppler/ArthurOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c5ea135ca58e112110be3ae10d887f3188172765
Author: Pino Toscano <pino@kde.org>
Date:   Fri Mar 5 22:14:57 2010 +0100

    [arthur] update the miter limit

 poppler/ArthurOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 552f344b3e3df7c796afa6946149b0a5590cc4f7
Author: Pino Toscano <pino@kde.org>
Date:   Fri Mar 5 22:04:39 2010 +0100

    [arthur] update the line dash style

 poppler/ArthurOutputDev.cc |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit bc42ee05fceef0d0dd2ab0587c184dfc37cf29bf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Mar 5 18:54:32 2010 +0000

    fix copyright year

 poppler/CairoOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b21461e91ed671ef29fd3cf4780fda44f82a0679
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Mar 5 15:14:08 2010 +0100

    [cairo] Close image stream before resetting it again

 poppler/CairoOutputDev.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 866bcc7edb47fe11355081045e2d316a4d530649
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 4 14:19:50 2010 +0100

    [Qt4] no need to save&restore on a newly created painter

 qt4/src/poppler-page.cc |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 654698b556eb53eab7c2d55fc6b3fdd9e35173bb
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 4 13:16:11 2010 +0100

    [Qt4] use Arthur unconditionally

    arthur is no more tied to splash, so can be used in an occasion

 qt4/src/poppler-document.cc |    2 +-
 qt4/src/poppler-page.cc     |    4 +---
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 41931b6310d2ae81e622db904246f019ceb8410d
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 4 13:13:11 2010 +0100

    [Qt4] compile Arthur unconditionally

    as the arthur output dev does not require splash anymore, we can
    always compile it with poppler-qt4

 poppler/Makefile.am    |    4 ++--
 qt4/src/CMakeLists.txt |    6 +-----
 qt4/src/Makefile.am    |    6 +-----
 3 files changed, 4 insertions(+), 12 deletions(-)

commit 48a29e2bbc9aa9bd0cb2775a2365c0ffdeb6ce87
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 4 13:11:43 2010 +0100

    [Arthur] make ArthurOutputDev compile even with Splash disabled

    text rendering is disabled in that case for now

 poppler/ArthurOutputDev.cc |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 2013a19b6457753890affad8c4049f2ce4627df7
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 4 13:02:43 2010 +0100

    [CMake/tests] compile gtk-splash-test only if splash is enabled

 test/CMakeLists.txt |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit ae740c5cfefbae13f82b750e39fa3dbbdc94858b
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 2 23:22:06 2010 +0100

    [cpp] update the copyrights

 cpp/poppler-document-private.h |    2 +-
 cpp/poppler-document.cpp       |    2 +-
 cpp/poppler-embedded-file.cpp  |    2 +-
 cpp/poppler-embedded-file.h    |    2 +-
 cpp/poppler-global.cpp         |    3 ++-
 cpp/poppler-global.h           |    2 +-
 cpp/poppler-page.cpp           |    2 +-
 cpp/poppler-page.h             |    2 +-
 cpp/poppler-rectangle.h        |    2 +-
 cpp/poppler-toc.cpp            |    2 +-
 cpp/poppler-version.cpp        |    2 +-
 cpp/tests/poppler-dump.cpp     |    2 +-
 12 files changed, 13 insertions(+), 12 deletions(-)

commit 24b1d8d0b4ae7cea9fbc331f19cd5ce3917b8b4d
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 2 23:15:56 2010 +0100

    [cpp] {from,to}_utf_8() -> {from,to}_utf8()

 cpp/poppler-global.cpp |    4 ++--
 cpp/poppler-global.h   |    4 ++--
 cpp/poppler-page.cpp   |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 690af1bc58de1ebe710c5e599f1cb635e4838fc8
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Mar 2 16:33:04 2010 +0100

    [cpp] define poppler_cpp_EXPORTS when building with autotools as well

    fixes building on Windows

 cpp/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7492a376e7e5ec35534276ac15485123645617b0
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 2 22:16:07 2010 +0100

    [cpp/tests] use gmtime() when gmtime_r() is not available

 cpp/tests/poppler-dump.cpp |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit de013cc14a0621782c53f481ed7e559f241855a3
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 2 22:05:25 2010 +0100

    [cpp] include config.h _after_ the other includes

 cpp/poppler-global.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 388e5d6aebcabbfc90894c86248159c63701cb0a
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Mar 2 15:51:23 2010 +0100

    Use ICONV_CONST when necessary

 cpp/poppler-global.cpp |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit aaa58b26733a2f7c778632da4942b588050cf33f
Author: Pino Toscano <pino@kde.org>
Date:   Tue Mar 2 21:53:55 2010 +0100

    [CMake] properly define ICONV_CONST

 CMakeLists.txt                |    1 -
 cmake/modules/FindIconv.cmake |    3 +++
 config.h.cmake                |    2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 6304b0d8959fccf96b030c757d78e845d04757e4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 28 15:33:53 2010 +0100

    poppler 0.13.1

 CMakeLists.txt   |    2 +-
 NEWS             |   33 +++++++++++++++++++++++++++++++++
 configure.ac     |    2 +-
 cpp/Doxyfile     |    2 +-
 qt4/src/Doxyfile |    2 +-
 5 files changed, 37 insertions(+), 4 deletions(-)

commit 9eac71862915c851c07075e3ca3af82eb9e4e775
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 28 15:33:19 2010 +0100

    Make sure the private headers end up in the tarball on make dist

 cpp/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit b488172311c2921ab4c365d71ad8b1ab7f596c71
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Feb 28 14:25:36 2010 +0100

    Add copyright notices

 poppler/CairoFontEngine.cc |    3 ++-
 poppler/CairoFontEngine.h  |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 5453cff5b7cb47cadfdae585a58409117af8c1f1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 28 13:51:22 2010 +0100

    [cairo] Select filter for images based on scale factor

    When rendering images and interpolate flag is disabled or missing, we
    always interpolate unless scale factor is >= 400%

    See bugs #25268, #9860

 poppler/CairoOutputDev.cc |   64
 +++++++++++++++++++++++++++++++++------------
 poppler/CairoOutputDev.h  |    2 +
 2 files changed, 49 insertions(+), 17 deletions(-)

commit e65456cbd5cae2750426aabeb2d66a10537616f0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 28 13:13:13 2010 +0100

    [cairo] Refactor scaled size computation into a new method

 poppler/CairoOutputDev.cc |   52
 ++++++++++++++++++++++----------------------
 poppler/CairoOutputDev.h  |    2 +
 2 files changed, 28 insertions(+), 26 deletions(-)

commit 32aa9ae7d0087298661829265de00e93398272b3
Author: Jan Kümmel <jan+freedesktop@snorc.org>
Date:   Sat Feb 27 17:58:46 2010 +0100

    [cairo] Omit writing of embedded fonts into tempary files

    Fixes bug #26694.

 poppler/CairoFontEngine.cc |  146
 ++++++++++++++++++++++++--------------------
 1 files changed, 80 insertions(+), 66 deletions(-)

commit 7ba52a32343ca73730a80b64c136e3f03348e7d9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Feb 27 17:42:46 2010 +0100

    [cairo] Remove unused 'face' from CairoFreeTypeFont class

 poppler/CairoFontEngine.cc |    6 ++----
 poppler/CairoFontEngine.h  |    3 +--
 2 files changed, 3 insertions(+), 6 deletions(-)

commit 7c3140c88c00282e10888143fffe3c402d48fb05
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Feb 27 13:13:47 2010 +0100

    Don't use '\' character in PostScript names

 poppler/PSOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8e354a15a1861719c00799937ad9f9bb1bb71e9f
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Feb 24 18:58:11 2010 +0000

    Fix remaining part of 26243

    Thomas says: The "gn" is colored with a shading pattern, but the
    shading has a bbox,
    so it is clipped to this bbox, too. But when coloring text or masks in
    pattern colorspace, this is definely wrong.

 poppler/Gfx.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit fcbc571a98775b1daa8f562fc8674fb2d15b6626
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 23 17:02:47 2010 +0100

    [cpp] make checksum() return an array of data, instead of a string

    a checksum is a sequence of values after all, so just return it as
    such instead of pretending it is a string
    accordingly adapt the mini dump application

 cpp/poppler-embedded-file.cpp |   10 ++++++++--
 cpp/poppler-embedded-file.h   |    2 +-
 cpp/tests/poppler-dump.cpp    |    4 ++--
 3 files changed, 11 insertions(+), 5 deletions(-)

commit fbefb9bef9f7a099d51919255a98f412d1e1d696
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 23 16:56:47 2010 +0100

    [cpp apidox] add API documentation for the 'embedded_file' class

 cpp/poppler-embedded-file.cpp |   43
 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 6d39cca0a035fc656d3b86ba66dedaccee532fcb
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 23 16:41:56 2010 +0100

    [cpp apidox] add API documentation for the 'toc' and 'toc_item'
    classes

 cpp/poppler-toc.cpp |   57
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 57 insertions(+), 0 deletions(-)

commit 857e4ceb26d959c48c7af6bff53ca1bfe5307236
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 23 15:39:58 2010 +0100

    [cpp] when the loading of the document fails, put back the data
    where it was before

 cpp/poppler-document-private.h |    2 +-
 cpp/poppler-document.cpp       |   10 +++++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 7838b182143086192ac8dcf571da0ce1743619e2
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 23 00:04:09 2010 +0100

    [cpp] add the directory of the generated html apidox to the ignore
    list

 cpp/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 71a38a23a9db5cac872c666283b7abcb1462210c
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 23:43:34 2010 +0100

    [cpp] add page::text() to get the text inside a page region

 cpp/poppler-page.cpp |   16 ++++++++++++++++
 cpp/poppler-page.h   |    1 +
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 4c75360233bc67f097551980a46ecce976927220
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 23:05:53 2010 +0100

    [cpp] add page::search()

 cpp/poppler-page.cpp |   51
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 cpp/poppler-page.h   |    8 +++++++
 2 files changed, 59 insertions(+), 0 deletions(-)

commit 8932c53a084083eb42d109dd17bac3ad41ce65b5
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 22:39:36 2010 +0100

    [cpp] add getters and setters for left/top/right/bottom

 cpp/poppler-rectangle.h |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 8e1ea57f558fa3a1702a17d79b5aaffc486c6a56
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 22:19:51 2010 +0100

    [cpp] add a global enum for case sensitivity

 cpp/poppler-global.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ae41b087de8f0a7d525320dcf1d64ff22fe982b6
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 19:06:21 2010 +0100

    [cpp apidox] doxygen configuration for poppler-cpp

 cpp/Doxyfile | 1551
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1551 insertions(+), 0 deletions(-)

commit 1a36a7bcc684065478a3ade2c2938f0e3672140a
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 19:05:49 2010 +0100

    [cpp apidox] very small start of intro page

 cpp/Mainpage.dox |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 85e052ab7a4c462143325ecf60eebba35411b790
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 18:53:20 2010 +0100

    [cpp apidox] start adding API documentation for the global 'poppler'
    namespace

    ... including the 'convert_date' function and faking the 'noncopyable'
    class

 cpp/poppler-global.cpp |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit b01608f91fb6cf6e9c4fb6e6ee3cb57517a766bf
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 18:52:24 2010 +0100

    [cpp apidox] exclude the 'detail' namespace from apidox extraction

    this includes also the 'noncopyable' typedef, but that will be
    handled differently

 cpp/poppler-global.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f17a7a8cfdeabb3ced3ba8d42c869d892c528e13
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 18:51:30 2010 +0100

    [cpp apidox] add API documentation for the version functions

 cpp/poppler-version.cpp |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit f6c4bbddc7d04c0b1a6b25c41cbf6d81ae40cc0c
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 18:50:54 2010 +0100

    [cpp apidox] start adding API documentation for 'document'

 cpp/poppler-document.cpp |  182
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 182 insertions(+), 0 deletions(-)

commit cbb7519904d9b6395d0128e16a79324e4b8bfcc0
Author: Pino Toscano <pino@kde.org>
Date:   Mon Feb 22 13:15:11 2010 +0100

    [CMake] no more need to build system check for the Cairo blend modes

    followup of 880890c14e99a954b365a3a6b59deeffa5304d30 for the cmake
    build system

 cmake/modules/FindCairo.cmake |   18 ------------------
 config.h.cmake                |    3 ---
 2 files changed, 0 insertions(+), 21 deletions(-)

commit 80f47bbf45faf751c661c1d0931e8e1da622b8ca
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Feb 22 12:43:06 2010 +0100

    [cairo] Use cairo_surface_set_mime_data() when printing

    When rendering a jpeg image for printing, using
    cairo_surface_set_mime_data() to attach the jpeg stream to the
    surface reduces drastically the size of the output file.

 poppler/CairoOutputDev.cc |   42
 ++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |    1 +
 2 files changed, 43 insertions(+), 0 deletions(-)

commit d63293af6dbff65f160be0118b1580c03a1aab56
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Nov 27 09:52:23 2009 +0100

    [cairo] Turn EXTEND_PAD off when printing

 poppler/CairoOutputDev.cc |   98
 ++++++++++++++++++++++++++++++--------------
 1 files changed, 67 insertions(+), 31 deletions(-)

commit 880890c14e99a954b365a3a6b59deeffa5304d30
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Feb 22 11:01:05 2010 +0100

    [cairo] Use CAIRO_VERSION macros to check whether blend modes are
    available

 configure.ac              |   24 ------------------------
 poppler/CairoOutputDev.cc |    4 ++--
 2 files changed, 2 insertions(+), 26 deletions(-)

commit 5c300ce00b5c59da767ca1ffec12f96f0ebbe701
Author: Pino Toscano <pino@kde.org>
Date:   Sun Feb 21 21:20:10 2010 +0100

    [Qt4/apidox] fix typo

 qt4/src/poppler-qt4.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3f89ccf871e2f4a14129ad3e986b8cd19cdf129c
Author: Pino Toscano <pino@kde.org>
Date:   Sun Feb 21 21:06:31 2010 +0100

    [CMake] set the CXXFLAGS in a better way

 CMakeLists.txt |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a18dab9e53a20a76eb46fa3a868fffdd3c754ce2
Merge: fa09892 f3862f7
Author: Pino Toscano <pino@kde.org>
Date:   Sun Feb 21 19:56:38 2010 +0100

    Merge remote branch 'origin/cpp-frontend'

    * origin/cpp-frontend: (34 commits)
      [cpp/tests] poppler-dump: show a string for the font type
      [cpp/tests] poppler-dump: show the orientation of the pages
      [cpp/tests] poppler-dump: a bit less output in permissions lines
      [cpp/tests] poppler-dump: add --show-all to show all the information
      [cpp] use iconv for the utf8 <-> utf16 conversions
      [cpp] add the build system stuff for iconv, mandatory for cpp
      [cpp] fixup unicode GooString <-> ustring conversions
      [cpp] fix installation of poppler-version.h with autotools and
      builddir != srcdir
      simplify
      [cpp/tests] add a simple poppler-dump test
      [cpp] use the correct index (instead of an uninitialized variable)
      [cpp] properly delete the children of a toc item
      [cpp] actually implement toc::root()
      [cpp] fix the reference to the vector data
      [cpp] fix the reference to the vector data
      [cpp] add destructor for 'rectangle'
      [cpp] add out stream operators for rect and rectf
      [cpp] add namespace to namespace functiond to link properly
      [cpp] add default empty parameters for the passwords of the document
      loading functions
      [cpp] add "human friendly" output representation for byte_array
      ...

    Conflicts:
	config.h.cmake

commit fa0989297e95b6adebed71336ea206d1b279ab24
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Feb 21 16:59:57 2010 +0000

    Detect the need for nanosleep in solaris

    Fixes bug 26650

 ConfigureChecks.cmake |    5 +++++
 test/CMakeLists.txt   |   17 +++++++++++------
 2 files changed, 16 insertions(+), 6 deletions(-)

commit d074485aa9d9fac6b715382002f53e3303bbc519
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 20 10:08:33 2010 +0000

    Do not call getPixel if we know how to access the data

    Gives a 20% speed increase in some pdf

 splash/Splash.cc |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit d4cafe357bd86feb4b56e5dfbf5b7822e237a2ee
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 20 10:07:20 2010 +0000

    Only call getPixel when really needed

    Gives a 8% speed increase in some pdf

 splash/Splash.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c3122cfbe090f3a4045269222f941cd5ce77c171
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 20 10:04:37 2010 +0000

    Move test code to the header to it can be inlined

    Gives a 10% speed increase in some documents

 splash/SplashClip.cc |   40 ++++++++++++++--------------------------
 splash/SplashClip.h  |   43 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 55 insertions(+), 28 deletions(-)

commit d987fb9b77e6da454eb898cc6c8baaf747b7ac4f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Feb 19 23:59:03 2010 +0000

    implement writeImgFile for splashModeXBGR8

 splash/SplashBitmap.cc |   25 +++++++++++++++++++++++--
 1 files changed, 23 insertions(+), 2 deletions(-)

commit f9425c0b5b112ac673d0499f79a743afce719593
Author: Hib Eris <hib@hiberis.nl>
Date:	Fri Feb 19 20:18:13 2010 +0000

    use pkgconfig to detect libpng on autotools too

 configure.ac	     |	 12 ++++--
 goo/Makefile.am     |	  7 +++-
 m4/libpng.m4	     |	 99
 ---------------------------------------------------
 poppler/Makefile.am |	  3 ++
 4 files changed, 17 insertions(+), 104 deletions(-)

commit 0cb07d645527f25997f5e1b104a6be92441d8ffa
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Feb 18 23:27:20 2010 +0000

    Only swap w with h if rotation is 90 or 270

 utils/pdftoppm.cc |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 35015ed11090d67cab69443e607d4d80ca03c619
Author: Nils Höglund <nils.hoglund@gmail.com>
Date:	Thu Feb 18 23:14:51 2010 +0000

    Match the number of calls to beginMarkedContent and endMarkedContent

 poppler/Gfx.cc |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ee265760e6ecec93fe26fb8e02848872555daefd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Feb 18 23:13:48 2010 +0000

    make sure properties exists before using it

 poppler/TextOutputDev.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit eab7a55815c06525c7aeba254b66498ab147a958
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Feb 17 21:54:31 2010 +0000

    if malloc failed return false

 splash/SplashFTFont.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit e2def20a45c1d8307fd62fabb9769121af975abf
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Feb 16 23:31:05 2010 +0000

    Only assume the OC is not visible if it exists and is set to no

    Fixes bug 26532 and a small line that was not drawn in 15899

 poppler/OptionalContent.cc |	 4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5edd175bdd0f7c2fc3aecb72384de4cb0788fc4e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Feb 16 20:57:22 2010 +0000

    Add and fix copyright years

 poppler/CairoOutputDev.cc |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f0fba1b04589061449f98b9dcd8a0c4e7ad2d74
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 22:00:51 2010 +0100

    make the descriptions specify they refer to the Splash backend

 config.h.cmake |    4 ++--
 configure.ac	|    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 39b4699020b5cfa1a10e5ef00f0e355e27b21c9f
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 21:56:30 2010 +0100

    [CMake] reflect that poppler-glib needs cairo now

 poppler-glib.pc.cmake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5c66c775bcd686c61ea136bcd8f261fb631c5e71
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Feb 16 20:52:15 2010 +0000

    We don't need to pass anything to FontConfig

    Makes it much easier to manage and also fixes bug 26544

 poppler/GlobalParams.cc |   11 +++--------
 poppler/GlobalParams.h  |    6 +-----
 2 files changed, 4 insertions(+), 13 deletions(-)

commit 582b5259b3c65ee1bef99dbdfccf00f37269b76f
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 16:36:24 2010 +0100

    [CMake] find the system threads, and define in the config.h if we
    have pthreads

 CMakeLists.txt |    4 ++++
 config.h.cmake |    3 +++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 1dff9d440556a155fb5ca7bed15fc6a1f77a1c97
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 16:10:44 2010 +0100

    [CMake] add the HAVE_LIBOPENJPEG and HAVE_OPENJPEG_H defines, to
    match autotools' ones

 CMakeLists.txt |    1 +
 config.h.cmake |    6 ++++++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 4a0bcaa83e6e6533cd48c63449a08467d51c13ea
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 16:01:53 2010 +0100

    [CMake] config.h.cmake: change some comments to match autotools' ones

 config.h.cmake |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 9e38082c3e571d035f0152d65661e5dd97fdd5d8
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 15:58:30 2010 +0100

    [CMake] add the Win32-specific ENABLE_RELOCATABLE option, matching
    autotools' one

 CMakeLists.txt |    5 +++++
 config.h.cmake |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit eb03020893ed591c18817d75d427a1296cb1f233
Author: Pino Toscano <pino@kde.org>
Date:	Tue Feb 16 15:49:50 2010 +0100

    [CMake] config.h.cmake: move POPPLER_WITH_GDK in the same place of
    autotools' generated one, and with the same comment

 config.h.cmake |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ba65b3af047b758094b999b2939065c5127508dd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Feb 10 23:08:04 2010 +0000

    Wrap #include <jpeglib.h> in extern "C" to fix build

    Fixes bug 26351

 goo/JpegWriter.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit d3d2a3ee0a3505f44d1196823716b768d434ba73
Author: Pino Toscano <pino@kde.org>
Date:	Wed Feb 10 23:16:27 2010 +0100

    [CMake] fix typo: "MULTITHREAD" -> "MULTITHREADED"

 CMakeLists.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0dae2294cf8a2f312d8e6504be4e1be516b34b1b
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Tue Feb 9 21:44:07 2010 +0000

    Fix regression in painting. Fixes bug 26243

 poppler/Gfx.cc |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit aa9c3acbc73bafb33c8a797701ed0488a4a74263
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jan 28 17:23:18 2010 +0100

    [cairo] Add clipToStrokePath() method

    It's unimplemented, it just contains a log message to help when
    debugging.

 poppler/CairoOutputDev.cc |	4 ++++
 poppler/CairoOutputDev.h  |	1 +
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 41a450c8db45fd064798d15c3d8fe5ab536a7b30
Author: David Benjamin <davidben@mit.edu>
Date:	Fri Jan 22 00:26:59 2010 -0500

    [cairo] Avoid leaving pointers to free'd memory

    Fixes potential free'd memory access introduced by
    3a94e8ce90c0a4d11c5c5aa8805c167c8a0434e5. I don't think this is
    actually
    possible in the current code; we push/pop before and after rendering a
    PDF, so the bottom state should never have a mask.

    Still, better to clean this up.

 poppler/CairoOutputDev.cc |	5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 309228404710debee4337cc53c641dfef64ad86c
Author: David Benjamin <davidben@mit.edu>
Date:	Wed Jan 27 22:41:16 2010 +0000

    Allow commands to abort the current stream

    In many instances, the sensible response (and what acroread does) in
    case of an error is abort the PDF stream. To avoid changing the return
    value of every function and using C++ exceptions, we communicate via a
    commandAborted variable.

    This patch, matching acroread's behavior aborts the current stream
    when
    there are too few arguments or we pop too many times. Implementation
    note 39 in Appendix H of the PDF reference contradicts the former, but
    hand-crafted test PDFs as well as the file in #24575 suggest
    otherwise.

    Unlike all the other attempts, this patch actually fixes the PDF in
    bug #24575.

 poppler/Gfx.cc |   11 +++++++++++
 poppler/Gfx.h	|    1 +
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 8284008aa8230a92ba08d547864353d3290e9bf9
Author: David Benjamin <davidben@mit.edu>
Date:	Wed Jan 27 22:40:33 2010 +0000

    Add a stack of stateGuards to Gfx

    While a stack of states is a good way to maintain graphics contexts,
    if
    the command stream you are interpreting is untrusted, we must place
    appropriate guards to be sure that, not only do we not pop past
    the end
    of the stack, but we do not pop past the stack as it was when we began
    rendering.

 poppler/Gfx.cc |   30 +++++++++++++++++++++++++++++-
 poppler/Gfx.h	|   11 +++++++++++
 2 files changed, 40 insertions(+), 1 deletions(-)

commit 4ae84c830f842d100cbb702b32970951a5a5769f
Author: David Benjamin <davidben@mit.edu>
Date:	Wed Jan 27 22:39:20 2010 +0000

    Maintain the height of the stack in Gfx

    Introduces a new variable Gfx::stackHeight that maintains up-to-date
    information about the current height of the stack.

 poppler/Gfx.cc |    4 ++++
 poppler/Gfx.h	|    1 +
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 120fe6ef673c648ae7b19ad2a7e9aef22ee25810
Author: David Benjamin <davidben@mit.edu>
Date:	Wed Jan 27 22:38:43 2010 +0000

    Do not use objects just after deleting them

    The error condition in GfxCIDFont::GfxCIDFont references cMapName and
    collection, so they should not be deleted yet.

 poppler/GfxFont.cc |	 8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 3375fa96c7a7dbbb98f5a7b3df9e840a5f30bc80
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Jan 27 22:32:29 2010 +0000

    GooVector rewrite, old version had "unknown" origins/license

 goo/GooVector.h |  237
 +++++++++++++++++++++++++++++++++----------------------
 1 files changed, 141 insertions(+), 96 deletions(-)

commit a945fe64e16ac9aa2577c5db05fc7f3fd4955b7b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Jan 27 16:15:40 2010 +0100

    [cairo] Fix downscaling images when document is rotated

    Fixes bug #26264.

 poppler/CairoOutputDev.cc |   37 +++++++++++++++++++++++++++++++++++--
 1 files changed, 35 insertions(+), 2 deletions(-)

commit 428cc965c17f167ea00540beeaeaac5c3e426686
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Jan 26 21:01:32 2010 +0000

    Add POPPLER_WITH_GDK in cmake build system

    Bug 26247

 glib/CMakeLists.txt	       |    1 +
 glib/poppler-features.h.cmake |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 0af1ae75fd4c8031343f668bed5d8ca6588ee652
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Jan 26 20:49:17 2010 +0100

    [cairo] Use the right matrix for the mask in drawMaskedImage()

    Fixes bug #16906.

 poppler/CairoOutputDev.cc |	7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit d8ceaff39f5b80624b6bdc703c2a180dfc3d73ee
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Jan 26 11:57:06 2010 +0100

    [cairo] Add some more LOG messages

 poppler/CairoOutputDev.cc |   18 +++++++++++++++---
 1 files changed, 15 insertions(+), 3 deletions(-)

commit 778e764b3cb77526260c3c8b46acf19ad06fc61d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Jan 25 22:40:20 2010 +0000

    poppler 0.13.0

 CMakeLists.txt      |	  4 +-
 NEWS		     |	 99
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac	     |	  2 +-
 poppler/Makefile.am |	  2 +-
 qt4/src/Doxyfile    |	  2 +-
 5 files changed, 104 insertions(+), 5 deletions(-)

commit 1b5333f2685b8ab85bb1f5b899332c5a0ac99a3d
Author: Pino Toscano <pino@kde.org>
Date:	Mon Jan 25 02:19:00 2010 +0100

    [CMake] allow multiple targets with the same name

    this is needed for building the unit tests later without explicitly
    having
    enabling them at configure time (thus compile them on-demand)
    for this, set the cmake policy 0003 as OLD (allow), and consecuently
    0011 for
    setting the former from an include()d script

 cmake/modules/PopplerDefaults.cmake |	  7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 92e1f46866c063c370ef1d6324f6a6c01aed6680
Author: Pino Toscano <pino@kde.org>
Date:	Mon Jan 25 02:15:27 2010 +0100

    [CMake] do not add the fake buildtests target for the MSVC IDE

 cmake/modules/PopplerMacros.cmake |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit dea5aa37de079196fa916b1db9af782cf25045f9
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:	Mon Jan 25 00:51:20 2010 +0000

    Install some more goo files

 CMakeLists.txt |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 671a971c45a1e8ce8f6daade82117a9a137034d6
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:	Mon Jan 25 00:48:31 2010 +0000

    do not install a private header

 qt4/src/Makefile.am |	  6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 54c86e53a143a8f9d196e4bef2a733c6f00f6026
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:	Mon Jan 25 00:33:07 2010 +0000

    Only build tests if told to

 test/CMakeLists.txt |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit eb082274694aadb80dd16caea65d7f0a1adf8b46
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:	Mon Jan 25 00:29:55 2010 +0000

    Only build demos and test if told so. Install poppler-layer.h

 glib/CMakeLists.txt |	  9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 73fcc310cd7d6ef435b453485c1c99a33f77212a
Author: Maciej Mrozowski <reavertm@gmail.com>
Date:	Mon Jan 25 00:29:09 2010 +0000

    install man pages

 utils/CMakeLists.txt |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 8672217af4cf88d5506572c2b40fbb0d1d0dbd87
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Jan 25 00:11:50 2010 +0000

    Make the poppler object cache params be a ref

    And make sure what we was is a ref, otherwise we abort

 poppler/Gfx.cc		 |   14 ++++++++------
 poppler/PopplerCache.cc |   12 ++++++------
 poppler/PopplerCache.h  |    6 +++---
 3 files changed, 17 insertions(+), 15 deletions(-)

commit 9567fd8d3d905897d0abacd77885102ae86ba8a9
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 20:15:49 2010 +0000

    ImgWriter is a header too

 goo/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 735e8a690d0bd3ab4bec90bdad975d19ac3d4689
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 19:51:19 2010 +0000

    noone maintains this either

 msvc/config.h		       |   62 ---------------------------------
 msvc/poppler/poppler-config.h |   77
 -----------------------------------------
 2 files changed, 0 insertions(+), 139 deletions(-)

commit d485564f0dc86f62b996380bfbd570cf3f543e4f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 19:22:33 2010 +0000

    remove files noone maintains

 README.windows |   63 -----------------------
 makefile.vc	|  150
 --------------------------------------------------------
 2 files changed, 0 insertions(+), 213 deletions(-)

commit 38467f2738c88f060ae1d30332e34da743a888a5
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 19:18:44 2010 +0000

    only compile glib frontend if cairo is found

 CMakeLists.txt      |	  4 ++--
 glib/CMakeLists.txt |	 25 +++++++------------------
 2 files changed, 9 insertions(+), 20 deletions(-)

commit cf045acf46307d51fb6d9959451b53681e6cac03
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 19:01:52 2010 +0000

    compile

 glib/CMakeLists.txt |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0397cf4f193015286464ae70ab202ed400110e30
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 24 19:00:09 2010 +0000

    Add and fix copyright years

 poppler/CairoFontEngine.cc |	 1 +
 poppler/CairoOutputDev.cc  |	 2 +-
 poppler/CairoOutputDev.h   |	 2 +-
 poppler/Gfx.cc		    |	 2 +-
 poppler/Gfx.h		    |	 2 +-
 poppler/PopplerCache.cc    |	 1 +
 poppler/PopplerCache.h     |	 1 +
 7 files changed, 7 insertions(+), 4 deletions(-)

commit 9c9f18b6ceea546dfb21ef0aab29ba99733dcb52
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jan 24 19:27:29 2010 +0100

    [glib-demo] Remove #ifdef HAVE_CAIRO macros from several demos

 glib/demo/images.c |	 2 -
 glib/demo/layers.c |	71
 +++-------------------------------------------------
 glib/demo/render.c |	29 +++-----------------
 3 files changed, 9 insertions(+), 93 deletions(-)

commit 4e938c1f81add2162ced0e97b24fe588f15f178d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jan 24 19:15:06 2010 +0100

    [glib] Make glib frontend unconditionally use cairo output device

    Splash support has been removed.

 configure.ac		   |   74 ++++++++-------
 glib/Makefile.am	   |   20 +---
 glib/poppler-document.cc  |	9 --
 glib/poppler-page.cc	   |  237
 +--------------------------------------------
 glib/poppler-page.h	   |	7 --
 glib/poppler-private.h    |   14 ---
 glib/poppler.cc	   |	6 -
 glib/test-poppler-glib.cc |	6 +-
 poppler-glib.pc.in	   |	2 +-
 9 files changed, 51 insertions(+), 324 deletions(-)

commit 59ff9d66fc3b0c9612b1c12fc1ae4dbb8dc85b39
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jan 24 17:57:48 2010 +0100

    Use a small object cache in GfxResources to cache GState objects

    It drastically improves performance with some documents like page
    742 of
    PDF32000_2008.pdf

 poppler/Gfx.cc |   19 +++++++++++++++++--
 poppler/Gfx.h	|    2 ++
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 880a4a9a60a10f7aa7d3dc7c2802b31b7ef01e06
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jan 24 17:56:35 2010 +0100

    Add a generic cache to store objects by its reference

 poppler/PopplerCache.cc |   60
 +++++++++++++++++++++++++++++++++++++++++++++++
 poppler/PopplerCache.h  |   16 ++++++++++++
 2 files changed, 76 insertions(+), 0 deletions(-)

commit 5ad492df75c0c2394719e85db4c8b43f15b52110
Author: mpsuzuki <mpsuzuki@hiroshima-u.ac.jp>
Date:	Sun Jan 24 13:34:41 2010 +0100

    [cairo] Fix memory leak

 poppler/CairoFontEngine.cc |	 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3160464b4b70c714c36234320878acab81b866cc
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Nov 26 13:17:19 2009 +0100

    [cairo] Use our own implementation to scale down images instead
    of cairo

    This is a workaround for the low quality downscaling of pixman.
    Rescaler implementation is a box filter that supports non-integer box
    sizes written by Jeff Muizelaar.
    Fixes bug #5589.

 poppler/CairoOutputDev.cc  |	89 +++++++++++
 poppler/CairoOutputDev.h   |	 1 +
 poppler/CairoRescaleBox.cc |  352
 ++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoRescaleBox.h  |	12 ++
 poppler/Makefile.am	    |	 4 +-
 5 files changed, 457 insertions(+), 1 deletions(-)

commit 6825a219f0bc0ac6fd469fb8a6ebb86df774375f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Jan 23 11:24:15 2010 +0100

    [glib] Use TextOutputDev to get TextPage when we haven't rendered
    the page

 glib/poppler-page.cc |   27 ++++++++++++++++++---------
 1 files changed, 18 insertions(+), 9 deletions(-)

commit 6c61a457e9a8ec10945bc1e0700c8e4d121faa58
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Jan 20 21:59:05 2010 +0000

    Fix GfxRadialShading::GfxRadialShading

    Fixes crash in KDE bug 223359

 poppler/GfxState.cc |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 442894d371879a6bf2adb5a39b9dd0a49e76e4ac
Author: Pino Toscano <pino@kde.org>
Date:	Fri Jan 15 21:28:42 2010 +0100

    [glib-demo/cmake] compile print.c

    followup of b64d4bd46b052feb0b143f1348773afbd93e5e33

 glib/demo/CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b64d4bd46b052feb0b143f1348773afbd93e5e33
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Nov 27 11:47:22 2009 +0100

    [glib-demo] Add print demo

 glib/demo/Makefile.am |    2 +
 glib/demo/main.c      |    4 +-
 glib/demo/print.c     |  135
 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/demo/print.h     |   31 +++++++++++
 4 files changed, 171 insertions(+), 1 deletions(-)

commit ba2c746f358a5785d8cbaaf03d8628ee3754c388
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Nov 27 09:52:50 2009 +0100

    [glib-demo] Add render for printing option to render demo

 glib/demo/render.c |	47 ++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 38 insertions(+), 9 deletions(-)

commit 9a478008ccb61641f09bd77eaa55033cca266c43
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jan 15 12:03:11 2010 +0100

    Add FONTCONFIGURATION macros to poppler-config.h

    They are used in a header file (GlobalParams.h). It fixes a crash
    when opening any document.

 poppler/poppler-config.h.in |	 10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 1f80f874d8e132411816302465f04bc59d404d89
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jan 14 08:43:11 2010 +0000

    Fix Uncover and Fade to return correct values

    Bug 26034

 poppler/PageTransition.cc |	5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 350ff407e06a961f2a5b9d203cb8e78ce09313a0
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jan 13 22:20:41 2010 +0000

    Make poppler (optionally) relocatable on Windows

 configure.ac		 |   26 +++++++++++++++++++++
 poppler/GlobalParams.cc |   57
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+), 0 deletions(-)

commit 36b67b002db802bfad553720e2114b76b07bb614
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jan 13 22:17:03 2010 +0000

    Make fontconfig optional with mingw compiler

 CMakeLists.txt		    |	 8 +++++++-
 config.h.cmake		    |	 6 ++++++
 configure.ac		    |	39 ++++++++++++++++++++++++++++++++++++++-
 makefile.vc		    |	 2 +-
 poppler/GlobalParams.cc    |	10 +++++++---
 poppler/GlobalParams.h     |	 7 ++++---
 poppler/GlobalParamsWin.cc |	 5 +++++
 7 files changed, 68 insertions(+), 9 deletions(-)

commit 9c0b20ab8c104c2f5398a5a3b8409ca554f5fa39
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Jan 12 22:55:06 2010 +0000

    Add the possibility of using float for splash variables instead
    of double

    Based on a patch by Marius Vollmer marius.vollmer@nokia.com
    See bug 25578 for more info

 CMakeLists.txt       |    7 ++++++-
 config.h.cmake       |    5 ++++-
 configure.ac	      |   10 +++++++++-
 splash/SplashMath.h  |   14 ++++++++++++--
 splash/SplashTypes.h |    4 +++-
 5 files changed, 34 insertions(+), 6 deletions(-)

commit 30e5f76e372114339fa1d37c335e6bbade8b6d8a
Author: Pino Toscano <pino@kde.org>
Date:	Thu Jan 7 11:18:36 2010 +0100

    [CMake] followup recent glib/gtk+ version requirements

    - glib to 2.18, see ce9404b1999f81b3f9e5a89bcd6e715463f89024
    - gtk+ to 2.14, see e338643f2cebb1203f7ff0646f87b3dea8318757

 cmake/modules/FindGTK.cmake |	  6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e338643f2cebb1203f7ff0646f87b3dea8318757
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jan 7 11:08:31 2010 +0100

    [tests] Bump GTK+ requirements to 2.14

    Fixes bug #22090.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ce9404b1999f81b3f9e5a89bcd6e715463f89024
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jan 7 11:06:19 2010 +0100

    Bump glib requirements to 2.18

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 526c8871cbdfbc119e013ee96887a79f65403790
Author: Hib Eris <hib@hiberis.nl>
Date:	Thu Dec 31 17:52:33 2009 +0100

    [glib] Use PDFDoc(wchar_t *, ...) on Windows

    Fixes bug #25032

 glib/poppler-document.cc |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit e0c8188136958b853269179079efefdd3488dc22
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Jan 4 18:36:01 2010 +0000

    Require Qt 4.4

    This updates the requirement to real requirement

 CMakeLists.txt |    2 +-
 configure.ac	|    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit f9accdb878b23ebd2152dd05d61cfcc71d46cd03
Author: Pino Toscano <pino@kde.org>
Date:	Mon Jan 4 14:13:13 2010 +0100

    [Qt4/tests] use getPdfVersion() instead of the deprecated pdfVersion()

 qt4/tests/stress-poppler-dir.cpp |    3 ++-
 qt4/tests/stress-poppler-qt4.cpp |    3 ++-
 qt4/tests/test-password-qt4.cpp  |    4 +++-
 qt4/tests/test-poppler-qt4.cpp   |    4 +++-
 4 files changed, 10 insertions(+), 4 deletions(-)

commit 898e939d8c0ac74cc7ee3f5d42d83083ed31036e
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sat Jan 2 02:33:58 2010 +0100

    Make pdftoppm embed correct resolution in PNG and JPEG files

 goo/ImgWriter.h	|    3 ++-
 goo/JpegWriter.cc	|    6 +++++-
 goo/JpegWriter.h	|    3 ++-
 goo/PNGWriter.cc	|    6 +++++-
 goo/PNGWriter.h	|    3 ++-
 splash/SplashBitmap.cc |    9 +++++----
 splash/SplashBitmap.h	|    5 +++--
 utils/HtmlOutputDev.cc |    4 +++-
 utils/pdftoppm.cc	|    9 +++++----
 9 files changed, 32 insertions(+), 16 deletions(-)

commit df569dc2fb89d7e0780bbf7a687ce2464ff5cb43
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sat Jan 2 01:19:50 2010 +0100

    enable AM_SILENT_RULES by default

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f3862f7d987aae52a1fd2bb0af27d1cd803a5b84
Author: Pino Toscano <pino@kde.org>
Date:	Thu Dec 31 00:20:11 2009 +0100

    [cpp/tests] poppler-dump: show a string for the font type

 cpp/tests/poppler-dump.cpp |	23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

commit 9c343c821593ebae51ac47b58ad007a82f198652
Author: Pino Toscano <pino@kde.org>
Date:	Thu Dec 31 00:13:09 2009 +0100

    [cpp/tests] poppler-dump: show the orientation of the pages

 cpp/tests/poppler-dump.cpp |	16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit bc91fe3824f37cd17a38aac85c817e8ada1b2f43
Author: Pino Toscano <pino@kde.org>
Date:	Wed Dec 30 23:53:31 2009 +0100

    [cpp/tests] poppler-dump: a bit less output in permissions lines

 cpp/tests/poppler-dump.cpp |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1199de8f097a78edb831313841ac0ed3f9ec9905
Author: Pino Toscano <pino@kde.org>
Date:	Wed Dec 30 23:50:36 2009 +0100

    [cpp/tests] poppler-dump: add --show-all to show all the information

 cpp/tests/poppler-dump.cpp |	13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 9522f830b59942adfc91d5f03c274415a4737ccc
Author: Pino Toscano <pino@kde.org>
Date:	Wed Dec 30 23:38:40 2009 +0100

    [cpp] use iconv for the utf8 <-> utf16 conversions

 cpp/poppler-global.cpp |   92
 +++++++++++++++++++++++++++++++++--------------
 1 files changed, 64 insertions(+), 28 deletions(-)

commit b156b4031f5daf658f40db8efa2a3016d95b98b5
Author: Pino Toscano <pino@kde.org>
Date:	Wed Dec 30 23:24:23 2009 +0100

    [cpp] add the build system stuff for iconv, mandatory for cpp

 CMakeLists.txt		       |    6 ++
 Makefile.am		       |    1 +
 cmake/modules/FindIconv.cmake |   57 +++++++++++++
 config.h.cmake		       |    6 ++
 configure.ac		       |    6 ++
 cpp/CMakeLists.txt	       |    2 +-
 cpp/Makefile.am	       |    3 +-
 m4/iconv.m4		       |  180
 +++++++++++++++++++++++++++++++++++++++++
 8 files changed, 259 insertions(+), 2 deletions(-)

commit a0cffb8b69e0595a2afe15ecc4928e0df1eeb063
Author: Pino Toscano <pino@kde.org>
Date:	Wed Dec 30 18:57:09 2009 +0100

    [cpp] fixup unicode GooString <-> ustring conversions

    better make them use the "hand-made" code, it is more correct for them

 cpp/poppler-private.cpp |   44
 +++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 41 insertions(+), 3 deletions(-)

commit 3b6e3605209d5db453725b9ce4e6e54679d9c5da
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Dec 27 15:30:22 2009 +0100

    Do not crop the transformation matrix at an arbitrary value

    Fixes bug 25763 and gave no regression on my test suite

 poppler/GfxState.cc	    |	21 ---------------------
 poppler/SplashOutputDev.cc |	15 +++++++++++++++
 2 files changed, 15 insertions(+), 21 deletions(-)

commit ea44c60645001ffea7d297f8549aaa4f5ce5e16c
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:	Sun Dec 27 15:27:00 2009 +0100

    Try to work on streams without Length

    We have code that finds the Length if it's wrong so let that code
    do its job
    instead of returning a NULL stream

 poppler/Parser.cc |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 283dd326a00c804b6332ee3ca1aaa0d86377b3f3
Author: Pino Toscano <pino@kde.org>
Date:	Sat Dec 19 12:50:10 2009 +0100

    [cpp] fix installation of poppler-version.h with autotools and
    builddir != srcdir

 cpp/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit df0ccddb7f784b4a8564beda51b3047cb9e3611a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Dec 18 20:23:48 2009 +0000

    move the retrieval of the bitmap after rendering the page as it can
    change on render time

 utils/pdftoppm.cc |	6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit ab88a02f7efefc950a316d7a5edf88dad8f3e4d0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Dec 17 18:24:20 2009 +0100

    [annots] QuadPoints is required in Text Markup annotations

    Show an error message and mark annotation as invalid when it's
    missing.

 poppler/Annot.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 39dc99431b3ea9e00f6f645dd7169c0319571dc9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Dec 17 18:17:20 2009 +0100

    [annots] Create appearance stream for Sound Annotations when not
    defined

    See bug #23108.

 poppler/Annot.cc |  112
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 114 insertions(+), 0 deletions(-)

commit e4f5a78a853b88b1586ef59fc8893a321ea23736
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Dec 17 17:39:39 2009 +0100

    [annots] Add Tag and Graph icons for File Attachment annotations

    See bug #23108.

 poppler/Annot.cc |   70
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 70 insertions(+), 0 deletions(-)

commit 752b14857cfb0669fd6d7dfef2ea73c13a2369fc
Author: Pino Toscano <pino@kde.org>
Date:	Thu Dec 17 17:16:01 2009 +0100

    simplify

 cpp/poppler-toc.cpp |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a26e4b7903fabc667d7d16c23ca2c7a535dd05fa
Author: Pino Toscano <pino@kde.org>
Date:	Thu Dec 17 17:09:35 2009 +0100

    [cpp/tests] add a simple poppler-dump test

    this small test executable can dump various features of the document,
    like the general info, permissions, metadata, toc, fonts,
    embedded files, pages, etc

    also add the necessary autotools+cmake machinery to compile it

 configure.ac		    |	 1 +
 cpp/CMakeLists.txt	    |	 2 +
 cpp/Makefile.am	    |	 1 +
 cpp/tests/.gitignore	    |	 1 +
 cpp/tests/CMakeLists.txt   |	24 ++++
 cpp/tests/Makefile.am	    |	17 +++
 cpp/tests/poppler-dump.cpp |  293
 ++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 339 insertions(+), 0 deletions(-)

commit 86c871cc625d00b8ee7f93dc8c0f9ef8462bba5a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Dec 17 17:05:45 2009 +0100

    [annots] Create appearance stream for Text Markup Annotations when
    not defined

    Highlight annotations are an exception, we always ignore the
    appearance stream to use our own, since for most of the documents the
    appearance stream provided by the annotation is not enough. That's why
    it's currently broken. This is what acroread does indeed and Leonard
    Rosenthol recommended us to do the same.
    See bug #23108.

 poppler/Annot.cc |  199
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 201 insertions(+), 0 deletions(-)

commit 904ecd929c6acbbad6d782b950c53c0a80e1f39c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Dec 17 12:49:20 2009 +0100

    [annots] Fix memory leaks

 poppler/Annot.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit ef7954b86f9b1a762c4f77a48d5f42f8db4bbed7
Author: Pino Toscano <pino@kde.org>
Date:	Tue Dec 15 02:20:18 2009 +0100

    [cpp] use the correct index (instead of an uninitialized variable)

 cpp/poppler-page.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2547b5e53e7799cf7299838ae9bd882c21a228ae
Author: Pino Toscano <pino@kde.org>
Date:	Tue Dec 15 02:14:57 2009 +0100

    [cpp] properly delete the children of a toc item

 cpp/poppler-toc.cpp |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 771bd3594740fe16bd030dbe73928a8b1d4d113f
Author: Pino Toscano <pino@kde.org>
Date:	Tue Dec 15 02:04:24 2009 +0100

    [cpp] actually implement toc::root()

 cpp/poppler-toc.cpp |	  5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit ca1d2ec4588b2437b58b4448ae2fc5ebd0f130d3
Author: Pino Toscano <pino@kde.org>
Date:	Tue Dec 15 00:54:29 2009 +0100

    [cpp] fix the reference to the vector data

 cpp/poppler-global.cpp  |    2 +-
 cpp/poppler-private.cpp |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 16c946e7658b0e9cff701ce1d6bbf7d3828cbe08
Author: Pino Toscano <pino@kde.org>
Date:	Tue Dec 15 00:35:25 2009 +0100

    [cpp] fix the reference to the vector data

 cpp/poppler-document.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9bb90c99b65e0e9d9b65c7dbeb5b4d66377ceb21
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 23:43:12 2009 +0100

    [cpp] add destructor for 'rectangle'

 cpp/poppler-rectangle.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 61ccdc9ab3b816174896fcae0899ff34f11eee80
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 23:40:51 2009 +0100

    [cpp] add out stream operators for rect and rectf

 cpp/CMakeLists.txt	   |	1 +
 cpp/Makefile.am	   |	1 +
 cpp/poppler-rectangle.cpp |   35 +++++++++++++++++++++++++++++++++++
 cpp/poppler-rectangle.h   |	5 +++++
 4 files changed, 42 insertions(+), 0 deletions(-)

commit 69dd51fed3de41f8b799b811ae5ee59c0d5f59c2
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 22:24:07 2009 +0100

    [cpp] add namespace to namespace functiond to link properly

 cpp/poppler-global.cpp  |    4 ++--
 cpp/poppler-version.cpp |    8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 3923fa4890984d8616d86016f4f4a94e8ef3e992
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 22:23:15 2009 +0100

    [cpp] add default empty parameters for the passwords of the document
    loading functions

 cpp/poppler-document.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1d23cc677e9b0a9f61c53e0ea365537f33abe5bf
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 21:44:56 2009 +0100

    [cpp] add "human friendly" output representation for byte_array

 cpp/poppler-global.cpp |   23 +++++++++++++++++++++++
 cpp/poppler-global.h	|    3 +++
 2 files changed, 26 insertions(+), 0 deletions(-)

commit 82954ea5f8ba880276328765f104690a05adbd9e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Dec 7 12:05:54 2009 +0100

    [annot] Create appearance stream for Attachment Annotations when
    not defined

    See bug #23108.

 poppler/Annot.cc |   94
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 96 insertions(+), 0 deletions(-)

commit c6195472326c183fcfd8a3e9da1ee7f6fa8b7c3d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 17:09:23 2009 +0100

    [annots] Use opacity when drawing Markup Annotations

    According to the spec:

    "The constant opacity value that shall be used in painting the
    annotation. This value shall apply to all visible elements of the
    annotation in its closed state (including its background and border)
    but
    not to the pop-up window that appears when the annotation is opened.

    The specified value shall not used if the annotation has an appearance
    stream in that case, the appearance stream shall specify any
    transparency.

    If no explicit appearance stream is defined for the annotation, it may
    be painted by implementation-dependent means that do not necessarily
    conform to the PDF imaging model; in this case, the effect of
    this entry
    is implementation-dependent as well."

 poppler/Annot.cc |   21 +++++++++++++++------
 poppler/Gfx.cc   |    9 ++++++++-
 poppler/Gfx.h	  |    2 +-
 3 files changed, 24 insertions(+), 8 deletions(-)

commit a337c1d757d52c1c238229d2f0cd3a41694b0e08
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 16:18:22 2009 +0100

    [cpp] add document metadata reading

 cpp/poppler-document.cpp |    9 +++++++++
 cpp/poppler-document.h   |    1 +
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 6c4fa513e60dbdd5ab693434f239d82d95756994
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 16:56:22 2009 +0100

    [annot] Create appearance stream for Geometry Annotations when
    not defined

    See bug #23108.

 poppler/Annot.cc |  120
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 122 insertions(+), 0 deletions(-)

commit eed94b8bd2855dce1fd39b835e3280cbd0ccd1cf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 16:51:37 2009 +0100

    [annot] Create appearance stream for Line Annotations when not defined

    See bug #23108.

 poppler/Annot.cc |   62
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 64 insertions(+), 0 deletions(-)

commit 1c7a5f5e89c4c51e31b6de345d4862ef8dcc2bc0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 16:40:14 2009 +0100

    [annot] Create appearance stream for Text Annotations when not defined

    Streams have been created by using the svg icons created by mac_v and
    ulisse. See bug #23108.

 poppler/Annot.cc |  305
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  |    2 +
 2 files changed, 307 insertions(+), 0 deletions(-)

commit c9cb6353ad5279d09615eb2c944b2b053cdf5ccc
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 15:52:25 2009 +0100

    [cpp] add function to query for document "permissions"

 cpp/poppler-document.cpp |   23 +++++++++++++++++++++++
 cpp/poppler-document.h   |    1 +
 cpp/poppler-global.h	  |    4 ++++
 3 files changed, 28 insertions(+), 0 deletions(-)

commit 30e90c7c1b41c62ddc21905e7ccdea4c95547e80
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 15:33:36 2009 +0100

    [cpp] add is_encrypted and is_linearized for document

 cpp/poppler-document.cpp |   10 ++++++++++
 cpp/poppler-document.h   |    2 ++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit 93fd588c519958a1f66231c111ea8a6b0a759be1
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 13:19:24 2009 +0100

    [cpp] add the possibility to load a document from raw data

 cpp/poppler-document-private.h |    5 +++++
 cpp/poppler-document.cpp	|   35 ++++++++++++++++++++++++++++++++++-
 cpp/poppler-document.h		|    3 +++
 3 files changed, 42 insertions(+), 1 deletions(-)

commit 53996365b159cf84adf2cac56c76b8bda8dfb12e
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 12:57:41 2009 +0100

    [cpp] use the byte_array typedef

 cpp/poppler-embedded-file.cpp |    6 +++---
 cpp/poppler-embedded-file.h   |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e4969c1aaed4a8eb770d8b54920f2476129bbcb7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 16:19:36 2009 +0100

    [annots] Refactor Annot::setColor to receive an AnnotColor

    Removes duplicated code since color arrays are already parsed in
    AnnotColor

 poppler/Annot.cc |  136
 ++++++++++++++++++++++++++++--------------------------
 poppler/Annot.h  |    4 +-
 2 files changed, 73 insertions(+), 67 deletions(-)

commit cfb4f5dfabf31de22d68aa0d5796cb7a33d8b462
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 11:06:36 2009 +0100

    [cpp] add a byte_array typedef, and use it for utf8 string data

 cpp/poppler-global.cpp  |   12 +++---------
 cpp/poppler-global.h	 |    5 ++++-
 cpp/poppler-private.cpp |    5 ++---
 3 files changed, 9 insertions(+), 13 deletions(-)

commit 2d13ac31671b2007e44a90f45a82cb3adfa9c80c
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 02:30:06 2009 +0100

    update ignore files

 .gitignore	|    1 +
 cpp/.gitignore |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 01e902e40ca15acf0319e37d39a271d6875bfce9
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 02:02:47 2009 +0100

    [cpp] add a version header+functions

    this way, it is possible to get (either at build time and at runtime)
    the version of the current poppler-cpp library

    poppler-config.h is generated by the build system (autotools or cmake)
    with the correct version information

 configure.ac		  |    2 ++
 cpp/CMakeLists.txt	  |    5 +++++
 cpp/Makefile.am	  |    6 ++++--
 cpp/poppler-version.cpp  |   41 +++++++++++++++++++++++++++++++++++++++++
 cpp/poppler-version.h.in |   39 +++++++++++++++++++++++++++++++++++++++
 5 files changed, 91 insertions(+), 2 deletions(-)

commit b3f5e5d60bc9109da961940f6216722f9db4a87b
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:56:15 2009 +0100

    [CMake] add the configure check for the Cairo blend modes support
    (as in autotools)

 cmake/modules/FindCairo.cmake |   18 ++++++++++++++++++
 config.h.cmake		       |    3 +++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit f6ba877e0c22538cfe34d32d69814f660de59d2c
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:44:55 2009 +0100

    [CMake] add configure check for sys/mman.h (as in autotools)

 ConfigureChecks.cmake |    1 +
 config.h.cmake        |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit e12801320ae030628fc62c073983c06b39ee13d7
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:42:20 2009 +0100

    minor spello

 config.h.cmake |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6428907ebcf33d4391673aadcfa71c3061f6d352
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:41:49 2009 +0100

    [CMake] add configure check for fcntl.h (as in autotools)

 ConfigureChecks.cmake |    1 +
 config.h.cmake        |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 916ab7163249e23bd5ba00922fdcad9caaf92c75
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:34:59 2009 +0100

    [CMake] oops, those should have been '#cmakedefine' and not '#define'

 config.h.cmake |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ea655d8c7e24e97ee710110a783ed9c209cf76e3
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:33:51 2009 +0100

    [CMake] move and rename to match more the autotools output

 config.h.cmake |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 9f0146c5b2f9326e834104b89791f66b18f85adc
Author: Pino Toscano <pino@kde.org>
Date:	Mon Dec 14 00:28:04 2009 +0100

    [CMake] add checks for gmtime_r and localtime_r

 ConfigureChecks.cmake |    2 ++
 config.h.cmake        |    6 ++++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 9d0cf201e96044dd679c26bea6255d986a6cd246
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 23:45:39 2009 +0100

    [cpp] add ignore file

 cpp/.gitignore |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d783e92b863d8b22de6ca326328115fec63193ed
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 23:42:33 2009 +0100

    [cpp] don't forget the cmake stuff when packing with the autotools

 Makefile.am |	  2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0105caefe860e7a45fc7d3a1bd1162fe56bcfe6a
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 23:40:55 2009 +0100

    [cpp] add the pkg-config stuff

 CMakeLists.txt       |    3 +++
 Makefile.am	      |    7 +++++--
 configure.ac	      |    3 ++-
 poppler-cpp.pc.cmake |    9 +++++++++
 poppler-cpp.pc.in    |    9 +++++++++
 5 files changed, 28 insertions(+), 3 deletions(-)

commit d5a74f78df0dca24fd537b30424fd2ebb3efe3e2
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 23:35:06 2009 +0100

    [cpp] add the (rest of the) CMake build system for it

 CMakeLists.txt |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0e41f937946e4e4c1b660406bd74e4afe8825b5f
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 23:31:46 2009 +0100

    [cpp] add the autotools buildsystem for it

 Makefile.am	 |    6 +++++-
 configure.ac	 |   15 +++++++++++++++
 cpp/Makefile.am |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+), 1 deletions(-)

commit 9727fdc0c682742335e44ddc2f32d60e4c59983a
Author: Pino Toscano <pino@kde.org>
Date:	Sun Dec 13 22:55:28 2009 +0100

    Start of a pure C++ frontend for Poppler.

    This initial version (called 'poppler-cpp') includes preliminary
    support for:
    - document (loading from file name, some query methods, unlocking,
    font listing, embedded files)
    - page (some query methods) with page transitions
    - TOC

    Modelled a bit on the Qt4 API, it provides also an own "ustring"
    typedef representing UTF-16 strings,
    with methods to convert back/to UTF-8 and Latin 1.

    Most probably it has bugs, but nevertheless worth testing and
    developing.

 cpp/CMakeLists.txt		     |	 34 ++++
 cpp/poppler-document-private.h      |	 55 ++++++
 cpp/poppler-document.cpp	     |	316
 +++++++++++++++++++++++++++++++++++
 cpp/poppler-document.h		     |	 92 ++++++++++
 cpp/poppler-embedded-file-private.h |	 40 +++++
 cpp/poppler-embedded-file.cpp	     |	116 +++++++++++++
 cpp/poppler-embedded-file.h	     |	 55 ++++++
 cpp/poppler-font.cpp		     |	166 ++++++++++++++++++
 cpp/poppler-font.h		     |	 91 ++++++++++
 cpp/poppler-global.cpp		     |	162 ++++++++++++++++++
 cpp/poppler-global.h		     |	 86 ++++++++++
 cpp/poppler-page-private.h	     |	 44 +++++
 cpp/poppler-page-transition.cpp     |	 95 +++++++++++
 cpp/poppler-page-transition.h	     |	 82 +++++++++
 cpp/poppler-page.cpp		     |	121 +++++++++++++
 cpp/poppler-page.h		     |	 62 +++++++
 cpp/poppler-private.cpp	     |	 70 ++++++++
 cpp/poppler-private.h		     |	 66 ++++++++
 cpp/poppler-rectangle.h	     |	 60 +++++++
 cpp/poppler-toc-private.h	     |	 62 +++++++
 cpp/poppler-toc.cpp		     |	136 +++++++++++++++
 cpp/poppler-toc.h		     |	 74 ++++++++
 22 files changed, 2085 insertions(+), 0 deletions(-)

commit 62854051f4e47028147cc93a5faac39e2fa2c9fd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Dec 12 17:22:08 2009 +0100

    Initialize profileCommands in Gfx constructor

 poppler/Gfx.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4e6af25a028d16608111634c5467420e31fa399b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Dec 9 19:45:40 2009 +0100

    [cairo] Update font of TextPage in CairoOutputDev::updateAll()

    Fixes a crash with some documents, see Evince bug
    https://bugzilla.gnome.org/show_bug.cgi?id=603934

 poppler/CairoOutputDev.cc |	2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6798d3e52e36e91bceff3a1a96372e9d9c6f3813
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Dec 6 15:34:36 2009 +0100

    Use fixed size array in AnnotColor

 glib/poppler-annot.cc	       |    2 +-
 poppler/Annot.cc	       |   24 +++++-------------------
 poppler/Annot.h	       |    5 ++---
 poppler/Gfx.cc		       |    2 +-
 qt4/src/poppler-annotation.cc |    2 +-
 5 files changed, 10 insertions(+), 25 deletions(-)

commit 92fab93bee3748a73c09429cc8a105c16f21fed0
Author: Axel Struebing <axel.struebing@freenet.de>
Date:	Sat Dec 5 22:31:29 2009 +0000

    Add a empty space after null

    Fixes bug 25465

 poppler/PDFDoc.cc |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 32103f45d0193b31e95269ea9123b8011d93e994
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Dec 5 10:14:18 2009 +0100

    [annots] Add isVisible() to check whether annot is visible before
    drawing it

    It takes into account annot flags and optional content.

 poppler/Annot.cc |   29 ++++++++++++++---------------
 poppler/Annot.h  |    1 +
 2 files changed, 15 insertions(+), 15 deletions(-)

commit c14dfc7102341f5e1ed67a05c0738d55befab1ec
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Dec 5 10:07:46 2009 +0100

    [annots] Do not check if annot is a link in Annot::draw()

    AnnotLink already implements draw()

 poppler/Annot.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ddf85d4a51f605eed998c633857b8bb5c74ab590
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Dec 4 14:59:41 2009 +0100

    Make the code a bit more resilient

    By checking the GooString we are going to use really exists

 poppler/PSOutputDev.cc |   24 ++++++++++++++++--------
 1 files changed, 16 insertions(+), 8 deletions(-)

commit 78b4afa0a44048b8d40438d400652dbae4cb99b1
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Dec 4 14:57:10 2009 +0100

    Accept Fontname if FontName is not present

    Fixes KDE bug 217013

 poppler/GfxFont.cc |	 9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit fee5cb0eec2ddb8d596289e9a6285cf04d97632e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Dec 4 13:26:42 2009 +0100

    [annots] Remove redundant flags definition

 poppler/Annot.cc |   22 +++++++++-------------
 1 files changed, 9 insertions(+), 13 deletions(-)

commit 3a94e8ce90c0a4d11c5c5aa8805c167c8a0434e5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Nov 27 15:23:11 2009 +0100

    [cairo] Revert commit 77c2e154c2cb57300116ecd4295f1e67b06b411f

    And fix bug #24575 jut by checking pointer is not null before
    using it.

 poppler/CairoOutputDev.cc |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit a093b768e64d477ebdd5f6b519d80a6c45706e7e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Nov 22 20:23:49 2009 +0100

    Add copyrights

 poppler/CairoFontEngine.cc |	 2 +-
 poppler/CairoOutputDev.cc  |	 4 ++--
 poppler/CairoOutputDev.h   |	 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 77c2e154c2cb57300116ecd4295f1e67b06b411f
Author: David Benjamin <davidben@mit.edu>
Date:	Sun Nov 22 20:19:29 2009 +0100

    Do not crash on malformed files

    bug 24575

 poppler/CairoOutputDev.cc |	5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 1d0cb9b2cfd4d4d9aa9b0ad83ad6408544263a09
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 22 19:59:34 2009 +0100

    [cairo] Initialize fill_color and stroke_color

 poppler/CairoOutputDev.cc |	2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 32de2ac62fb87570e1a59152f37b86e571a01180
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:	Sun Nov 22 19:51:54 2009 +0100

    Improve the reconstruction of the XRef

    Makes load a file Ilya can't share

 poppler/XRef.cc |  165
 +++++++++++++++++++++++++++++++-----------------------
 1 files changed, 95 insertions(+), 70 deletions(-)

commit 039c6dffbfbed46a11e207048a3247d6921d6b02
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:	Sun Nov 22 15:14:20 2009 +0100

    Correctly initialize fileName

 poppler/Link.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b905caf1785ee207cc0480953da69be302d3d4e9
Author: David Benjamin <davidben@mit.edu>
Date:	Sat Nov 21 02:43:21 2009 +0100

    Be more lenient with /Decode key on images

    The spec requires the field be [1 0] or [0 1]. Adobe accepts
    floating point
    values as well. This fixes bug #17439.

 poppler/Gfx.cc |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit d99e7a88845a5f4b35e2c538c597316b2ad541ca
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Nov 20 22:09:44 2009 +0100

    Check for openjpeg in the C++ part as it uses bool in the header

    Bug 25103

 configure.ac |   61
 ++++++++++++++++++++++++++++-----------------------------
 1 files changed, 30 insertions(+), 31 deletions(-)

commit 55261a2dc86241c8d132e590e76e7398b3ca5090
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Nov 18 22:26:01 2009 +0100

    replace floor with a cast to int for numbers > 0

    bug-poppler13487.pdf gets a 15% faster rendering

 splash/SplashMath.h |	 19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 28df9fb323f14dc632c9502655abf69984b7d67e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Nov 18 21:57:02 2009 +0100

    Remove unused label

 poppler/Catalog.cc |	 1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 037979a01a6fcafc61360e758dbc4a5eb056825e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Nov 17 19:12:30 2009 +0100

    [cairo] If there's a soft mask available when filling, apply the
    mask instead of filling

    Fixes bug #8474.

 poppler/CairoOutputDev.cc |	7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 46380d36f004d71dd2c2e7bc82836af248684b51
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Nov 17 20:48:22 2009 +0100

    i didn't want to commit this

 configure.ac	     |	 60
 ++++++++++++++++++++++++++------------------------
 splash/SplashMath.h |	  5 +--
 utils/pdftoppm.cc   |	  8 ------
 3 files changed, 33 insertions(+), 40 deletions(-)

commit 1844e0927ae89824f59b2b3378bf5e00a51a251c
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Nov 17 20:34:24 2009 +0100

    do not use setAttribute with doubles

    it is evil and locale dependant, we do NOT want that so use
    QString::number

 configure.ac		       |   60 ++++++++++++++---------------
 qt4/src/poppler-annotation.cc |   82
 ++++++++++++++++++++--------------------
 splash/SplashMath.h	       |    5 +-
 utils/pdftoppm.cc	       |    8 ++++
 4 files changed, 81 insertions(+), 74 deletions(-)

commit 572d79f4b8a7bf1717b88dbd2609d8fa9b036dee
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Nov 15 20:40:56 2009 +0100

    Only calculate the matrix when it is really needed

    That only happens when outputting to 1 bit images
    Speeds out rendering on some pdf up to 40%

 splash/SplashScreen.cc |   35 +++++++++++++++++++++++++++++++++--
 splash/SplashScreen.h	|   16 ++++++++++++++++
 2 files changed, 49 insertions(+), 2 deletions(-)

commit 1c3113361fa376093e6fedfbf48feee7dcbc46b7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Nov 15 19:43:18 2009 +0100

    Write out fixed-content portion of Type 1 fonts in PSOutputDev

    If /Length3 of a Type 1 FontFile is > 0 the fixed-content from the
    FontFile should be used instead of adding the generic 512 zeros and
    cleartomark.

 poppler/PSOutputDev.cc |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit 2d30dc605cd984f6c32124af9aa7b877d416d141
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 15 17:31:36 2009 +0100

    [glib-demo] Show attachment name in FileAttachment annot properties
    table

 glib/demo/annots.c |	 5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 6c8ae140256818401351a331787c83e043fdba09
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 15 17:31:13 2009 +0100

    [glib] Add poppler_annot_file_attachment_get_name()

 glib/poppler-annot.cc |   36 +++++++++++++++++++++++++++++-------
 glib/poppler-annot.h  |    1 +
 2 files changed, 30 insertions(+), 7 deletions(-)

commit ecf5173eb288187a1f076fd4b116f1212fa9e203
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 15 17:14:29 2009 +0100

    [glib-demo] Add properties of FileAttachment annotations

 glib/demo/annots.c |	67
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 67 insertions(+), 0 deletions(-)

commit 8f4fdd864d79e4fa83951a3eb006ea8287c3a1ba
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 15 17:12:43 2009 +0100

    [glib-demo] Add pgd_table_add_property_with_custom_widget()

    To be able to add properties to a table that are not labels

 glib/demo/utils.c |   31 +++++++++++++++++++++----------
 glib/demo/utils.h |   30 +++++++++++++++++-------------
 2 files changed, 38 insertions(+), 23 deletions(-)

commit 061b85f7a442107cda67e385bd772ec8565a936e
Author: Thomas Viehmann <tv@beamnet.de>
Date:	Sun Nov 15 17:11:43 2009 +0100

    [glib] Add support for file attachment annotations

 glib/poppler-annot.cc	|   69
 +++++++++++++++++++++++++++++++++++++++++++++---
 glib/poppler-annot.h	|    8 +++++
 glib/poppler-page.cc	|    3 ++
 glib/poppler-private.h |    1 +
 glib/poppler.h		|   49 +++++++++++++++++----------------
 5 files changed, 102 insertions(+), 28 deletions(-)

commit 189c45332991bce51e40bcaf65da67d2d644045a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Nov 15 16:42:21 2009 +0100

    [glib] Remove PopplerDocument from PopplerAttachment

    Since we are duplicating the stream we don't need to hold a
    reference of
    PopplerDocument anymore.

 glib/poppler-attachment.cc |	13 +------------
 glib/poppler-document.cc   |	 2 +-
 glib/poppler-private.h     |	 3 +--
 3 files changed, 3 insertions(+), 15 deletions(-)

commit e55bfeb1ddc60053c5ee5fef840c409891781ce6
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Nov 13 00:55:37 2009 +0100

    jpeg_start_decompress can fail, check it

    Fixes KDE bug #214317

 poppler/DCTStream.cc |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c59d93061cf71d13916872a20aed37ecfbb3bfa4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Nov 9 18:32:55 2009 +0100

    [cairo] Do nothing when image mask is 1x1 and the pixel is 0

 poppler/CairoOutputDev.cc |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 448f03cfc429d33bfa5527e3dc964ef5da10ee94
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Mon Nov 9 22:52:39 2009 +1030

    Don't render the color white in type 3 glyphs in the cairo backend

    PDF allows the "g" operator in Type 3 charprocs but cairo user fonts
    will render any stroke or fill in the font color.

    As the only PDFs I've seen with "g" in the charprocs are only using
    the gray values 0 or 1, a workaround is to disable strokes and fills
    of the charproc when the gray level is > 0.5.

 poppler/CairoOutputDev.cc |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 3fead2a3b53681ef95116f18f17f1a9febec6e48
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Nov 9 11:25:24 2009 +0100

    Transitions dictionary can be a Ref too

 poppler/Page.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac4955d03a532cab1933698aeb667d44300e52d0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Nov 9 11:12:48 2009 +0100

    [glib-demo] Explicitely add gio as dependency for GTK+ tests

 configure.ac	  |    4 ++--
 glib/demo/main.c |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 32ea667ec8f18311539123c7b80c7ab4767070cb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Tue Aug 11 19:17:52 2009 +0100

    [cairo] Mark images dirty

    After directly manipulating the pixel values we need to mark the
    surface
    as dirty. This means that cairo will refresh any caches it may
    have taken
    of the surface will the new data.

 poppler/CairoOutputDev.cc |	8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 10a41150c4067bb3ab85e25dae76e0968a6cd586
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Tue Aug 11 19:17:06 2009 +0100

    [cairo] Use colToDbl() to avoid rounding error.

 poppler/CairoOutputDev.cc |   37 +++++++++++++++++++------------------
 1 files changed, 19 insertions(+), 18 deletions(-)

commit c9491319689f04edd57adda7ee85f84f17fd1c47
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Tue Aug 11 18:07:17 2009 +0100

    [cairo] Reduce the number of redundant pattern creations

 poppler/CairoOutputDev.cc |   92
 +++++++++++++++++++++++++++------------------
 1 files changed, 55 insertions(+), 37 deletions(-)

commit ead78d9f703c8b2d556c94be3c47dbae7469eda8
Author: Reece Dunn <msclrhd@gmail.com>
Date:	Thu Nov 5 22:25:14 2009 +0100

    fontpos is never set to -1, so remove the checks in HtmlOutputDev.

 utils/HtmlOutputDev.cc |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)

commit 55dd6024a4672a1787e8b1a8276bd78fff94e2cd
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:	Wed Nov 4 22:07:18 2009 +0100

    Do not error on files without "Count" and "Kids"

    It is not spec compliant not to have those fields but Adobe Reader and
    FoxIt seems to allow it so try to behave like them. See bug 24720
    to see why one would want such file

 poppler/Catalog.cc |	10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 58a1d42aed7352c008d201b8f355f6e4146f71e5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Oct 29 18:38:22 2009 +0100

    [cairo] Don't render patterns when using CairoImageOutputDev

 poppler/CairoOutputDev.h |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit 7670cc48dcf3ffd77e3ffa29056a3e13b2926709
Author: Ilya Gorenbein <igorenbein@finjan.com>
Date:	Wed Oct 28 19:20:41 2009 +0100

    There are some pdf where Aspect values are reals, use getNum

    Fixes bug 24733

 poppler/Annot.cc |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 4fe89e520a04a6ab6d6ec6a8294896b2f427c7da
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Oct 25 21:55:55 2009 +0100

    do not accept negative interval lengths in the page labels tree

    See bug 24721

 poppler/PageLabelInfo.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b174ebd6b323c7a58a19d59c1a9e4ac4e6cba7d9
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 23 21:57:42 2009 +0200

    Move the iccColorSpaceCache from a static in GfxState to a member
    of Gfx

    Fixes the problem that the keys are per document but we had a static
    that lived as much as the library. Now the cache only lives the
    rendering
    of a page so it's a bit slower but at least it's correct. Fixes
    bug 24686

 poppler/Gfx.cc      |	 49 +++++++++++++++++---------
 poppler/Gfx.h	     |	 13 ++++++-
 poppler/GfxState.cc |	 94
 +++++++++++++++++++++++++--------------------------
 poppler/GfxState.h  |	 33 +++++++++---------
 poppler/Page.cc     |	  4 +-
 5 files changed, 107 insertions(+), 86 deletions(-)

commit 4a9bdd30dc353865685e03eb1c1ac6093797695a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Oct 22 21:26:29 2009 +0200

    initialize len at 0 when reading the font fails

    See bug 24525 for more info

 poppler/GfxFont.cc |	 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c839b706092583f6b12ed3cc634bf5af34b7a2bb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Oct 20 10:09:13 2009 +0200

    [glib] Fix CVE-2009-3607

 glib/poppler-page.cc |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 44462e0ca39392e5629020226b901e4026089b46
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Oct 19 23:33:58 2009 +0200

    fix memory leak

 poppler/PSOutputDev.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d701aaa9eaa62567210070129f5feffe24bf1936
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Oct 18 01:22:16 2009 +0200

    This include is needed as this file uses Ref

 poppler/OutputDev.h |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d4202536e1b62c326c301d5088fa0e176c523e85
Author: Pino Toscano <pino@kde.org>
Date:	Sat Oct 17 01:35:11 2009 +0200

    SplashGlyphBitmap is a struct and not a class

 poppler/ArthurOutputDev.h |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 654176dee7c9325aa5a24a2de3c070faa16e8a9c
Author: Michael Jansen <kde@michael-jansen.biz>
Date:	Sat Oct 17 01:30:40 2009 +0200

    CMake: add the possibility to pass LIB_SUFFIX.

    This allows to tune the installation libdir by adding a suffix for it
    (making it eg lib, lib32, or lib64)

 CMakeLists.txt		 |   16 +++++++++-------
 glib/CMakeLists.txt	 |    2 +-
 poppler-cairo.pc.cmake  |    2 +-
 poppler-glib.pc.cmake	 |    2 +-
 poppler-qt.pc.cmake	 |    2 +-
 poppler-qt4.pc.cmake	 |    2 +-
 poppler-splash.pc.cmake |    2 +-
 poppler.pc.cmake	 |    2 +-
 qt/CMakeLists.txt	 |    2 +-
 qt4/src/CMakeLists.txt  |    2 +-
 10 files changed, 18 insertions(+), 16 deletions(-)

commit 43829ae4b25a88ace06f05fa6750e5732539f4be
Author: Pino Toscano <pino@kde.org>
Date:	Sat Oct 17 01:21:39 2009 +0200

    put a space so MSVC won't try to see it as comment

 poppler/GfxState.h |	 4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f64086ea22a4e8cb3d4e7116db2a9541ac2fb19f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Oct 17 00:48:58 2009 +0200

    check the document is not locked when printing

 qt4/src/poppler-ps-converter.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 85d1015480b7ab3f21cc5f78dc53d4c5efdc6e60
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Oct 17 00:48:27 2009 +0200

    fix file name comment

 qt4/src/poppler-ps-converter.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 270764ad1bf2cfe95aed0b6850d2347361b4268d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Oct 17 00:47:34 2009 +0200

    Add a way for converters to return more exact errors they had when
    converting

 qt4/src/poppler-base-converter.cc   |	  8 +++++++-
 qt4/src/poppler-converter-private.h |	  3 ++-
 qt4/src/poppler-pdf-converter.cc    |	 11 ++++++++++-
 qt4/src/poppler-ps-converter.cc     |	  6 +++++-
 qt4/src/poppler-qt4.h		     |	 14 ++++++++++++++
 5 files changed, 38 insertions(+), 4 deletions(-)

commit 1082e1671afd8ab91583dabc876304008acb021c
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 16 23:17:22 2009 +0200

    Some "security" fixes based on newly released Xpdf 3.02pl4

 poppler/Stream.cc	   |	4 ++++
 poppler/XRef.cc	   |   19 +++++++++++++++----
 splash/Splash.cc	   |	7 +++++++
 splash/SplashBitmap.cc    |   37 ++++++++++++++++++++++++++++++-------
 splash/SplashErrorCodes.h |	4 +++-
 5 files changed, 59 insertions(+), 12 deletions(-)

commit c2458275e02f56226779b82d73c13defcbbda563
Author: Glenn Ganz <glenn.ganz@uptime.ch>
Date:	Fri Oct 16 20:54:32 2009 +0200

    fix constructor of DCTStream

 poppler/Stream.cc |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit fd91b79c053bb5cd01a766032b90981dbc5e5dd3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Oct 10 14:53:42 2009 +0200

    fix compiling with automake

 goo/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c3031b4318af6f85256f2478c8678dedd0d6acd1
Author: Pino Toscano <pino@kde.org>
Date:	Fri Oct 9 16:17:16 2009 +0200

    cmake: simplify the linking to libpng

 CMakeLists.txt |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 96688dd7a091f8fa141fad2b3d05bae04b0b86fb
Author: Patrick Spendrin <ps_ml@gmx.de>
Date:	Fri Oct 9 16:09:46 2009 +0200

    MSVC: add _CRT_SECURE_NO_WARNINGS to the define's

 CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f346c1f6b55f87ebd6bb0b0932462d5514aa40ff
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 9 00:29:06 2009 +0200

    add -ansi flag to default warnings

 cmake/modules/PopplerMacros.cmake |	2 +-
 configure.ac			   |	2 +-
 utils/parseargs.c		   |   30 +++++++++++++++---------------
 utils/parseargs.h		   |   26 +++++++++++++-------------
 4 files changed, 30 insertions(+), 30 deletions(-)

commit 53e0016b772f1b78d998506e2f3106011d32cef3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 9 00:15:52 2009 +0200

    Add virtual destructor to ImgWriter

 CMakeLists.txt   |    1 +
 goo/ImgWriter.cc |   15 +++++++++++++++
 goo/ImgWriter.h  |    2 ++
 goo/Makefile.am  |    1 +
 4 files changed, 19 insertions(+), 0 deletions(-)

commit 699dcacced7be05b788c414c231dc2b5c07de06e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 9 00:13:11 2009 +0200

    Add -Wnon-virtual-dtor flag

 cmake/modules/PopplerMacros.cmake |	4 ++--
 configure.ac			   |	2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d1e4fca4a8602994b010fae4f4fea5cd4df9276e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 9 00:10:03 2009 +0200

    build on cmake too

 CMakeLists.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d67511c92022121066f43003f01b955962ddcd33
Author: Stefan Thomas <thomas@eload24.com>
Date:	Fri Oct 9 00:09:23 2009 +0200

    Add -jpeg to pdftoppm

 goo/ImgWriter.h	|   28 ++++++++++++++
 goo/JpegWriter.cc	|   92
 ++++++++++++++++++++++++++++++++++++++++++++++++
 goo/JpegWriter.h	|   42 ++++++++++++++++++++++
 goo/Makefile.am	|    2 +
 goo/PNGWriter.cc	|    5 ++-
 goo/PNGWriter.h	|   10 +++--
 splash/SplashBitmap.cc |   46 +++++++++++++++++-------
 splash/SplashBitmap.h	|    5 ++-
 splash/SplashTypes.h	|   11 ++++++
 utils/pdftoppm.1	|    3 ++
 utils/pdftoppm.cc	|   22 +++++++++---
 11 files changed, 239 insertions(+), 27 deletions(-)

commit 388196df1fb05fb2d88ae82bd81e823a23588ec1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Oct 7 17:11:58 2009 +0200

    [glib-demo] Show some of the annot flags in annots treeview

 glib/demo/annots.c |	35 +++++++++++++++++++++++++++++++++--
 1 files changed, 33 insertions(+), 2 deletions(-)

commit 034907c6582c1f50782ec9c58a29b140c6fc0688
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Oct 6 00:52:10 2009 +0200

    Forgot to update the year here

 qt4/src/poppler-private.h |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fef89acebf5312324c104fb52e629563fbc2de76
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Oct 6 00:42:52 2009 +0200

    Add the possibility of enabling hinting

 qt4/src/poppler-document.cc |	  2 +-
 qt4/src/poppler-private.h   |	  1 +
 qt4/src/poppler-qt4.h	     |	  3 ++-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 485252844b5e0964ee724b74e2a7ba2b820b259e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Oct 6 00:41:57 2009 +0200

    rework how hinting is used in the splash backend

    Basically we default to no hinting now with the possibility to
    enable it

 poppler/ArthurOutputDev.cc   |    2 +-
 poppler/GlobalParams.cc      |   19 ------------
 poppler/GlobalParams.h       |    3 --
 poppler/SplashOutputDev.cc   |    8 ++++-
 poppler/SplashOutputDev.h    |    3 ++
 splash/SplashFTFont.cc       |   64
 +++++++++--------------------------------
 splash/SplashFTFont.h	      |    4 +-
 splash/SplashFTFontEngine.cc |    8 ++--
 splash/SplashFTFontEngine.h  |    7 ++--
 splash/SplashFontEngine.cc   |    5 ++-
 splash/SplashFontEngine.h    |    3 +-
 11 files changed, 40 insertions(+), 86 deletions(-)

commit 8194c156cf2167834779e1690a89b5068baf8d58
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Oct 5 00:55:55 2009 +0200

    Fix includes for those using internal headers

 goo/FixedPoint.h	 |    2 +-
 goo/gmem.h		 |    2 +-
 poppler/OutputDev.h	 |    2 +-
 poppler/PSOutputDev.h	 |    2 +-
 poppler/PageLabelInfo.h |    2 +-
 utils/ImageOutputDev.h  |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 091f68ccd59413d6890dfbfcf8911f112e690b50
Author: Kovid Goyal <kovid@kovidgoyal.net>
Date:	Mon Oct 5 00:39:36 2009 +0200

    Use _WIN32 instead of WIN32

    More info at http://bugs.freedesktop.org/show_bug.cgi?id=24259

 goo/GooMutex.h		       |   16 +++++++++++++++-
 goo/gfile.cc		       |   33 +++++++++++++++++----------------
 goo/gfile.h		       |    5 +++--
 msvc/poppler/poppler-config.h |    2 +-
 poppler-config.h.cmake        |    2 +-
 poppler/ABWOutputDev.h        |    3 ++-
 poppler/FileSpec.cc	       |    7 ++++---
 poppler/GlobalParams.cc       |   37
 +++++++++++++++++++------------------
 poppler/GlobalParams.h        |    4 ++--
 poppler/Link.cc	       |    3 ++-
 poppler/PDFDoc.cc	       |    4 ++--
 poppler/PDFDoc.h	       |    3 ++-
 poppler/PSOutputDev.cc        |    5 +++--
 poppler/TextOutputDev.cc      |    5 +++--
 poppler/XpdfPluginAPI.cc      |   13 ++++++++++++-
 poppler/poppler-config.h.in   |    2 +-
 splash/SplashFontEngine.cc    |    9 +++++----
 test/perf-test.cc	       |   24 ++++++++++++------------
 utils/HtmlOutputDev.h	       |    3 ++-
 19 files changed, 108 insertions(+), 72 deletions(-)

commit 7fd8bdfa450db4e323e4e5d12159359fbc47f9ed
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Oct 5 00:21:15 2009 +0200

    Remove spurious ;

    Found by -Wextra i think we should add more warnings to our default
    flags

 qt4/src/poppler-annotation.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d46f7343e446331489d3fe6711a7cf778e0bd902
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:04:46 2009 +0200

    Strings can have 0 inside so use the length

    Fixes saving some files

 poppler/PDFDoc.cc |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2bc2040081919340415f576ce8266356deadbfcd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:04:03 2009 +0200

    Increase decimals from 5 to 10, a double has that precision

    Makes saving more faithful for some files

 poppler/PDFDoc.cc |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05eb7342d5234732f27c9c67b7fc1f9e40a4e075
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:03:40 2009 +0200

    If the stream was wrongly formed save the correct length

    Fixes saving of some files

 poppler/PDFDoc.cc |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit b98faa4c162392d9416a5a93c9042b41f82d8657
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:02:13 2009 +0200

    Return the save status as program status

 test/pdf-fullrewrite.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f73f59f2c7bb7c7d57eb70cdc1bc30b80a92d0b7
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:01:45 2009 +0200

    If the Length entry of the stream is wrong, fix it

    Fixes saving some files

 poppler/Parser.cc |	5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 91135c7e788bc32e414e1a9c9ab43b326a07e970
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Oct 2 22:00:12 2009 +0200

    increase the range of characters we sanitize

    Fixes saving of some files

 goo/GooString.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9dcb3e8be2cd52a795605548e43d6bfc149b2ea5
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:	Sun Sep 27 17:17:32 2009 +0200

    Fix the linking not to use the .so directly but the lib

    Fixes check on cygwin

 m4/qt.m4 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ed4a6f1cfc7ccd2717d939841c092347c3307547
Author: Kovid Goyal <kovid@kovidgoyal.net>
Date:	Sat Sep 26 19:26:19 2009 +0200

    Do not crash when saving files that come from a stream without name

    Bug 24090

 poppler/PDFDoc.cc |	6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 04b232d48930af9bc614d7fef47f79ce247713a4
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Sep 26 18:30:41 2009 +0200

    Write the Info into the trailer dict if there is one

    Bug 24091

 poppler/PDFDoc.cc |	8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 343e4f9aceb935eb393ad94bbef4dbb1b1a450ee
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Sep 26 18:28:40 2009 +0200

    Plug leak

 test/pdf-fullrewrite.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2ea0032283c4717f1bb285fab7956fc38f375e87
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:	Sat Sep 26 15:01:35 2009 +0200

    Patch to make poppler work on Cygwin

    Bug 4195

 configure.ac	     |	  3 +++
 qt/Makefile.am      |	  2 +-
 qt4/src/Makefile.am |	  2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 074dc5e5e39cebc1fbe9bf6a15b2cae2391006c1
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Sep 26 14:56:38 2009 +0200

    Improve realibility for Streams with broken Length

    Fixes bug 6841

 poppler/Parser.cc |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit b7702820245fb6cdbf77afba37c53c03d4362a25
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Sep 21 21:58:26 2009 +0200

    Print with a . and not with a , in all locales

    This is a regression after the removal of setting LC_NUMERIC

 poppler/PDFDoc.cc |	6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit d31080d8195694cef740d4e77484179bb38d1f26
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Sep 20 17:21:13 2009 +0200

    CharCodeToUnicode is not mandatory in fonts, don't crash one fonts
    that do not have it

    Fixes bug #24036

 poppler/Annot.cc |   33 ++++++++++++++++++++-------------
 1 files changed, 20 insertions(+), 13 deletions(-)

commit a729d005a7204791fa8415de5aa0834136073ce8
Author: Pino Toscano <pino@kde.org>
Date:	Thu Sep 17 20:12:20 2009 +0200

    Windows32/MSVC: initialize the font list once per GlobalParams,
    instead of once at all

    this fixes the font list being empty at the second (and following)
    GlobalParams creation
    thanks for Christian Ehrlicher for reporting the bug and testing
    its fix

 poppler/GlobalParams.cc    |	 1 +
 poppler/GlobalParams.h     |	 1 +
 poppler/GlobalParamsWin.cc |	 1 -
 3 files changed, 2 insertions(+), 1 deletions(-)

commit 68711d8494e2765c4a24ea59ce8d904981f0f917
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Sep 9 23:24:22 2009 +0200

    uint -> Guint

    some compilers don't know about uint

 poppler/Gfx.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 943a13c9354dec18cb023642aebbe5d3bb920ed7
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Sep 9 20:04:06 2009 +0200

    poppler 0.12.0

 CMakeLists.txt   |    4 ++--
 NEWS		  |   18 ++++++++++++++++++
 configure.ac	  |    4 ++--
 msvc/config.h	  |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 26 insertions(+), 8 deletions(-)

commit e8ed7210346cb18f6e4588ad557f993c6d42f4a3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Sep 9 19:21:21 2009 +0200

    increase library to 3.2.0

 qt4/src/CMakeLists.txt |    2 +-
 qt4/src/Makefile.am	|    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e950107006a3b1889646d3705323c1b3d41eaa49
Author: David Benjamin <davidben@mit.edu>
Date:	Wed Sep 9 01:19:38 2009 +0200

    Fix infinite loop in JBIG2Decoder

    Bug 23025
    Also fixes problems in bug-poppler6881-2.pdf and bug-poppler6500.pdf

 poppler/JBIG2Stream.cc |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 1cb25a4adaaf3e2da50724312a3db6928991f425
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Sep 6 10:45:56 2009 +0200

    [glib] Ignore attachments with an invalid embedded file

    Fixes bug #10386

 glib/poppler-document.cc |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 842e00f3114666609ef4dec6fa613d46f330a40c
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Sep 5 15:20:35 2009 +0200

    Add EmbeddedFile::isValid

    Also do not crash if data() is called on an invalid file

 qt4/src/poppler-embeddedfile.cc |   10 +++++++++-
 qt4/src/poppler-qt4.h		 |    9 ++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 9d40b268f5a9a9a0fb79da0e1627dd8eebc4db6a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Sep 5 15:19:27 2009 +0200

    Add EmbFile::isOk

    At the moment returns false if the object stream is not really
    a stream

 poppler/Catalog.h |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 642650b6f70425c8fff2df978ae71249a5ae07f3
Author: David Benjamin <davidben@mit.edu>
Date:	Sat Sep 5 01:12:49 2009 +0200

    Better fallback when there's a type mismatch

    Bug #17252

 poppler/GfxFont.cc |	38 ++++++++++++++++++++++++++++++++------
 1 files changed, 32 insertions(+), 6 deletions(-)

commit bf5811f5331292ccf30f1b0f089fe43d351d96be
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Aug 26 00:43:46 2009 +0200

    Improve shading color rendering

    Shading is not necessarily lineal so require another bisection to
    assume all the area in between have the same color. Fixes bug #20238

 poppler/Gfx.cc |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit e94430b790fde6ce7b7cb163c2e0adf2d071c81d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Aug 26 00:42:49 2009 +0200

    Make code a bit more readable

 poppler/Gfx.cc |   23 +++++++++++------------
 1 files changed, 11 insertions(+), 12 deletions(-)

commit 465212780557705fd939dfe54f96913505bfc96e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Aug 25 21:55:45 2009 +0200

    forgot to update my copyright

 poppler/JPEG2000Stream.cc |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f6016d01ced32002bef22b9b5d5426a74e55842
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Aug 25 21:10:07 2009 +0200

    Fix format security warnings

    Don't just directly print strings of unknown content; use "%s".

 poppler/JPEG2000Stream.cc |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4616b23382b5d155f8b2f1942733037cf5730844
Author: Christian Persch <chpe@gnome.org>
Date:	Tue Aug 25 21:09:40 2009 +0200

    Fix format security warnings

    Don't just directly print strings of unknown content; use "%s".

 poppler/GfxState.cc |	  3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6c5c8d008456d1e4f3d60bc182209747c2a175dc
Author: Christian Persch <chpe@gnome.org>
Date:	Tue Aug 25 21:03:16 2009 +0200

    Support AM_SILENT_RULES

    When using automake 1.11, should support silent build rules.

 Makefile.am	       |    2 +-
 configure.ac	       |    1 +
 glib/Makefile.am      |    4 ++--
 qt4/demos/Makefile.am |    2 +-
 qt4/src/Makefile.am   |    2 +-
 qt4/tests/Makefile.am |    2 +-
 6 files changed, 7 insertions(+), 6 deletions(-)

commit e7dd1c47b01d8f31599ee686eafbe7c54d7c023a
Author: Christian Persch <chpe@gnome.org>
Date:	Tue Aug 25 21:01:13 2009 +0200

    Fix automake check, and add automake 1.11 support

    Fix the automake checks to take the *newest* version available,
    not the
    oldest one. Add support for automake 1.11. FDO#23473.

 autogen.sh |	13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 493d2c5aa78a3241e70108c5d7eccba9ac72f834
Author: Rex Dieter <rdieter@math.unl.edu>
Date:	Mon Aug 24 20:08:46 2009 +0200

    Use Requires.private if available

    The following patch minimizes pkg-config deps similar to how the
    glib-related pkg-config deps are done.

 poppler-qt.pc.cmake  |    3 ++-
 poppler-qt.pc.in     |    3 ++-
 poppler-qt4.pc.cmake |    3 ++-
 poppler-qt4.pc.in    |    3 ++-
 4 files changed, 8 insertions(+), 4 deletions(-)

commit 341cd3ecd08a39cd146c1c57f356b50a2881c03f
Author: Jakub Wilk <ubanus@users.sf.net>
Date:	Mon Aug 24 19:51:34 2009 +0200

    common options for pdftoabw

    The attached patch fixes command line handling for pdftoabw and
    implements some
    common options (e.g., --help) that are already found in other
    pdftosomething
    utilities.

 utils/pdftoabw.cc |   39 ++++++++++++++++++++++++++++++++-------
 1 files changed, 32 insertions(+), 7 deletions(-)

commit 365683d5faea6e0a7570b139d1f3366c22271f8e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Aug 18 21:18:13 2009 +0200

    0.11.3

 CMakeLists.txt   |    2 +-
 NEWS		  |   22 ++++++++++++++++++++++
 configure.ac	  |    2 +-
 msvc/config.h	  |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 28 insertions(+), 6 deletions(-)

commit cb28bc8a637d300664b3c7569263445275333878
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Aug 17 14:14:03 2009 +0200

    [glib] Add FORMAT_MAJOR/MINOR properties to get the PDF version

    See bug #23076.

 glib/poppler-document.cc |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 1b5612841b0c663f6d391d4581f65f68a2975db0
Author: Pino Toscano <pino@kde.org>
Date:	Mon Aug 17 01:04:04 2009 +0200

    [Qt] add Document::getPdfVersion(int *major, int *minor) for the
    document PDF version numbers

    This new function reads the version of the PDF specification of the
    document, putting major and minor numbers in own variables.

 qt/poppler-document.cc |    8 ++++++++
 qt/poppler-qt.h	|   12 ++++++++++++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit aef8ecda1e80b921228f415a53c9c5a52df87d94
Author: Pino Toscano <pino@kde.org>
Date:	Mon Aug 17 00:57:08 2009 +0200

    [Qt4] deprecate Document::pdfVersion()

    ... in favour of getPdfVersion()

 qt4/src/poppler-qt4.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 830140f70e48e8033ad4411b6bd405d5ad7358a3
Author: Pino Toscano <pino@kde.org>
Date:	Mon Aug 17 00:51:13 2009 +0200

    [Qt4] add Document::getPdfVersion(int *major, int *minor) for the
    document PDF version numbers

    This new function reads the version of the PDF specification of the
    document, putting major and minor numbers in own variables.
    Add them to the relative unit test.

 qt4/src/poppler-document.cc  |    8 ++++++++
 qt4/src/poppler-qt4.h	      |   13 +++++++++++++
 qt4/tests/check_metadata.cpp |    4 ++++
 3 files changed, 25 insertions(+), 0 deletions(-)

commit 5491d16dfbd73f0256c62e49d02622dc3185012e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 17 00:24:41 2009 +0200

    Move poppler core away from using a double as PDF file version

    Frontends are yet to come

 glib/poppler-document.cc    |	  2 +-
 poppler/PDFDoc.cc	     |	  7 ++++---
 poppler/PDFDoc.h	     |	  8 +++++---
 qt/poppler-document.cc      |	  4 ++--
 qt4/src/poppler-document.cc |	  4 ++--
 utils/pdfinfo.cc	     |	  4 ++--
 6 files changed, 16 insertions(+), 13 deletions(-)

commit efd5dd63a5b08249529d9a9f5906aefe806fb3aa
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 17 00:21:22 2009 +0200

    Forgot to update copyright info

 fofi/FoFiType1C.cc |	14 ++++++++++++++
 poppler/PDFDoc.cc  |	 2 +-
 utils/parseargs.c  |	 2 +-
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 25ff4be0b4521cc3d2de386cdeb589beb245d435
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 17 00:15:10 2009 +0200

    No need to change the locale since we use gatof that does the
    right thing

 poppler/PDFDoc.cc |	6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit a6f698b4edc42c0414dd4690e1e037088321db2c
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 17 00:14:35 2009 +0200

    Use gatof instead of atof

 fofi/FoFiType1C.cc  |	  3 ++-
 poppler/Annot.cc    |	  5 +++--
 poppler/Function.cc |	  3 ++-
 poppler/PDFDoc.cc   |	  3 ++-
 utils/parseargs.c   |	  4 +++-
 5 files changed, 12 insertions(+), 6 deletions(-)

commit 807b121cae45832d2e5832bad19c31e77420bfec
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 17 00:10:30 2009 +0200

    Add a custom strtod that comes from libspectre

    Works over C locale integers without changing locale settings

 CMakeLists.txt  |    2 +
 goo/Makefile.am |    6 ++-
 goo/gstrtod.cc  |  147
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 goo/gstrtod.h	 |   43 ++++++++++++++++
 4 files changed, 196 insertions(+), 2 deletions(-)

commit 914bf7677a14494b69857b1d8070092a9999fe79
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Aug 16 20:50:02 2009 +0200

    When writing the cm matrix write 4 significant digits not 4 decimals

    This fixes bug 23332
    Maybe we want to make this the default behaviour of 'g' instead of
    a new 'gs' case, but i prefer to be on the safe side for the moment

 goo/GooString.cc	|   27 +++++++++++++++++++++++++--
 goo/GooString.h	|    4 +++-
 poppler/PSOutputDev.cc |    4 ++--
 3 files changed, 30 insertions(+), 5 deletions(-)

commit b7dfca1aa52b825eb3b8f1cc0470398c31615b30
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Aug 16 19:28:37 2009 +0200

    [cairo] CairoImageOutputDev doesn't implement patterns

 poppler/CairoOutputDev.h |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit d20d65111aee2ee4b8cdea2962ed1bb149122ba9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Aug 16 17:36:14 2009 +0200

    [cairo] Implement tiling patterns in cairo backend

    Fixes bug #13518 for the cairo backend.

 poppler/CairoOutputDev.cc |   56
 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |   10 ++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)

commit e965d0686d979c775b64a93f8e2f775f81885417
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Aug 13 14:48:10 2009 +0200

    Change OutputDev::tilingPatternFill to return a GBool

    It allows outputdevs to decide whether render the pattern or not
    depending
    on the parameters, like shaded patterns currently do.

 poppler/Gfx.cc		|   37 +++++++++++++++++++------------------
 poppler/OutputDev.h	|   11 ++++++-----
 poppler/PSOutputDev.cc |   12 +++++++-----
 poppler/PSOutputDev.h	|   10 +++++-----
 4 files changed, 37 insertions(+), 33 deletions(-)

commit ce70ef7d6afc800e24031dae43da301e9e542f0e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 15 17:45:57 2009 +0200

    Fix backwards search

 qt4/src/poppler-page.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5b7b1cdc5c3b8652d3ae583b4d7b8b6de625adc2
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 15 17:45:05 2009 +0200

    Add an autotest showing previousresult fails

 qt4/tests/check_search.cpp |	51
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit 2484b0dcb8eb62f8e2c147498c58871ec04630b5
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Aug 14 11:47:11 2009 +0200

    Implement the alpha path

    I wonder if this is the correct fix why it was not implemented
    but if fixes rendering of files in KDE bug 145868, KDE bug 193657,
    poppler bug 17473.pdf, poppler bug 21651, poppler bug 22143 and
    poppler bug 22152 and causes no regression in all the other files
    i have in my test dir so i'm commiting it

 poppler/SplashOutputDev.cc |	 4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 03970d8b6d7624444664320470baa6d1b1299622
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Aug 11 12:01:07 2009 +0200

    [build] Fix build with autotools

 utils/Makefile.am |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 15752b7cd5c94620e3ad3b6afd9c70ccc754c9b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Aug 10 20:02:13 2009 +0200

    [cairo] Add empty updateBlendMode to CairoImageOutputDev

    Fixes a crash when using CairoImageOutputDev with a document with
    blend
    modes.

 poppler/CairoOutputDev.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 45dae4e66b2b833f95656850b5f1b0ffd1d96f1d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Aug 10 20:00:04 2009 +0200

    [cairo] Use current fill_opacity when drawing images

    Fixes launchpad bug #342282 (page 2 of the attached document)

 poppler/CairoOutputDev.cc |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit b1cd54546844f2f7cd6bf7cc14b7584c84c3fc14
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Mon Aug 10 19:55:44 2009 +0200

    [cairo] Do not save the font file twice for FreeType fonts

    Fixes bug #20491.

 poppler/CairoFontEngine.cc |	19 ++-----------------
 1 files changed, 2 insertions(+), 17 deletions(-)

commit 4181a0ff11195eb7a56d76be23994b843e20b483
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 10 19:58:09 2009 +0200

    this branch is unlikely to happen

 poppler/Lexer.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2a3025f32951ce7b7343aeef111902615d71595e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Aug 10 19:55:40 2009 +0200

    fix overflow calculation not to depend on the variable overflowing

 poppler/Lexer.cc |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit a38001f724f78231c2fdadd28e647a35b41bab74
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Aug 9 23:26:02 2009 +0200

    Check for overflow when parsing integers

    Fixes bug 23078

 poppler/Lexer.cc |   28 ++++++++++++++++++++++------
 1 files changed, 22 insertions(+), 6 deletions(-)

commit 4c4c0e44452d07bea88d98b7df0c01fadd7693cc
Author: Jakub Wilk <ubanus@users.sf.net>
Date:	Sat Aug 8 17:26:14 2009 +0200

    Silence some warnings when using internal headers and not compiling
    with -Wno-write-strings

    People should not be using internal headers but it's just two lines

 poppler/Object.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e2c319ba18ab473fd969db9519a9231be67538c3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 8 00:48:18 2009 +0200

    Also implement mono so that -mono in pdftoppm -png works

    Totally not optimized

 splash/SplashBitmap.cc |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

commit c669e7f3ca421265e78161cc3fdecd2a0c7510c9
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 8 00:38:50 2009 +0200

    Support splashModeMono8 in writePNGFile

    Works though is non optimal

 splash/SplashBitmap.cc |   55
 ++++++++++++++++++++++++++++++++++--------------
 1 files changed, 39 insertions(+), 16 deletions(-)

commit 92744b72df9084fd2d69ba78406898378884aed8
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 8 00:20:52 2009 +0200

    Add the -png flag to pdftoppm to output to PNG

    Based on a patch by Shen Liang <shenzhuxi@gmail.com>
    Also factored common PNG code from HtmlOutputDev to PNGWriter

 CMakeLists.txt		   |	5 ++
 goo/Makefile.am	   |	9 +++-
 goo/PNGWriter.cc	   |  110
 +++++++++++++++++++++++++++++++++++++++++++++
 goo/PNGWriter.h	   |   43 +++++++++++++++++
 poppler/Makefile.am	   |	8 +++
 splash/SplashBitmap.cc    |   70 ++++++++++++++++++++++++++++
 splash/SplashBitmap.h	   |	5 ++
 splash/SplashErrorCodes.h |	4 +-
 utils/CMakeLists.txt	   |	4 --
 utils/HtmlOutputDev.cc    |   66 +++++----------------------
 utils/Makefile.am	   |	4 --
 utils/pdftoppm.1	   |	3 +
 utils/pdftoppm.cc	   |   21 +++++++--
 13 files changed, 283 insertions(+), 69 deletions(-)

commit e4439ff527bb202d0239f78e647452983b733411
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Aug 7 15:23:57 2009 +0200

    [cairo] Don't apply masks when fill color space mode is csPattern

    In that case the mask is used for clipping when drawing images. Fixes
    bug #22216.

 poppler/CairoOutputDev.cc |   59
 +++++++++++++++++++++++++++++----------------
 1 files changed, 38 insertions(+), 21 deletions(-)

commit 7194f59a18e4f6997ae560af3db1bd101d6f726e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Thu Aug 6 11:24:22 2009 +0100

    [cairo] Use FT_New_Memory_Face() for mmapped  fonts

    If we hold a mapping for the font, then we can pass that memory to
    FreeType for it to use as well. This saves on FreeType having to
    read the
    file into a fresh block of memory.

 poppler/CairoFontEngine.cc |	 5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 7e2bbcf6f85111d1006b0d5bc1503cadaba83c9f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Aug 4 00:10:58 2009 +0200

    Set KDAB via gamaral copyright

 poppler/Form.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ed5918e16dafebc9ecf6db8ce0186f407ecbf7d5
Author: Pino Toscano <pino@kde.org>
Date:	Sat Aug 1 20:00:22 2009 +0200

    [Qt4 apidox] make example for FontIterator... not leak ;)

 qt4/src/poppler-qt4.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f3b36d9c992491e614e88dbf1a84b5433a7647f4
Author: Pino Toscano <pino@kde.org>
Date:	Sat Aug 1 19:54:52 2009 +0200

    [Qt4] Add color management API.

    Add few wrapper functions to get/set color profiles.
    Add a function to know whether the color management functions actually
    do anything (ie support compiled or not).
    Add few basic API docs for the new functions.
    Based on an initial patch by Hal V. Engel <hvengel@astound.net>,
    heavily reindented, polished and massaged in its API by me.

 qt4/src/poppler-document.cc |	 52
 +++++++++++++++++++++++++++++++++++++++++++
 qt4/src/poppler-qt4.h	     |	 50
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+), 0 deletions(-)

commit 78a1969d040018c0c2bb74c94f5507f786e4666e
Author: Pino Toscano <pino@kde.org>
Date:	Sat Aug 1 18:00:06 2009 +0200

    [Qt] add unhandled cases and remove unused code

 qt/poppler-page.cc |	12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

commit bddebec0712e92e13b57d3d05d652673fe737866
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 1 17:12:22 2009 +0200

    0.11.2

 CMakeLists.txt   |    2 +-
 NEWS		  |   30 ++++++++++++++++++++++++++++++
 configure.ac	  |    2 +-
 msvc/config.h	  |    6 +++---
 qt4/src/Doxyfile |    2 +-
 5 files changed, 36 insertions(+), 6 deletions(-)

commit 87e2af3454348f5568d155c15af5d85268e47f1b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Aug 1 15:48:02 2009 +0200

    [glib-demo] Add cast to make sure the comparison is always valid

 glib/demo/attachments.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 464e95ef451103daddc9a30cd26b986291f02176
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sat Aug 1 15:47:25 2009 +0200

    [glib-demo] Add missing return

 glib/demo/attachments.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7f48369e4d29b2a71abffa9e1966e3a2252de895
Author: Guillermo Antonio Amaral Bastidas <gamaral@amaral.com.mx>
Date:	Sat Aug 1 15:41:34 2009 +0200

    Call fillChildrenSiblingsID in fillChildrenSiblingsID instaed of
    loadChildrenDefaults

 poppler/Form.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e21a3e40bf6f4365064cea751ae186580d8f81f5
Author: William Bader <williambader@hotmail.com>
Date:	Sat Aug 1 15:23:03 2009 +0200

    Add the possibility of disabling font substitution in pdftops

    Bug #23030

 poppler/GlobalParams.cc |   17 +++++++++++++
 poppler/GlobalParams.h  |    4 +++
 poppler/PSOutputDev.cc  |   59
 ++++++++++++++++++++++++++--------------------
 poppler/PSOutputDev.h	 |    2 +
 utils/pdftops.1	 |    8 +++++-
 utils/pdftops.cc	 |    7 +++++
 6 files changed, 70 insertions(+), 27 deletions(-)

commit bd68c90338cbf16f468e5db59722610300a629e1
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 1 15:19:48 2009 +0200

    Forgot to add my copyright

 poppler/GfxState.h |	 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 173451730948c320f16a0f5924a58302603eca0b
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Aug 1 15:13:35 2009 +0200

    Try to workaround some incorrect PDF

    Fixes rendering of PDF where forms/patterns have more q than Q. Fixes
    rendering in splash of pdf in bugs #22835, #21899 and #16402

 poppler/Gfx.cc     |	13 +++++++++++++
 poppler/GfxState.h |	 1 +
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 35c408ca49be08144bcf14aa112505fd556725d2
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:27:02 2009 +0200

    add the overloaded virtual warning also the autotools based build

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1c32bd2d101e5dfb37e28276ecad699f121b27b7
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:22:25 2009 +0200

    Add my copyright to files i just edited

 poppler/OutputDev.cc  |    1 +
 poppler/OutputDev.h   |    1 +
 utils/HtmlOutputDev.h |    2 +-
 3 files changed, 3 insertions(+), 1 deletions(-)

commit 10717a48c85f1dbeff1c6bcd094006a9ecc92efc
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:22:10 2009 +0200

    Add -Woverloaded-virtual as default CXX flag

 cmake/modules/PopplerMacros.cmake |	1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit db5f736655f01575ac5d7c524cbf131924ae91fa
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:12:00 2009 +0200

    rename the function

    That way the name is different from the OutputDev function and does
    not seem like a wrong overload

 utils/HtmlOutputDev.cc |    4 ++--
 utils/HtmlOutputDev.h	|    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 4be87f87509b93c4fe4025f9bd788e9412416663
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:11:32 2009 +0200

    Remove Outputdev::beginMarkedContent as noone uses it

 poppler/Gfx.cc       |    2 --
 poppler/OutputDev.cc |    3 ---
 poppler/OutputDev.h  |    1 -
 3 files changed, 0 insertions(+), 6 deletions(-)

commit 6ab2ec8a89519d2bd1576c8d62f8aec51b04479a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 31 23:10:56 2009 +0200

    Warning--

 poppler/PSOutputDev.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 53c3d636ad645a350b576160e1498726238a7bd1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 31 18:23:57 2009 +0200

    [cairo] Implement radialShadedFill in cairo backend using cairo
    gradients

    Fixes bugs #10942, #14160

 poppler/CairoOutputDev.cc |   28 +++++++++
 poppler/CairoOutputDev.h  |	2 +
 poppler/Gfx.cc		   |  141
 +++++++++++++++++++++++++++------------------
 poppler/OutputDev.h	   |	2 +-
 poppler/PSOutputDev.cc    |	3 +-
 poppler/PSOutputDev.h	   |	2 +-
 6 files changed, 117 insertions(+), 61 deletions(-)

commit 2ba937545d1a2b9fa798f04fee755ccdf0e74ec7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 31 17:49:18 2009 +0200

    [cairo] Use cairo_pattern_set_extend for linear gradients

 poppler/CairoOutputDev.cc |	9 +++++++++
 poppler/CairoOutputDev.h  |	1 +
 poppler/Gfx.cc		   |   34 ++++++++++++++++++++++++++++------
 poppler/OutputDev.h	   |	4 ++++
 4 files changed, 42 insertions(+), 6 deletions(-)

commit b054756113f0df6b59935823882f412486e96db5
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Jun 17 11:10:15 2009 +0200

    [cairo] Implement blend mdoes in cairo backend

    It requires cairo from git master to work at the moment. Fixes bugs
     #22384, #12979, #13603, #17919, #22255

 configure.ac		   |   27 ++++++++++++++++++++
 poppler/CairoOutputDev.cc |   59
 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |	1 +
 3 files changed, 87 insertions(+), 0 deletions(-)

commit bf8964726c9311e7e82b1faf49cc2272e5c1e339
Author: William Bader <williambader@hotmail.com>
Date:	Thu Jul 30 22:08:43 2009 +0200

    Fix some double to int warnings by explicit casting

 poppler/Gfx.cc |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit fdbd0c548e963461b2bc4bdf1beaa1577cafcea7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jul 30 21:05:18 2009 +0200

    Update gtk-doc build files

 gtk-doc.make  |  102
 ++++++++++++++++++++++++++++++++++++++------------------
 m4/gtk-doc.m4 |   74 +++++++++++++++++++++++------------------
 2 files changed, 110 insertions(+), 66 deletions(-)

commit ae84dce5cea4d249526a6ed5b2feb2d3f241da1b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jul 30 20:45:39 2009 +0200

    Revert "Remove unneeded files from repo"

    This reverts commit 4cc9dee35e03d7b295a476f937ec0f2c43bb6592.

    See bug #22697.

 configure.ac		    |	 2 +-
 glib/reference/Makefile.am |	 4 +-
 gtk-doc.make		    |  155
 ++++++++++++++++++++++++++++++++++++++++++++
 m4/gtk-doc.m4		    |	53 +++++++++++++++
 4 files changed, 211 insertions(+), 3 deletions(-)

commit 7e14516a78b16453c747eb92b08665632e5f6844
Author: Sanjoy Mahajan <sanjoy@mit.edu>
Date:	Mon Jul 27 23:20:50 2009 +0200

    Fix displayPages call

    Parameters are outputdev, first, last, dpi, dpi, rotate, usemediabox,
    crop, printing
    and we were doing
    usemediabox = !noCrop
    crop = gFasle
    the correct is
    usemediabox = noCrop
    crop = !noCrop

 utils/pdftops.cc |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3d53a0eb14420d54c0ebf8590e34c018b8da105d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 19 16:02:33 2009 +0200

    Copy byte_lookup in copy constructor

 poppler/GfxState.cc |	  6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 8f7271acf17c46e663cd48d90c382b04a834fba2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 19 15:53:49 2009 +0200

    Don't use byte_lookup table when color space doesn't support getLine
    methods

    For color spaces that don't implement getRGBLine or getGrayLine
    methods,
    getRGB or getGray are called for every pixel, however we were
    allocating
    the byte_lookup table and converting colors in those cases
    too. Instead
    of falling back to generic methods in the base class, the new methods
    useGetRGBLine and useGetGrayLine have been added to he base class,
    so that
    when they are not suopported in the current color space byte_lookup
    table is
    not used at all.

    Fixes bug #11027.

 poppler/GfxState.cc |	125
 ++++++++++++++++++++++++++++++---------------------
 poppler/GfxState.h  |	 21 +++++++-
 2 files changed, 91 insertions(+), 55 deletions(-)

commit 1bc737796bef1c65289a101b2d4c367267b9c974
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 19 15:51:43 2009 +0200

    Remove unused variable

 poppler/GfxState.h |	 1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 512b2c654fd80c83b82e7adc828a478a18de17ab
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 26 19:35:06 2009 +0200

    [cairo] Use CAIRO_EXTEND_PAD in drawImageMaskPrescaled too

 poppler/CairoOutputDev.cc |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

commit ad26e34bede53cb6300bc463cbdcc2b5adf101c2
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 26 18:36:06 2009 +0200

    [cairo] Use rectangle + clip instead of invert + tranform

    This is just for consistency of drawImage methods

 poppler/CairoOutputDev.cc |   30 ++++++++++++++----------------
 1 files changed, 14 insertions(+), 16 deletions(-)

commit ee6b761a55baef4c3bbe4614b0c3b3d761a3111f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:	Sun Jul 26 16:19:15 2009 +0200

    [cairo] Apply a clip for masked drawImage

    In order to use EXTEND_PAD with a mask, we need to apply a clip (to
    constrain the image to the appropriate region). The complicating
    factor for
    drawSoftImage() is that mask size is independent of the image size,
    so we
    need to compute the intersection of the mask with in the image
    in userspace.

 poppler/CairoOutputDev.cc |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

commit 499c6c972bac14936b5370276da723a6e98861b3
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Jul 26 11:30:08 2009 +0200

